[![Travis](https://travis-ci.org/primefaces/primeng.svg?branch=master)](https://travis-ci.org/primefaces/primeng)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Join the chat at https://gitter.im/primefaces/primeng](https://badges.gitter.im/primefaces/primeng.svg)](https://gitter.im/primefaces/primeng?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

# PrimeNG

UI Components for Angular

See [PrimeNG homepage](http://www.primefaces.org/primeng) for live showcase and documentation.

![alt text](https://www.primefaces.org/primeng/assets/showcase/images/primeng-sidebar.svg "PrimeNG")


# Steps to publish the changes done in primeNg library

* get primeNg project access http://Gitlab-BIC/BI-Clinical/Primeng.git  

* clone the primeNg project locally  

* after clone open the directory containing package.json file in vs code  

* after above run "npm install"  

* once all packages are installed, run "npm run build-redistribute"  

* if above is runned successfully then you will be able to see that two folder of components and resources is created in the directory containing package.json file  

* once it is created successfully open same directory in cmd  

* then run "npm login" command  

* enter following details as asked  

* Username :- bic-admin  

* Password :- bic-rmm  

* Email :- biclinical.admin@citiustech.com  

* after that run "npm publish" command to publish the package to the registry.npmjs.org before that you will have to update the version in package.json because it will not publish in the older version as it is already published  

