import { ElementRef, AfterViewInit, OnDestroy } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class Button implements AfterViewInit, OnDestroy {
    el: ElementRef;
    domHandler: DomHandler;
    iconPos: string;
    cornerStyleClass: string;
    _label: string;
    _icon: string;
    initialized: boolean;
    constructor(el: ElementRef, domHandler: DomHandler);
    ngAfterViewInit(): void;
    getStyleClass(): string;
    get label(): string;
    set label(val: string);
    get icon(): string;
    set icon(val: string);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<Button, never>;
    static ɵdir: i0.ɵɵDirectiveDefWithMeta<Button, "[pButton]", never, { "iconPos": "iconPos"; "cornerStyleClass": "cornerStyleClass"; "label": "label"; "icon": "icon"; }, {}, never>;
}
export declare class ButtonModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<ButtonModule, [typeof Button], [typeof i1.CommonModule], [typeof Button]>;
    static ɵinj: i0.ɵɵInjectorDef<ButtonModule>;
}
