import { ElementRef, AfterViewInit, OnDestroy, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class UIChart implements AfterViewInit, OnDestroy {
    el: ElementRef;
    type: string;
    options: any;
    width: string;
    height: string;
    onDataSelect: EventEmitter<any>;
    initialized: boolean;
    _data: any;
    chart: any;
    constructor(el: ElementRef);
    get data(): any;
    set data(val: any);
    ngAfterViewInit(): void;
    onCanvasClick(event: any): void;
    initChart(): void;
    getCanvas(): any;
    getBase64Image(): any;
    generateLegend(): void;
    refresh(): void;
    reinit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<UIChart, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<UIChart, "p-chart", never, { "type": "type"; "options": "options"; "width": "width"; "height": "height"; "data": "data"; }, { "onDataSelect": "onDataSelect"; }, never, never>;
}
export declare class ChartModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<ChartModule, [typeof UIChart], [typeof i1.CommonModule], [typeof UIChart]>;
    static ɵinj: i0.ɵɵInjectorDef<ChartModule>;
}
