"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var core_2 = require("@angular/core");
var i0 = require("@angular/core");
var _c0 = ["*"];
var Header = /** @class */ (function () {
    function Header() {
    }
    Header.ɵfac = function Header_Factory(t) { return new (t || Header)(); };
    Header.ɵcmp = i0.ɵɵdefineComponent({ type: Header, selectors: [["p-header"]], ngContentSelectors: _c0, decls: 1, vars: 0, template: function Header_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef();
            i0.ɵɵprojection(0);
        } }, encapsulation: 2 });
    return Header;
}());
exports.Header = Header;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(Header, [{
        type: core_2.Component,
        args: [{
                selector: 'p-header',
                template: '<ng-content></ng-content>'
            }]
    }], null, null); })();
var Footer = /** @class */ (function () {
    function Footer() {
    }
    Footer.ɵfac = function Footer_Factory(t) { return new (t || Footer)(); };
    Footer.ɵcmp = i0.ɵɵdefineComponent({ type: Footer, selectors: [["p-footer"]], ngContentSelectors: _c0, decls: 1, vars: 0, template: function Footer_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef();
            i0.ɵɵprojection(0);
        } }, encapsulation: 2 });
    return Footer;
}());
exports.Footer = Footer;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(Footer, [{
        type: core_2.Component,
        args: [{
                selector: 'p-footer',
                template: '<ng-content></ng-content>'
            }]
    }], null, null); })();
var PrimeTemplate = /** @class */ (function () {
    function PrimeTemplate(template) {
        this.template = template;
    }
    PrimeTemplate.prototype.getType = function () {
        return this.name;
    };
    PrimeTemplate.ɵfac = function PrimeTemplate_Factory(t) { return new (t || PrimeTemplate)(i0.ɵɵdirectiveInject(i0.TemplateRef)); };
    PrimeTemplate.ɵdir = i0.ɵɵdefineDirective({ type: PrimeTemplate, selectors: [["", "pTemplate", ""]], inputs: { type: "type", name: ["pTemplate", "name"] } });
    return PrimeTemplate;
}());
exports.PrimeTemplate = PrimeTemplate;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(PrimeTemplate, [{
        type: core_1.Directive,
        args: [{
                selector: '[pTemplate]',
                host: {}
            }]
    }], function () { return [{ type: i0.TemplateRef }]; }, { type: [{
            type: core_1.Input
        }], name: [{
            type: core_1.Input,
            args: ['pTemplate']
        }] }); })();
var TemplateWrapper = /** @class */ (function () {
    function TemplateWrapper(viewContainer) {
        this.viewContainer = viewContainer;
    }
    TemplateWrapper.prototype.ngOnInit = function () {
        this.view = this.viewContainer.createEmbeddedView(this.templateRef, {
            '\$implicit': this.item,
            'index': this.index
        });
    };
    TemplateWrapper.prototype.ngOnDestroy = function () {
        this.view.destroy();
    };
    TemplateWrapper.ɵfac = function TemplateWrapper_Factory(t) { return new (t || TemplateWrapper)(i0.ɵɵdirectiveInject(i0.ViewContainerRef)); };
    TemplateWrapper.ɵdir = i0.ɵɵdefineDirective({ type: TemplateWrapper, selectors: [["", "pTemplateWrapper", ""]], inputs: { item: "item", index: "index", templateRef: ["pTemplateWrapper", "templateRef"] } });
    return TemplateWrapper;
}());
exports.TemplateWrapper = TemplateWrapper;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(TemplateWrapper, [{
        type: core_1.Directive,
        args: [{
                selector: '[pTemplateWrapper]'
            }]
    }], function () { return [{ type: i0.ViewContainerRef }]; }, { item: [{
            type: core_1.Input
        }], index: [{
            type: core_1.Input
        }], templateRef: [{
            type: core_1.Input,
            args: ['pTemplateWrapper']
        }] }); })();
var Column = /** @class */ (function () {
    function Column() {
        this.filterType = 'text';
        this.exportable = true;
        this.sortFunction = new core_1.EventEmitter();
    }
    Column.prototype.ngAfterContentInit = function () {
        var _this = this;
        this.templates.forEach(function (item) {
            switch (item.getType()) {
                case 'header':
                    _this.headerTemplate = item.template;
                    break;
                case 'body':
                    _this.bodyTemplate = item.template;
                    break;
                case 'footer':
                    _this.footerTemplate = item.template;
                    break;
                case 'filter':
                    _this.filterTemplate = item.template;
                    break;
                case 'editor':
                    _this.editorTemplate = item.template;
                    break;
                default:
                    _this.bodyTemplate = item.template;
                    break;
            }
        });
    };
    Column.ɵfac = function Column_Factory(t) { return new (t || Column)(); };
    Column.ɵcmp = i0.ɵɵdefineComponent({ type: Column, selectors: [["p-column"]], contentQueries: function Column_ContentQueries(rf, ctx, dirIndex) { if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, core_1.TemplateRef, true);
            i0.ɵɵcontentQuery(dirIndex, PrimeTemplate, false);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.template = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.templates = _t);
        } }, inputs: { field: "field", colId: "colId", sortField: "sortField", filterField: "filterField", header: "header", footer: "footer", sortable: "sortable", editable: "editable", filter: "filter", filterMatchMode: "filterMatchMode", filterType: "filterType", excludeGlobalFilter: "excludeGlobalFilter", rowspan: "rowspan", colspan: "colspan", scope: "scope", style: "style", styleClass: "styleClass", exportable: "exportable", headerStyle: "headerStyle", headerStyleClass: "headerStyleClass", bodyStyle: "bodyStyle", bodyStyleClass: "bodyStyleClass", footerStyle: "footerStyle", footerStyleClass: "footerStyleClass", hidden: "hidden", expander: "expander", selectionMode: "selectionMode", filterPlaceholder: "filterPlaceholder", filterMaxlength: "filterMaxlength", frozen: "frozen" }, outputs: { sortFunction: "sortFunction" }, decls: 0, vars: 0, template: function Column_Template(rf, ctx) { }, encapsulation: 2 });
    return Column;
}());
exports.Column = Column;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(Column, [{
        type: core_2.Component,
        args: [{
                selector: 'p-column',
                template: ''
            }]
    }], null, { field: [{
            type: core_1.Input
        }], colId: [{
            type: core_1.Input
        }], sortField: [{
            type: core_1.Input
        }], filterField: [{
            type: core_1.Input
        }], header: [{
            type: core_1.Input
        }], footer: [{
            type: core_1.Input
        }], sortable: [{
            type: core_1.Input
        }], editable: [{
            type: core_1.Input
        }], filter: [{
            type: core_1.Input
        }], filterMatchMode: [{
            type: core_1.Input
        }], filterType: [{
            type: core_1.Input
        }], excludeGlobalFilter: [{
            type: core_1.Input
        }], rowspan: [{
            type: core_1.Input
        }], colspan: [{
            type: core_1.Input
        }], scope: [{
            type: core_1.Input
        }], style: [{
            type: core_1.Input
        }], styleClass: [{
            type: core_1.Input
        }], exportable: [{
            type: core_1.Input
        }], headerStyle: [{
            type: core_1.Input
        }], headerStyleClass: [{
            type: core_1.Input
        }], bodyStyle: [{
            type: core_1.Input
        }], bodyStyleClass: [{
            type: core_1.Input
        }], footerStyle: [{
            type: core_1.Input
        }], footerStyleClass: [{
            type: core_1.Input
        }], hidden: [{
            type: core_1.Input
        }], expander: [{
            type: core_1.Input
        }], selectionMode: [{
            type: core_1.Input
        }], filterPlaceholder: [{
            type: core_1.Input
        }], filterMaxlength: [{
            type: core_1.Input
        }], frozen: [{
            type: core_1.Input
        }], sortFunction: [{
            type: core_1.Output
        }], templates: [{
            type: core_1.ContentChildren,
            args: [PrimeTemplate]
        }], template: [{
            type: core_1.ContentChild,
            args: [core_1.TemplateRef]
        }] }); })();
var Row = /** @class */ (function () {
    function Row() {
    }
    Row.ɵfac = function Row_Factory(t) { return new (t || Row)(); };
    Row.ɵcmp = i0.ɵɵdefineComponent({ type: Row, selectors: [["p-row"]], contentQueries: function Row_ContentQueries(rf, ctx, dirIndex) { if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, Column, false);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.columns = _t);
        } }, decls: 0, vars: 0, template: function Row_Template(rf, ctx) { }, encapsulation: 2 });
    return Row;
}());
exports.Row = Row;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(Row, [{
        type: core_2.Component,
        args: [{
                selector: 'p-row',
                template: ""
            }]
    }], null, { columns: [{
            type: core_1.ContentChildren,
            args: [Column]
        }] }); })();
var HeaderColumnGroup = /** @class */ (function () {
    function HeaderColumnGroup() {
    }
    HeaderColumnGroup.ɵfac = function HeaderColumnGroup_Factory(t) { return new (t || HeaderColumnGroup)(); };
    HeaderColumnGroup.ɵcmp = i0.ɵɵdefineComponent({ type: HeaderColumnGroup, selectors: [["p-headerColumnGroup"]], contentQueries: function HeaderColumnGroup_ContentQueries(rf, ctx, dirIndex) { if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, Row, false);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.rows = _t);
        } }, inputs: { frozen: "frozen" }, decls: 0, vars: 0, template: function HeaderColumnGroup_Template(rf, ctx) { }, encapsulation: 2 });
    return HeaderColumnGroup;
}());
exports.HeaderColumnGroup = HeaderColumnGroup;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(HeaderColumnGroup, [{
        type: core_2.Component,
        args: [{
                selector: 'p-headerColumnGroup',
                template: ""
            }]
    }], null, { frozen: [{
            type: core_1.Input
        }], rows: [{
            type: core_1.ContentChildren,
            args: [Row]
        }] }); })();
var FooterColumnGroup = /** @class */ (function () {
    function FooterColumnGroup() {
    }
    FooterColumnGroup.ɵfac = function FooterColumnGroup_Factory(t) { return new (t || FooterColumnGroup)(); };
    FooterColumnGroup.ɵcmp = i0.ɵɵdefineComponent({ type: FooterColumnGroup, selectors: [["p-footerColumnGroup"]], contentQueries: function FooterColumnGroup_ContentQueries(rf, ctx, dirIndex) { if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, Row, false);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.rows = _t);
        } }, inputs: { frozen: "frozen" }, decls: 0, vars: 0, template: function FooterColumnGroup_Template(rf, ctx) { }, encapsulation: 2 });
    return FooterColumnGroup;
}());
exports.FooterColumnGroup = FooterColumnGroup;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(FooterColumnGroup, [{
        type: core_2.Component,
        args: [{
                selector: 'p-footerColumnGroup',
                template: ""
            }]
    }], null, { frozen: [{
            type: core_1.Input
        }], rows: [{
            type: core_1.ContentChildren,
            args: [Row]
        }] }); })();
var ColumnBodyTemplateLoader = /** @class */ (function () {
    function ColumnBodyTemplateLoader(viewContainer) {
        this.viewContainer = viewContainer;
    }
    ColumnBodyTemplateLoader.prototype.ngOnInit = function () {
        this.view = this.viewContainer.createEmbeddedView(this.column.bodyTemplate, {
            '\$implicit': this.column,
            'rowData': this.rowData,
            'rowIndex': this.rowIndex
        });
    };
    ColumnBodyTemplateLoader.prototype.ngOnChanges = function (changes) {
        if (!this.view) {
            return;
        }
        if ('rowIndex' in changes) {
            this.view.context.rowIndex = changes['rowIndex'].currentValue;
        }
    };
    ColumnBodyTemplateLoader.prototype.ngOnDestroy = function () {
        this.view.destroy();
    };
    ColumnBodyTemplateLoader.ɵfac = function ColumnBodyTemplateLoader_Factory(t) { return new (t || ColumnBodyTemplateLoader)(i0.ɵɵdirectiveInject(i0.ViewContainerRef)); };
    ColumnBodyTemplateLoader.ɵcmp = i0.ɵɵdefineComponent({ type: ColumnBodyTemplateLoader, selectors: [["p-columnBodyTemplateLoader"]], inputs: { column: "column", rowData: "rowData", rowIndex: "rowIndex" }, features: [i0.ɵɵNgOnChangesFeature], decls: 0, vars: 0, template: function ColumnBodyTemplateLoader_Template(rf, ctx) { }, encapsulation: 2 });
    return ColumnBodyTemplateLoader;
}());
exports.ColumnBodyTemplateLoader = ColumnBodyTemplateLoader;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(ColumnBodyTemplateLoader, [{
        type: core_2.Component,
        args: [{
                selector: 'p-columnBodyTemplateLoader',
                template: ""
            }]
    }], function () { return [{ type: i0.ViewContainerRef }]; }, { column: [{
            type: core_1.Input
        }], rowData: [{
            type: core_1.Input
        }], rowIndex: [{
            type: core_1.Input
        }] }); })();
var ColumnHeaderTemplateLoader = /** @class */ (function () {
    function ColumnHeaderTemplateLoader(viewContainer) {
        this.viewContainer = viewContainer;
    }
    ColumnHeaderTemplateLoader.prototype.ngOnInit = function () {
        this.view = this.viewContainer.createEmbeddedView(this.column.headerTemplate, {
            '\$implicit': this.column
        });
    };
    ColumnHeaderTemplateLoader.prototype.ngOnDestroy = function () {
        this.view.destroy();
    };
    ColumnHeaderTemplateLoader.ɵfac = function ColumnHeaderTemplateLoader_Factory(t) { return new (t || ColumnHeaderTemplateLoader)(i0.ɵɵdirectiveInject(i0.ViewContainerRef)); };
    ColumnHeaderTemplateLoader.ɵcmp = i0.ɵɵdefineComponent({ type: ColumnHeaderTemplateLoader, selectors: [["p-columnHeaderTemplateLoader"]], inputs: { column: "column" }, decls: 0, vars: 0, template: function ColumnHeaderTemplateLoader_Template(rf, ctx) { }, encapsulation: 2 });
    return ColumnHeaderTemplateLoader;
}());
exports.ColumnHeaderTemplateLoader = ColumnHeaderTemplateLoader;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(ColumnHeaderTemplateLoader, [{
        type: core_2.Component,
        args: [{
                selector: 'p-columnHeaderTemplateLoader',
                template: ""
            }]
    }], function () { return [{ type: i0.ViewContainerRef }]; }, { column: [{
            type: core_1.Input
        }] }); })();
var ColumnFooterTemplateLoader = /** @class */ (function () {
    function ColumnFooterTemplateLoader(viewContainer) {
        this.viewContainer = viewContainer;
    }
    ColumnFooterTemplateLoader.prototype.ngOnInit = function () {
        this.view = this.viewContainer.createEmbeddedView(this.column.footerTemplate, {
            '\$implicit': this.column
        });
    };
    ColumnFooterTemplateLoader.prototype.ngOnDestroy = function () {
        this.view.destroy();
    };
    ColumnFooterTemplateLoader.ɵfac = function ColumnFooterTemplateLoader_Factory(t) { return new (t || ColumnFooterTemplateLoader)(i0.ɵɵdirectiveInject(i0.ViewContainerRef)); };
    ColumnFooterTemplateLoader.ɵcmp = i0.ɵɵdefineComponent({ type: ColumnFooterTemplateLoader, selectors: [["p-columnFooterTemplateLoader"]], inputs: { column: "column" }, decls: 0, vars: 0, template: function ColumnFooterTemplateLoader_Template(rf, ctx) { }, encapsulation: 2 });
    return ColumnFooterTemplateLoader;
}());
exports.ColumnFooterTemplateLoader = ColumnFooterTemplateLoader;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(ColumnFooterTemplateLoader, [{
        type: core_2.Component,
        args: [{
                selector: 'p-columnFooterTemplateLoader',
                template: ""
            }]
    }], function () { return [{ type: i0.ViewContainerRef }]; }, { column: [{
            type: core_1.Input
        }] }); })();
var ColumnFilterTemplateLoader = /** @class */ (function () {
    function ColumnFilterTemplateLoader(viewContainer) {
        this.viewContainer = viewContainer;
    }
    ColumnFilterTemplateLoader.prototype.ngOnInit = function () {
        this.view = this.viewContainer.createEmbeddedView(this.column.filterTemplate, {
            '\$implicit': this.column
        });
    };
    ColumnFilterTemplateLoader.prototype.ngOnDestroy = function () {
        this.view.destroy();
    };
    ColumnFilterTemplateLoader.ɵfac = function ColumnFilterTemplateLoader_Factory(t) { return new (t || ColumnFilterTemplateLoader)(i0.ɵɵdirectiveInject(i0.ViewContainerRef)); };
    ColumnFilterTemplateLoader.ɵcmp = i0.ɵɵdefineComponent({ type: ColumnFilterTemplateLoader, selectors: [["p-columnFilterTemplateLoader"]], inputs: { column: "column" }, decls: 0, vars: 0, template: function ColumnFilterTemplateLoader_Template(rf, ctx) { }, encapsulation: 2 });
    return ColumnFilterTemplateLoader;
}());
exports.ColumnFilterTemplateLoader = ColumnFilterTemplateLoader;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(ColumnFilterTemplateLoader, [{
        type: core_2.Component,
        args: [{
                selector: 'p-columnFilterTemplateLoader',
                template: ""
            }]
    }], function () { return [{ type: i0.ViewContainerRef }]; }, { column: [{
            type: core_1.Input
        }] }); })();
var ColumnEditorTemplateLoader = /** @class */ (function () {
    function ColumnEditorTemplateLoader(viewContainer) {
        this.viewContainer = viewContainer;
    }
    ColumnEditorTemplateLoader.prototype.ngOnInit = function () {
        this.view = this.viewContainer.createEmbeddedView(this.column.editorTemplate, {
            '\$implicit': this.column,
            'rowData': this.rowData,
            'rowIndex': this.rowIndex
        });
    };
    ColumnEditorTemplateLoader.prototype.ngOnDestroy = function () {
        this.view.destroy();
    };
    ColumnEditorTemplateLoader.ɵfac = function ColumnEditorTemplateLoader_Factory(t) { return new (t || ColumnEditorTemplateLoader)(i0.ɵɵdirectiveInject(i0.ViewContainerRef)); };
    ColumnEditorTemplateLoader.ɵcmp = i0.ɵɵdefineComponent({ type: ColumnEditorTemplateLoader, selectors: [["p-columnEditorTemplateLoader"]], inputs: { column: "column", rowData: "rowData", rowIndex: "rowIndex" }, decls: 0, vars: 0, template: function ColumnEditorTemplateLoader_Template(rf, ctx) { }, encapsulation: 2 });
    return ColumnEditorTemplateLoader;
}());
exports.ColumnEditorTemplateLoader = ColumnEditorTemplateLoader;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(ColumnEditorTemplateLoader, [{
        type: core_2.Component,
        args: [{
                selector: 'p-columnEditorTemplateLoader',
                template: ""
            }]
    }], function () { return [{ type: i0.ViewContainerRef }]; }, { column: [{
            type: core_1.Input
        }], rowData: [{
            type: core_1.Input
        }], rowIndex: [{
            type: core_1.Input
        }] }); })();
var TemplateLoader = /** @class */ (function () {
    function TemplateLoader(viewContainer) {
        this.viewContainer = viewContainer;
    }
    TemplateLoader.prototype.ngOnInit = function () {
        if (this.template) {
            this.view = this.viewContainer.createEmbeddedView(this.template, {
                '\$implicit': this.data
            });
        }
    };
    TemplateLoader.prototype.ngOnDestroy = function () {
        if (this.view)
            this.view.destroy();
    };
    TemplateLoader.ɵfac = function TemplateLoader_Factory(t) { return new (t || TemplateLoader)(i0.ɵɵdirectiveInject(i0.ViewContainerRef)); };
    TemplateLoader.ɵcmp = i0.ɵɵdefineComponent({ type: TemplateLoader, selectors: [["p-templateLoader"]], inputs: { template: "template", data: "data" }, decls: 0, vars: 0, template: function TemplateLoader_Template(rf, ctx) { }, encapsulation: 2 });
    return TemplateLoader;
}());
exports.TemplateLoader = TemplateLoader;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(TemplateLoader, [{
        type: core_2.Component,
        args: [{
                selector: 'p-templateLoader',
                template: ""
            }]
    }], function () { return [{ type: i0.ViewContainerRef }]; }, { template: [{
            type: core_1.Input
        }], data: [{
            type: core_1.Input
        }] }); })();
var SharedModule = /** @class */ (function () {
    function SharedModule() {
    }
    SharedModule.ɵmod = i0.ɵɵdefineNgModule({ type: SharedModule });
    SharedModule.ɵinj = i0.ɵɵdefineInjector({ factory: function SharedModule_Factory(t) { return new (t || SharedModule)(); }, imports: [[common_1.CommonModule]] });
    return SharedModule;
}());
exports.SharedModule = SharedModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(SharedModule, { declarations: [Header,
        Footer,
        Column,
        TemplateWrapper,
        ColumnHeaderTemplateLoader,
        ColumnBodyTemplateLoader,
        ColumnFooterTemplateLoader,
        ColumnFilterTemplateLoader,
        PrimeTemplate,
        TemplateLoader,
        Row,
        HeaderColumnGroup,
        FooterColumnGroup,
        ColumnEditorTemplateLoader], imports: [common_1.CommonModule], exports: [Header,
        Footer,
        Column,
        TemplateWrapper,
        ColumnHeaderTemplateLoader,
        ColumnBodyTemplateLoader,
        ColumnFooterTemplateLoader,
        ColumnFilterTemplateLoader,
        PrimeTemplate,
        TemplateLoader,
        Row,
        HeaderColumnGroup,
        FooterColumnGroup,
        ColumnEditorTemplateLoader] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(SharedModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule],
                exports: [Header, Footer, Column, TemplateWrapper, ColumnHeaderTemplateLoader, ColumnBodyTemplateLoader, ColumnFooterTemplateLoader, ColumnFilterTemplateLoader, PrimeTemplate, TemplateLoader, Row, HeaderColumnGroup, FooterColumnGroup, ColumnEditorTemplateLoader],
                declarations: [Header, Footer, Column, TemplateWrapper, ColumnHeaderTemplateLoader, ColumnBodyTemplateLoader, ColumnFooterTemplateLoader, ColumnFilterTemplateLoader, PrimeTemplate, TemplateLoader, Row, HeaderColumnGroup, FooterColumnGroup, ColumnEditorTemplateLoader]
            }]
    }], null, null); })();
//# sourceMappingURL=shared.js.map