import { ElementRef, AfterViewInit, OnDestroy, TemplateRef, EmbeddedViewRef, ViewContainerRef, Renderer2, EventEmitter } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class DeferredLoader implements AfterViewInit, OnDestroy {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    viewContainer: ViewContainerRef;
    onLoad: EventEmitter<any>;
    template: TemplateRef<any>;
    documentScrollListener: Function;
    view: EmbeddedViewRef<any>;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2, viewContainer: ViewContainerRef);
    ngAfterViewInit(): void;
    shouldLoad(): boolean;
    load(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<DeferredLoader, never>;
    static ɵdir: i0.ɵɵDirectiveDefWithMeta<DeferredLoader, "[pDefer]", never, {}, { "onLoad": "onLoad"; }, ["template"]>;
}
export declare class DeferModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<DeferModule, [typeof DeferredLoader], [typeof i1.CommonModule], [typeof DeferredLoader]>;
    static ɵinj: i0.ɵɵInjectorDef<DeferModule>;
}
