import { EventEmitter, ElementRef } from '@angular/core';
import { BlockableUI } from '../common/blockableui';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "../common/shared";
export declare class Fieldset implements BlockableUI {
    private el;
    legend: string;
    toggleable: boolean;
    collapsed: boolean;
    onBeforeToggle: EventEmitter<any>;
    onAfterToggle: EventEmitter<any>;
    style: any;
    styleClass: string;
    animating: boolean;
    constructor(el: ElementRef);
    toggle(event: any): boolean;
    expand(event: any): void;
    collapse(event: any): void;
    getBlockableElement(): HTMLElement;
    onToggleDone(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDef<Fieldset, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<Fieldset, "p-fieldset", never, { "legend": "legend"; "toggleable": "toggleable"; "collapsed": "collapsed"; "style": "style"; "styleClass": "styleClass"; }, { "onBeforeToggle": "onBeforeToggle"; "onAfterToggle": "onAfterToggle"; }, never, ["p-header", "*"]>;
}
export declare class FieldsetModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<FieldsetModule, [typeof Fieldset], [typeof i1.CommonModule], [typeof Fieldset, typeof i2.SharedModule]>;
    static ɵinj: i0.ɵɵInjectorDef<FieldsetModule>;
}
