import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "../button/button";
export declare class InplaceDisplay {
    static ɵfac: i0.ɵɵFactoryDef<InplaceDisplay, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<InplaceDisplay, "p-inplaceDisplay", never, {}, {}, never, ["*"]>;
}
export declare class InplaceContent {
    static ɵfac: i0.ɵɵFactoryDef<InplaceContent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<InplaceContent, "p-inplaceContent", never, {}, {}, never, ["*"]>;
}
export declare class Inplace {
    active: boolean;
    closable: boolean;
    disabled: boolean;
    style: any;
    styleClass: string;
    onActivate: EventEmitter<any>;
    onDeactivate: EventEmitter<any>;
    hover: boolean;
    activate(event: any): void;
    deactivate(event: any): void;
    static ɵfac: i0.ɵɵFactoryDef<Inplace, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<Inplace, "p-inplace", never, { "active": "active"; "closable": "closable"; "disabled": "disabled"; "style": "style"; "styleClass": "styleClass"; }, { "onActivate": "onActivate"; "onDeactivate": "onDeactivate"; }, never, ["[pInplaceDisplay]", "[pInplaceContent]"]>;
}
export declare class InplaceModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<InplaceModule, [typeof Inplace, typeof InplaceDisplay, typeof InplaceContent], [typeof i1.CommonModule, typeof i2.ButtonModule], [typeof Inplace, typeof InplaceDisplay, typeof InplaceContent, typeof i2.ButtonModule]>;
    static ɵinj: i0.ɵɵInjectorDef<InplaceModule>;
}
