"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var i0 = require("@angular/core");
var InputText = /** @class */ (function () {
    function InputText(el) {
        this.el = el;
    }
    InputText.prototype.ngDoCheck = function () {
        this.updateFilledState();
    };
    //To trigger change detection to manage ui-state-filled for material labels when there is no value binding
    InputText.prototype.onInput = function (e) {
        this.updateFilledState();
    };
    InputText.prototype.updateFilledState = function () {
        this.filled = this.el.nativeElement.value && this.el.nativeElement.value.length;
    };
    InputText.ɵfac = function InputText_Factory(t) { return new (t || InputText)(i0.ɵɵdirectiveInject(i0.ElementRef)); };
    InputText.ɵdir = i0.ɵɵdefineDirective({ type: InputText, selectors: [["", "pInputText", ""]], hostVars: 10, hostBindings: function InputText_HostBindings(rf, ctx) { if (rf & 1) {
            i0.ɵɵlistener("input", function InputText_input_HostBindingHandler($event) { return ctx.onInput($event); });
        } if (rf & 2) {
            i0.ɵɵclassProp("ui-inputtext", true)("ui-corner-all", true)("ui-state-default", true)("ui-widget", true)("ui-state-filled", ctx.filled);
        } } });
    return InputText;
}());
exports.InputText = InputText;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(InputText, [{
        type: core_1.Directive,
        args: [{
                selector: '[pInputText]',
                host: {
                    '[class.ui-inputtext]': 'true',
                    '[class.ui-corner-all]': 'true',
                    '[class.ui-state-default]': 'true',
                    '[class.ui-widget]': 'true',
                    '[class.ui-state-filled]': 'filled'
                }
            }]
    }], function () { return [{ type: i0.ElementRef }]; }, { onInput: [{
            type: core_1.HostListener,
            args: ['input', ['$event']]
        }] }); })();
var InputTextModule = /** @class */ (function () {
    function InputTextModule() {
    }
    InputTextModule.ɵmod = i0.ɵɵdefineNgModule({ type: InputTextModule });
    InputTextModule.ɵinj = i0.ɵɵdefineInjector({ factory: function InputTextModule_Factory(t) { return new (t || InputTextModule)(); }, imports: [[common_1.CommonModule]] });
    return InputTextModule;
}());
exports.InputTextModule = InputTextModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(InputTextModule, { declarations: [InputText], imports: [common_1.CommonModule], exports: [InputText] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(InputTextModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule],
                exports: [InputText],
                declarations: [InputText]
            }]
    }], null, null); })();
//# sourceMappingURL=inputtext.js.map