import { ElementRef, Renderer2, AfterViewInit, OnDestroy } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class Lightbox implements AfterViewInit, OnDestroy {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    images: any[];
    type: string;
    style: any;
    styleClass: string;
    appendTo: any;
    easing: 'ease-out';
    effectDuration: any;
    visible: boolean;
    loading: boolean;
    currentImage: any;
    captionText: string;
    zindex: any;
    panel: any;
    index: number;
    mask: any;
    preventDocumentClickListener: boolean;
    documentClickListener: any;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2);
    onImageClick(event: any, image: any, i: any, content: any): void;
    ngAfterViewInit(): void;
    onLinkClick(event: any, content: any): void;
    displayImage(image: any): void;
    show(): void;
    hide(event: any): void;
    center(): void;
    onImageLoad(event: any, content: any): void;
    prev(placeholder: any): void;
    next(placeholder: any): void;
    get leftVisible(): boolean;
    get rightVisible(): boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<Lightbox, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<Lightbox, "p-lightbox", never, { "images": "images"; "type": "type"; "style": "style"; "styleClass": "styleClass"; "appendTo": "appendTo"; "easing": "easing"; "effectDuration": "effectDuration"; }, {}, never, ["a", "*"]>;
}
export declare class LightboxModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<LightboxModule, [typeof Lightbox], [typeof i1.CommonModule], [typeof Lightbox]>;
    static ɵinj: i0.ɵɵInjectorDef<LightboxModule>;
}
