import { ElementRef, Renderer2 } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import { MenuItem } from '../common/menuitem';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "@angular/router";
export declare class MegaMenu {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    model: MenuItem[];
    style: any;
    styleClass: string;
    orientation: string;
    activeItem: any;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2);
    onItemMouseEnter(event: any, item: any, menuitem: MenuItem): void;
    onItemMouseLeave(event: any, link: any): void;
    itemClick(event: any, item: MenuItem): void;
    getColumnClass(menuitem: MenuItem): any;
    static ɵfac: i0.ɵɵFactoryDef<MegaMenu, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<MegaMenu, "p-megaMenu", never, { "model": "model"; "style": "style"; "styleClass": "styleClass"; "orientation": "orientation"; }, {}, never, ["*"]>;
}
export declare class MegaMenuModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<MegaMenuModule, [typeof MegaMenu], [typeof i1.CommonModule, typeof i2.RouterModule], [typeof MegaMenu, typeof i2.RouterModule]>;
    static ɵinj: i0.ɵɵInjectorDef<MegaMenuModule>;
}
