import { AfterViewInit, AfterViewChecked, OnDestroy, EventEmitter, Renderer2, ElementRef, ChangeDetectorRef } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class OverlayPanel implements AfterViewInit, AfterViewChecked, OnDestroy {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    private cd;
    dismissable: boolean;
    showCloseIcon: boolean;
    style: any;
    styleClass: string;
    appendTo: any;
    onBeforeShow: EventEmitter<any>;
    onAfterShow: EventEmitter<any>;
    onBeforeHide: EventEmitter<any>;
    onAfterHide: EventEmitter<any>;
    container: any;
    visible: boolean;
    documentClickListener: any;
    selfClick: boolean;
    target: any;
    willHide: boolean;
    willShow: boolean;
    targetClickEvent: boolean;
    closeClick: boolean;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2, cd: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    bindDocumentClickListener(): void;
    unbindDocumentClickListener(): void;
    toggle(event: any, target?: any): void;
    show(event: any, target?: any): void;
    hide(): void;
    onPanelClick(event: any): void;
    onCloseClick(event: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<OverlayPanel, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<OverlayPanel, "p-overlayPanel", never, { "dismissable": "dismissable"; "showCloseIcon": "showCloseIcon"; "style": "style"; "styleClass": "styleClass"; "appendTo": "appendTo"; }, { "onBeforeShow": "onBeforeShow"; "onAfterShow": "onAfterShow"; "onBeforeHide": "onBeforeHide"; "onAfterHide": "onAfterHide"; }, never, ["*"]>;
}
export declare class OverlayPanelModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<OverlayPanelModule, [typeof OverlayPanel], [typeof i1.CommonModule], [typeof OverlayPanel]>;
    static ɵinj: i0.ɵɵInjectorDef<OverlayPanelModule>;
}
