import { EventEmitter } from '@angular/core';
import { SelectItem } from '../common/selectitem';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "../dropdown/dropdown";
import * as i3 from "@angular/forms";
export declare class Paginator {
    pageLinkSize: number;
    onPageChange: EventEmitter<any>;
    style: any;
    styleClass: string;
    alwaysShow: boolean;
    pageLinks: number[];
    _totalRecords: number;
    _first: number;
    _rows: number;
    _rowsPerPageOptions: number[];
    rowsPerPageItems: SelectItem[];
    get totalRecords(): number;
    set totalRecords(val: number);
    get first(): number;
    set first(val: number);
    get rows(): number;
    set rows(val: number);
    get rowsPerPageOptions(): number[];
    set rowsPerPageOptions(val: number[]);
    isFirstPage(): boolean;
    isLastPage(): boolean;
    getPageCount(): number;
    calculatePageLinkBoundaries(): number[];
    updatePageLinks(): void;
    changePage(p: number): void;
    getPage(): number;
    changePageToFirst(event: any): void;
    changePageToPrev(event: any): void;
    changePageToNext(event: any): void;
    changePageToLast(event: any): void;
    onPageLinkClick(event: any, page: any): void;
    onRppChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDef<Paginator, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<Paginator, "p-paginator", never, { "pageLinkSize": "pageLinkSize"; "style": "style"; "styleClass": "styleClass"; "alwaysShow": "alwaysShow"; "totalRecords": "totalRecords"; "first": "first"; "rows": "rows"; "rowsPerPageOptions": "rowsPerPageOptions"; }, { "onPageChange": "onPageChange"; }, never, never>;
}
export declare class PaginatorModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<PaginatorModule, [typeof Paginator], [typeof i1.CommonModule, typeof i2.DropdownModule, typeof i3.FormsModule], [typeof Paginator, typeof i2.DropdownModule, typeof i3.FormsModule]>;
    static ɵinj: i0.ɵɵInjectorDef<PaginatorModule>;
}
