import { EventEmitter, ElementRef } from '@angular/core';
import { BlockableUI } from '../common/blockableui';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "../common/shared";
export declare class Panel implements BlockableUI {
    private el;
    toggleable: boolean;
    header: string;
    collapsed: boolean;
    style: any;
    styleClass: string;
    expandIcon: string;
    collapseIcon: string;
    showHeader: boolean;
    collapsedChange: EventEmitter<any>;
    onBeforeToggle: EventEmitter<any>;
    onAfterToggle: EventEmitter<any>;
    footerFacet: any;
    animating: boolean;
    constructor(el: ElementRef);
    toggle(event: any): boolean;
    expand(event: any): void;
    collapse(event: any): void;
    getBlockableElement(): HTMLElement;
    onToggleDone(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDef<Panel, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<Panel, "p-panel", never, { "toggleable": "toggleable"; "header": "header"; "collapsed": "collapsed"; "style": "style"; "styleClass": "styleClass"; "expandIcon": "expandIcon"; "collapseIcon": "collapseIcon"; "showHeader": "showHeader"; }, { "collapsedChange": "collapsedChange"; "onBeforeToggle": "onBeforeToggle"; "onAfterToggle": "onAfterToggle"; }, ["footerFacet"], ["p-header", "*", "p-footer"]>;
}
export declare class PanelModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<PanelModule, [typeof Panel], [typeof i1.CommonModule], [typeof Panel, typeof i2.SharedModule]>;
    static ɵinj: i0.ɵɵInjectorDef<PanelModule>;
}
