import { ElementRef, AfterViewInit, OnDestroy, DoCheck } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class Password implements AfterViewInit, OnDestroy, DoCheck {
    el: ElementRef;
    domHandler: DomHandler;
    promptLabel: string;
    weakLabel: string;
    mediumLabel: string;
    strongLabel: string;
    feedback: boolean;
    panel: any;
    meter: any;
    info: any;
    filled: boolean;
    constructor(el: ElementRef, domHandler: DomHandler);
    ngAfterViewInit(): void;
    ngDoCheck(): void;
    onInput(e: any): void;
    updateFilledState(): void;
    onFocus(e: any): void;
    onBlur(e: any): void;
    onKeyup(e: any): void;
    testStrength(str: string): number;
    normalize(x: any, y: any): number;
    get disabled(): boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<Password, never>;
    static ɵdir: i0.ɵɵDirectiveDefWithMeta<Password, "[pPassword]", never, { "promptLabel": "promptLabel"; "weakLabel": "weakLabel"; "mediumLabel": "mediumLabel"; "strongLabel": "strongLabel"; "feedback": "feedback"; }, {}, never>;
}
export declare class PasswordModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<PasswordModule, [typeof Password], [typeof i1.CommonModule], [typeof Password]>;
    static ɵinj: i0.ɵɵInjectorDef<PasswordModule>;
}
