import { ElementRef, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare const RADIO_VALUE_ACCESSOR: any;
export declare class RadioButton implements ControlValueAccessor {
    private cd;
    value: any;
    name: string;
    disabled: boolean;
    label: string;
    tabindex: number;
    inputId: string;
    style: any;
    styleClass: string;
    onClick: EventEmitter<any>;
    inputViewChild: ElementRef;
    onModelChange: Function;
    onModelTouched: Function;
    checked: boolean;
    focused: boolean;
    constructor(cd: ChangeDetectorRef);
    handleClick(): void;
    select(): void;
    writeValue(value: any): void;
    registerOnChange(fn: Function): void;
    registerOnTouched(fn: Function): void;
    setDisabledState(val: boolean): void;
    onFocus(event: any): void;
    onBlur(event: any): void;
    onChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDef<RadioButton, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<RadioButton, "p-radioButton", never, { "value": "value"; "name": "name"; "disabled": "disabled"; "label": "label"; "tabindex": "tabindex"; "inputId": "inputId"; "style": "style"; "styleClass": "styleClass"; }, { "onClick": "onClick"; }, never, never>;
}
export declare class RadioButtonModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<RadioButtonModule, [typeof RadioButton], [typeof i1.CommonModule], [typeof RadioButton]>;
    static ɵinj: i0.ɵɵInjectorDef<RadioButtonModule>;
}
