"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var forms_1 = require("@angular/forms");
var i0 = require("@angular/core");
var i1 = require("@angular/common");
var _c0 = ["rb"];
var _c1 = function (a0, a1, a2) { return { "ui-label-active": a0, "ui-label-disabled": a1, "ui-label-focus": a2 }; };
function RadioButton_label_6_Template(rf, ctx) { if (rf & 1) {
    var _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "label", 7);
    i0.ɵɵlistener("click", function RadioButton_label_6_Template_label_click_0_listener() { i0.ɵɵrestoreView(_r3); var ctx_r2 = i0.ɵɵnextContext(); return ctx_r2.select(); });
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r1 = i0.ɵɵnextContext();
    var _r0 = i0.ɵɵreference(3);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(3, _c1, _r0.checked, ctx_r1.disabled, ctx_r1.focused));
    i0.ɵɵattribute("for", ctx_r1.inputId);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r1.label);
} }
var _c2 = function (a1, a2, a3) { return { "ui-radiobutton-box ui-widget ui-state-default": true, "ui-state-active": a1, "ui-state-disabled": a2, "ui-state-focus": a3 }; };
var _c3 = function (a0) { return { "fa fa-circle": a0 }; };
exports.RADIO_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return RadioButton; }),
    multi: true
};
var RadioButton = /** @class */ (function () {
    function RadioButton(cd) {
        this.cd = cd;
        this.onClick = new core_1.EventEmitter();
        this.onModelChange = function () { };
        this.onModelTouched = function () { };
    }
    RadioButton.prototype.handleClick = function () {
        if (!this.disabled) {
            this.select();
        }
    };
    RadioButton.prototype.select = function () {
        if (!this.disabled) {
            this.onClick.emit(null);
            this.inputViewChild.nativeElement.checked = true;
            this.checked = true;
            this.onModelChange(this.value);
        }
    };
    RadioButton.prototype.writeValue = function (value) {
        this.checked = (value == this.value);
        if (this.inputViewChild.nativeElement) {
            this.inputViewChild.nativeElement.checked = this.checked;
        }
        this.cd.markForCheck();
    };
    RadioButton.prototype.registerOnChange = function (fn) {
        this.onModelChange = fn;
    };
    RadioButton.prototype.registerOnTouched = function (fn) {
        this.onModelTouched = fn;
    };
    RadioButton.prototype.setDisabledState = function (val) {
        this.disabled = val;
    };
    RadioButton.prototype.onFocus = function (event) {
        this.focused = true;
    };
    RadioButton.prototype.onBlur = function (event) {
        this.focused = false;
        this.onModelTouched();
    };
    RadioButton.prototype.onChange = function (event) {
        this.select();
    };
    RadioButton.ɵfac = function RadioButton_Factory(t) { return new (t || RadioButton)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
    RadioButton.ɵcmp = i0.ɵɵdefineComponent({ type: RadioButton, selectors: [["p-radioButton"]], viewQuery: function RadioButton_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵstaticViewQuery(_c0, true);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.inputViewChild = _t.first);
        } }, inputs: { value: "value", name: "name", disabled: "disabled", label: "label", tabindex: "tabindex", inputId: "inputId", style: "style", styleClass: "styleClass" }, outputs: { onClick: "onClick" }, features: [i0.ɵɵProvidersFeature([exports.RADIO_VALUE_ACCESSOR])], decls: 7, vars: 18, consts: [[3, "ngStyle", "ngClass"], [1, "ui-helper-hidden-accessible"], ["type", "radio", 3, "checked", "change", "focus", "blur"], ["rb", ""], [3, "ngClass", "click"], [1, "ui-radiobutton-icon", "ui-clickable", 3, "ngClass"], ["class", "ui-radiobutton-label", 3, "ngClass", "click", 4, "ngIf"], [1, "ui-radiobutton-label", 3, "ngClass", "click"]], template: function RadioButton_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵelementStart(1, "div", 1);
            i0.ɵɵelementStart(2, "input", 2, 3);
            i0.ɵɵlistener("change", function RadioButton_Template_input_change_2_listener($event) { return ctx.onChange($event); })("focus", function RadioButton_Template_input_focus_2_listener($event) { return ctx.onFocus($event); })("blur", function RadioButton_Template_input_blur_2_listener($event) { return ctx.onBlur($event); });
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(4, "div", 4);
            i0.ɵɵlistener("click", function RadioButton_Template_div_click_4_listener() { return ctx.handleClick(); });
            i0.ɵɵelement(5, "span", 5);
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(6, RadioButton_label_6_Template, 2, 7, "label", 6);
        } if (rf & 2) {
            var _r0 = i0.ɵɵreference(3);
            i0.ɵɵclassMap(ctx.styleClass);
            i0.ɵɵproperty("ngStyle", ctx.style)("ngClass", "ui-radiobutton ui-widget");
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("checked", ctx.checked);
            i0.ɵɵattribute("id", ctx.inputId)("name", ctx.name)("value", ctx.value)("tabindex", ctx.tabindex);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(12, _c2, _r0.checked, ctx.disabled, ctx.focused));
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(16, _c3, _r0.checked));
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngIf", ctx.label);
        } }, directives: [i1.NgStyle, i1.NgClass, i1.NgIf], encapsulation: 2 });
    return RadioButton;
}());
exports.RadioButton = RadioButton;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(RadioButton, [{
        type: core_1.Component,
        args: [{
                selector: 'p-radioButton',
                template: "\n        <div [ngStyle]=\"style\" [ngClass]=\"'ui-radiobutton ui-widget'\" [class]=\"styleClass\">\n            <div class=\"ui-helper-hidden-accessible\">\n                <input #rb type=\"radio\" [attr.id]=\"inputId\" [attr.name]=\"name\" [attr.value]=\"value\" [attr.tabindex]=\"tabindex\" \n                    [checked]=\"checked\" (change)=\"onChange($event)\" (focus)=\"onFocus($event)\" (blur)=\"onBlur($event)\">\n            </div>\n            <div (click)=\"handleClick()\"\n                [ngClass]=\"{'ui-radiobutton-box ui-widget ui-state-default':true,\n                'ui-state-active':rb.checked,'ui-state-disabled':disabled,'ui-state-focus':focused}\">\n                <span class=\"ui-radiobutton-icon ui-clickable\" [ngClass]=\"{'fa fa-circle':rb.checked}\"></span>\n            </div>\n        </div>\n        <label class=\"ui-radiobutton-label\" (click)=\"select()\" \n            [ngClass]=\"{'ui-label-active':rb.checked,'ui-label-disabled':disabled,'ui-label-focus':focused}\"\n            *ngIf=\"label\" [attr.for]=\"inputId\">{{label}}</label>\n    ",
                providers: [exports.RADIO_VALUE_ACCESSOR]
            }]
    }], function () { return [{ type: i0.ChangeDetectorRef }]; }, { value: [{
            type: core_1.Input
        }], name: [{
            type: core_1.Input
        }], disabled: [{
            type: core_1.Input
        }], label: [{
            type: core_1.Input
        }], tabindex: [{
            type: core_1.Input
        }], inputId: [{
            type: core_1.Input
        }], style: [{
            type: core_1.Input
        }], styleClass: [{
            type: core_1.Input
        }], onClick: [{
            type: core_1.Output
        }], inputViewChild: [{
            type: core_1.ViewChild,
            args: ['rb', { static: true }]
        }] }); })();
var RadioButtonModule = /** @class */ (function () {
    function RadioButtonModule() {
    }
    RadioButtonModule.ɵmod = i0.ɵɵdefineNgModule({ type: RadioButtonModule });
    RadioButtonModule.ɵinj = i0.ɵɵdefineInjector({ factory: function RadioButtonModule_Factory(t) { return new (t || RadioButtonModule)(); }, imports: [[common_1.CommonModule]] });
    return RadioButtonModule;
}());
exports.RadioButtonModule = RadioButtonModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(RadioButtonModule, { declarations: [RadioButton], imports: [common_1.CommonModule], exports: [RadioButton] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(RadioButtonModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule],
                exports: [RadioButton],
                declarations: [RadioButton]
            }]
    }], null, null); })();
//# sourceMappingURL=radiobutton.js.map