"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var objectutils_1 = require("../utils/objectutils");
var forms_1 = require("@angular/forms");
var i0 = require("@angular/core");
var i1 = require("../utils/objectutils");
var i2 = require("@angular/common");
var _c0 = function (a0, a1, a2) { return { "ui-state-active": a0, "ui-state-disabled": a1, "ui-state-focus": a2 }; };
function SelectButton_div_1_Template(rf, ctx) { if (rf & 1) {
    var _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 2);
    i0.ɵɵlistener("click", function SelectButton_div_1_Template_div_click_0_listener($event) { i0.ɵɵrestoreView(_r5); var option_r1 = ctx.$implicit; var i_r2 = ctx.index; var _r3 = i0.ɵɵreference(5); var ctx_r4 = i0.ɵɵnextContext(); return ctx_r4.onItemClick($event, option_r1, _r3, i_r2); });
    i0.ɵɵelementStart(1, "span", 3);
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "div", 4);
    i0.ɵɵelementStart(4, "input", 5, 6);
    i0.ɵɵlistener("focus", function SelectButton_div_1_Template_input_focus_4_listener($event) { i0.ɵɵrestoreView(_r5); var ctx_r6 = i0.ɵɵnextContext(); return ctx_r6.onFocus($event); })("blur", function SelectButton_div_1_Template_input_blur_4_listener($event) { i0.ɵɵrestoreView(_r5); var ctx_r7 = i0.ɵɵnextContext(); return ctx_r7.onBlur($event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var option_r1 = ctx.$implicit;
    var _r3 = i0.ɵɵreference(5);
    var ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵclassMapInterpolate1("ui-button ui-widget ui-state-default ui-button-text-only ", option_r1.styleClass, "");
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(8, _c0, ctx_r0.isSelected(option_r1), ctx_r0.disabled, _r3 == ctx_r0.focusedItem));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(option_r1.label);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("checked", ctx_r0.isSelected(option_r1));
    i0.ɵɵattribute("tabindex", ctx_r0.tabindex)("disabled", ctx_r0.disabled);
} }
exports.SELECTBUTTON_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return SelectButton; }),
    multi: true
};
var SelectButton = /** @class */ (function () {
    function SelectButton(objectUtils) {
        this.objectUtils = objectUtils;
        this.onOptionClick = new core_1.EventEmitter();
        this.onChange = new core_1.EventEmitter();
        this.onModelChange = function () { };
        this.onModelTouched = function () { };
    }
    Object.defineProperty(SelectButton.prototype, "options", {
        get: function () {
            return this._options;
        },
        set: function (val) {
            var opts = this.optionLabel ? this.objectUtils.generateSelectItems(val, this.optionLabel) : val;
            this._options = opts;
        },
        enumerable: true,
        configurable: true
    });
    SelectButton.prototype.writeValue = function (value) {
        this.value = value;
    };
    SelectButton.prototype.registerOnChange = function (fn) {
        this.onModelChange = fn;
    };
    SelectButton.prototype.registerOnTouched = function (fn) {
        this.onModelTouched = fn;
    };
    SelectButton.prototype.setDisabledState = function (val) {
        this.disabled = val;
    };
    SelectButton.prototype.onItemClick = function (event, option, checkbox, index) {
        if (this.disabled) {
            return;
        }
        checkbox.focus();
        if (this.multiple) {
            var itemIndex_1 = this.findItemIndex(option);
            if (itemIndex_1 != -1)
                this.value = this.value.filter(function (val, i) { return i != itemIndex_1; });
            else
                this.value = __spreadArrays(this.value || [], [option.value]);
        }
        else {
            this.value = option.value;
        }
        this.onOptionClick.emit({
            originalEvent: event,
            option: option,
            index: index
        });
        this.onModelChange(this.value);
        this.onChange.emit({
            originalEvent: event,
            value: this.value
        });
    };
    SelectButton.prototype.onFocus = function (event) {
        this.focusedItem = event.target;
    };
    SelectButton.prototype.onBlur = function (event) {
        this.focusedItem = null;
        this.onModelTouched();
    };
    SelectButton.prototype.isSelected = function (option) {
        if (this.multiple)
            return this.findItemIndex(option) != -1;
        else
            return option.value == this.value;
    };
    SelectButton.prototype.findItemIndex = function (option) {
        var index = -1;
        if (this.value) {
            for (var i = 0; i < this.value.length; i++) {
                if (this.value[i] == option.value) {
                    index = i;
                    break;
                }
            }
        }
        return index;
    };
    SelectButton.ɵfac = function SelectButton_Factory(t) { return new (t || SelectButton)(i0.ɵɵdirectiveInject(i1.ObjectUtils)); };
    SelectButton.ɵcmp = i0.ɵɵdefineComponent({ type: SelectButton, selectors: [["p-selectButton"]], inputs: { tabindex: "tabindex", multiple: "multiple", style: "style", styleClass: "styleClass", disabled: "disabled", optionLabel: "optionLabel", options: "options" }, outputs: { onOptionClick: "onOptionClick", onChange: "onChange" }, features: [i0.ɵɵProvidersFeature([objectutils_1.ObjectUtils, exports.SELECTBUTTON_VALUE_ACCESSOR])], decls: 2, vars: 5, consts: [[3, "ngClass", "ngStyle"], [3, "class", "ngClass", "click", 4, "ngFor", "ngForOf"], [3, "ngClass", "click"], [1, "ui-button-text", "ui-clickable"], [1, "ui-helper-hidden-accessible"], ["type", "checkbox", 3, "checked", "focus", "blur"], ["cbox", ""]], template: function SelectButton_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, SelectButton_div_1_Template, 6, 12, "div", 1);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassMap(ctx.styleClass);
            i0.ɵɵproperty("ngClass", "ui-selectbutton ui-buttonset ui-widget ui-corner-all ui-buttonset-" + ctx.options.length)("ngStyle", ctx.style);
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngForOf", ctx.options);
        } }, directives: [i2.NgClass, i2.NgStyle, i2.NgForOf], encapsulation: 2 });
    return SelectButton;
}());
exports.SelectButton = SelectButton;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(SelectButton, [{
        type: core_1.Component,
        args: [{
                selector: 'p-selectButton',
                template: "\n        <div [ngClass]=\"'ui-selectbutton ui-buttonset ui-widget ui-corner-all ui-buttonset-' + options.length\" [ngStyle]=\"style\" [class]=\"styleClass\">\n            <div *ngFor=\"let option of options; let i = index\" class=\"ui-button ui-widget ui-state-default ui-button-text-only {{option.styleClass}}\"\n                [ngClass]=\"{'ui-state-active':isSelected(option), 'ui-state-disabled':disabled, 'ui-state-focus': cbox == focusedItem}\" (click)=\"onItemClick($event,option,cbox,i)\">\n                <span class=\"ui-button-text ui-clickable\">{{option.label}}</span>\n                <div class=\"ui-helper-hidden-accessible\">\n                    <input #cbox type=\"checkbox\" [checked]=\"isSelected(option)\" (focus)=\"onFocus($event)\" (blur)=\"onBlur($event)\" [attr.tabindex]=\"tabindex\" [attr.disabled]=\"disabled\">\n                </div>\n            </div>\n        </div>\n    ",
                providers: [objectutils_1.ObjectUtils, exports.SELECTBUTTON_VALUE_ACCESSOR]
            }]
    }], function () { return [{ type: i1.ObjectUtils }]; }, { tabindex: [{
            type: core_1.Input
        }], multiple: [{
            type: core_1.Input
        }], style: [{
            type: core_1.Input
        }], styleClass: [{
            type: core_1.Input
        }], disabled: [{
            type: core_1.Input
        }], optionLabel: [{
            type: core_1.Input
        }], onOptionClick: [{
            type: core_1.Output
        }], onChange: [{
            type: core_1.Output
        }], options: [{
            type: core_1.Input
        }] }); })();
var SelectButtonModule = /** @class */ (function () {
    function SelectButtonModule() {
    }
    SelectButtonModule.ɵmod = i0.ɵɵdefineNgModule({ type: SelectButtonModule });
    SelectButtonModule.ɵinj = i0.ɵɵdefineInjector({ factory: function SelectButtonModule_Factory(t) { return new (t || SelectButtonModule)(); }, imports: [[common_1.CommonModule]] });
    return SelectButtonModule;
}());
exports.SelectButtonModule = SelectButtonModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(SelectButtonModule, { declarations: [SelectButton], imports: [common_1.CommonModule], exports: [SelectButton] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(SelectButtonModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule],
                exports: [SelectButton],
                declarations: [SelectButton]
            }]
    }], null, null); })();
//# sourceMappingURL=selectbutton.js.map