import { ElementRef, AfterViewInit, OnDestroy, Renderer2 } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import { MenuItem } from '../common/menuitem';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "@angular/router";
export declare class SlideMenu implements AfterViewInit, OnDestroy {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    model: MenuItem[];
    popup: boolean;
    style: any;
    styleClass: string;
    menuWidth: number;
    viewportHeight: number;
    effectDuration: any;
    easing: string;
    backLabel: string;
    appendTo: any;
    containerViewChild: ElementRef;
    backwardViewChild: ElementRef;
    slideMenuContentViewChild: ElementRef;
    container: HTMLDivElement;
    backwardElement: HTMLDivElement;
    slideMenuContentElement: HTMLDivElement;
    documentClickListener: any;
    preventDocumentDefault: any;
    left: number;
    animating: boolean;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2);
    ngAfterViewInit(): void;
    toggle(event: any): void;
    show(event: any): void;
    hide(): void;
    onClick(event: any): void;
    goBack(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<SlideMenu, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<SlideMenu, "p-slideMenu", never, { "model": "model"; "popup": "popup"; "style": "style"; "styleClass": "styleClass"; "menuWidth": "menuWidth"; "viewportHeight": "viewportHeight"; "effectDuration": "effectDuration"; "easing": "easing"; "backLabel": "backLabel"; "appendTo": "appendTo"; }, {}, never, never>;
}
export declare class SlideMenuSub implements OnDestroy {
    slideMenu: SlideMenu;
    item: MenuItem;
    root: boolean;
    backLabel: string;
    menuWidth: string;
    effectDuration: any;
    easing: string;
    constructor(slideMenu: SlideMenu);
    activeItem: any;
    itemClick(event: any, item: MenuItem, listitem: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<SlideMenuSub, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<SlideMenuSub, "p-slideMenuSub", never, { "item": "item"; "root": "root"; "backLabel": "backLabel"; "menuWidth": "menuWidth"; "effectDuration": "effectDuration"; "easing": "easing"; }, {}, never, never>;
}
export declare class SlideMenuModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<SlideMenuModule, [typeof SlideMenu, typeof SlideMenuSub], [typeof i1.CommonModule, typeof i2.RouterModule], [typeof SlideMenu, typeof i2.RouterModule]>;
    static ɵinj: i0.ɵɵInjectorDef<SlideMenuModule>;
}
