"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var animations_1 = require("@angular/animations");
var common_1 = require("@angular/common");
var domhandler_1 = require("../dom/domhandler");
var button_1 = require("../button/button");
var router_1 = require("@angular/router");
var router_2 = require("@angular/router");
var i0 = require("@angular/core");
var i1 = require("../dom/domhandler");
var i2 = require("@angular/router");
var i3 = require("@angular/common");
var i4 = require("../button/button");
var _c0 = ["defaultbtn"];
var _c1 = ["overlay"];
function SplitButton_li_8_a_1_span_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "span", 14);
} if (rf & 2) {
    var item_r4 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵclassMap(item_r4.icon);
    i0.ɵɵproperty("ngClass", "ui-menuitem-icon fa fa-fw");
} }
var _c2 = function (a0) { return { "ui-state-disabled": a0 }; };
function SplitButton_li_8_a_1_Template(rf, ctx) { if (rf & 1) {
    var _r10 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 11);
    i0.ɵɵlistener("click", function SplitButton_li_8_a_1_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r10); var item_r4 = i0.ɵɵnextContext().$implicit; var ctx_r9 = i0.ɵɵnextContext(); return ctx_r9.itemClick($event, item_r4); });
    i0.ɵɵtemplate(1, SplitButton_li_8_a_1_span_1_Template, 1, 3, "span", 12);
    i0.ɵɵelementStart(2, "span", 13);
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var item_r4 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("href", item_r4.url || "#", i0.ɵɵsanitizeUrl)("ngClass", i0.ɵɵpureFunction1(5, _c2, item_r4.disabled));
    i0.ɵɵattribute("target", item_r4.target);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", item_r4.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(item_r4.label);
} }
function SplitButton_li_8_a_2_span_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "span", 14);
} if (rf & 2) {
    var item_r4 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵclassMap(item_r4.icon);
    i0.ɵɵproperty("ngClass", "ui-menuitem-icon fa fa-fw");
} }
function SplitButton_li_8_a_2_Template(rf, ctx) { if (rf & 1) {
    var _r16 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 15);
    i0.ɵɵlistener("click", function SplitButton_li_8_a_2_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r16); var item_r4 = i0.ɵɵnextContext().$implicit; var ctx_r15 = i0.ɵɵnextContext(); return ctx_r15.itemClick($event, item_r4); });
    i0.ɵɵtemplate(1, SplitButton_li_8_a_2_span_1_Template, 1, 3, "span", 12);
    i0.ɵɵelementStart(2, "span", 13);
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var item_r4 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("routerLink", item_r4.routerLink)("queryParams", item_r4.queryParams)("ngClass", i0.ɵɵpureFunction1(6, _c2, item_r4.disabled));
    i0.ɵɵattribute("target", item_r4.target);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", item_r4.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(item_r4.label);
} }
function SplitButton_li_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 8);
    i0.ɵɵtemplate(1, SplitButton_li_8_a_1_Template, 4, 7, "a", 9);
    i0.ɵɵtemplate(2, SplitButton_li_8_a_2_Template, 4, 8, "a", 10);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var item_r4 = ctx.$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", !item_r4.routerLink);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", item_r4.routerLink);
} }
var _c3 = function (a1) { return { "ui-splitbutton ui-buttonset ui-widget": true, "ui-state-disabled": a1 }; };
var SplitButton = /** @class */ (function () {
    function SplitButton(el, domHandler, renderer, router, cd) {
        this.el = el;
        this.domHandler = domHandler;
        this.renderer = renderer;
        this.router = router;
        this.cd = cd;
        this.iconPos = 'left';
        this.onClick = new core_1.EventEmitter();
        this.onDropdownClick = new core_1.EventEmitter();
        this.menuVisible = false;
    }
    SplitButton.prototype.ngAfterViewInit = function () {
        if (this.appendTo) {
            if (this.appendTo === 'body')
                document.body.appendChild(this.overlayViewChild.nativeElement);
            else
                this.domHandler.appendChild(this.overlayViewChild.nativeElement, this.appendTo);
        }
    };
    SplitButton.prototype.ngAfterViewChecked = function () {
        if (this.shown) {
            this.onShow();
            this.shown = false;
        }
    };
    SplitButton.prototype.onDefaultButtonClick = function (event) {
        this.onClick.emit(event);
    };
    SplitButton.prototype.itemClick = function (event, item) {
        if (item.disabled) {
            event.preventDefault();
            return;
        }
        if (!item.url) {
            event.preventDefault();
        }
        if (item.command) {
            item.command({
                originalEvent: event,
                item: item
            });
        }
        this.menuVisible = false;
    };
    SplitButton.prototype.show = function () {
        this.shown = true;
        this.menuVisible = !this.menuVisible;
        this.alignPanel();
        this.overlayViewChild.nativeElement.style.zIndex = String(++domhandler_1.DomHandler.zindex);
    };
    SplitButton.prototype.onShow = function () {
        this.alignPanel();
        this.bindDocumentClickListener();
    };
    SplitButton.prototype.onDropdownButtonClick = function (event) {
        this.onDropdownClick.emit(event);
        this.dropdownClick = true;
        this.show();
    };
    SplitButton.prototype.alignPanel = function () {
        if (this.appendTo)
            this.domHandler.absolutePosition(this.overlayViewChild.nativeElement, this.buttonViewChild.nativeElement);
        else
            this.domHandler.relativePosition(this.overlayViewChild.nativeElement, this.buttonViewChild.nativeElement);
    };
    SplitButton.prototype.bindDocumentClickListener = function () {
        var _this = this;
        if (!this.documentClickListener) {
            this.documentClickListener = this.renderer.listen('document', 'click', function () {
                if (_this.dropdownClick) {
                    _this.dropdownClick = false;
                }
                else {
                    _this.menuVisible = false;
                    _this.unbindDocumentClickListener();
                    _this.cd.markForCheck();
                }
            });
        }
    };
    SplitButton.prototype.unbindDocumentClickListener = function () {
        if (this.documentClickListener) {
            this.documentClickListener();
            this.documentClickListener = null;
        }
    };
    SplitButton.prototype.ngOnDestroy = function () {
        this.unbindDocumentClickListener();
    };
    SplitButton.ɵfac = function SplitButton_Factory(t) { return new (t || SplitButton)(i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i1.DomHandler), i0.ɵɵdirectiveInject(i0.Renderer2), i0.ɵɵdirectiveInject(i2.Router), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
    SplitButton.ɵcmp = i0.ɵɵdefineComponent({ type: SplitButton, selectors: [["p-splitButton"]], viewQuery: function SplitButton_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, true);
            i0.ɵɵviewQuery(_c1, true);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.buttonViewChild = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.overlayViewChild = _t.first);
        } }, inputs: { model: "model", icon: "icon", iconPos: "iconPos", label: "label", style: "style", styleClass: "styleClass", menuStyle: "menuStyle", menuStyleClass: "menuStyleClass", disabled: "disabled", tabindex: "tabindex", appendTo: "appendTo" }, outputs: { onClick: "onClick", onDropdownClick: "onDropdownClick" }, features: [i0.ɵɵProvidersFeature([domhandler_1.DomHandler])], decls: 9, vars: 20, consts: [[3, "ngClass", "ngStyle"], ["container", ""], ["type", "button", "pButton", "", "cornerStyleClass", "ui-corner-left", 3, "icon", "iconPos", "label", "disabled", "click"], ["defaultbtn", ""], ["type", "button", "pButton", "", "icon", "fa-caret-down", "cornerStyleClass", "ui-corner-right", 1, "ui-splitbutton-menubutton", 3, "disabled", "click"], ["overlay", ""], [1, "ui-menu-list", "ui-helper-reset"], ["class", "ui-menuitem ui-widget ui-corner-all", "role", "menuitem", 4, "ngFor", "ngForOf"], ["role", "menuitem", 1, "ui-menuitem", "ui-widget", "ui-corner-all"], ["class", "ui-menuitem-link ui-corner-all", 3, "href", "ngClass", "click", 4, "ngIf"], ["class", "ui-menuitem-link ui-corner-all", 3, "routerLink", "queryParams", "ngClass", "click", 4, "ngIf"], [1, "ui-menuitem-link", "ui-corner-all", 3, "href", "ngClass", "click"], [3, "ngClass", "class", 4, "ngIf"], [1, "ui-menuitem-text"], [3, "ngClass"], [1, "ui-menuitem-link", "ui-corner-all", 3, "routerLink", "queryParams", "ngClass", "click"]], template: function SplitButton_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0, 1);
            i0.ɵɵelementStart(2, "button", 2, 3);
            i0.ɵɵlistener("click", function SplitButton_Template_button_click_2_listener($event) { return ctx.onDefaultButtonClick($event); });
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(4, "button", 4);
            i0.ɵɵlistener("click", function SplitButton_Template_button_click_4_listener($event) { return ctx.onDropdownButtonClick($event); });
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(5, "div", 0, 5);
            i0.ɵɵelementStart(7, "ul", 6);
            i0.ɵɵtemplate(8, SplitButton_li_8_Template, 3, 2, "li", 7);
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassMap(ctx.styleClass);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(18, _c3, ctx.disabled))("ngStyle", ctx.style);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("icon", ctx.icon)("iconPos", ctx.iconPos)("label", ctx.label)("disabled", ctx.disabled);
            i0.ɵɵattribute("tabindex", ctx.tabindex);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("disabled", ctx.disabled);
            i0.ɵɵadvance(1);
            i0.ɵɵclassMap(ctx.menuStyleClass);
            i0.ɵɵstyleProp("display", ctx.menuVisible ? "block" : "none");
            i0.ɵɵproperty("ngClass", "ui-menu ui-menu-dynamic ui-widget ui-widget-content ui-corner-all ui-helper-clearfix ui-shadow")("ngStyle", ctx.menuStyle)("@overlayState", ctx.menuVisible ? "visible" : "hidden");
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngForOf", ctx.model);
        } }, directives: [i3.NgClass, i3.NgStyle, i4.Button, i3.NgForOf, i3.NgIf, i2.RouterLinkWithHref], encapsulation: 2, data: { animation: [
                animations_1.trigger('overlayState', [
                    animations_1.state('hidden', animations_1.style({
                        opacity: 0
                    })),
                    animations_1.state('visible', animations_1.style({
                        opacity: 1
                    })),
                    animations_1.transition('visible => hidden', animations_1.animate('400ms ease-in')),
                    animations_1.transition('hidden => visible', animations_1.animate('400ms ease-out'))
                ])
            ] } });
    return SplitButton;
}());
exports.SplitButton = SplitButton;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(SplitButton, [{
        type: core_1.Component,
        args: [{
                selector: 'p-splitButton',
                template: "\n        <div #container [ngClass]=\"{'ui-splitbutton ui-buttonset ui-widget':true,'ui-state-disabled':disabled}\" [ngStyle]=\"style\" [class]=\"styleClass\">\n            <button #defaultbtn type=\"button\" pButton [icon]=\"icon\" [iconPos]=\"iconPos\" [label]=\"label\" cornerStyleClass=\"ui-corner-left\" (click)=\"onDefaultButtonClick($event)\" [disabled]=\"disabled\" [attr.tabindex]=\"tabindex\">\n            </button><button type=\"button\" pButton class=\"ui-splitbutton-menubutton\" icon=\"fa-caret-down\" cornerStyleClass=\"ui-corner-right\" (click)=\"onDropdownButtonClick($event)\" [disabled]=\"disabled\"></button>\n            <div #overlay [ngClass]=\"'ui-menu ui-menu-dynamic ui-widget ui-widget-content ui-corner-all ui-helper-clearfix ui-shadow'\" [style.display]=\"menuVisible ? 'block' : 'none'\"\n                    [ngStyle]=\"menuStyle\" [class]=\"menuStyleClass\" [@overlayState]=\"menuVisible ? 'visible' : 'hidden'\">\n                <ul class=\"ui-menu-list ui-helper-reset\">\n                    <li class=\"ui-menuitem ui-widget ui-corner-all\" role=\"menuitem\" *ngFor=\"let item of model\">\n                        <a *ngIf=\"!item.routerLink\" [href]=\"item.url||'#'\" class=\"ui-menuitem-link ui-corner-all\" [attr.target]=\"item.target\"\n                            [ngClass]=\"{'ui-state-disabled':item.disabled}\" (click)=\"itemClick($event, item)\">\n                            <span [ngClass]=\"'ui-menuitem-icon fa fa-fw'\" [class]=\"item.icon\" *ngIf=\"item.icon\"></span>\n                            <span class=\"ui-menuitem-text\">{{item.label}}</span>\n                        </a>\n                        <a *ngIf=\"item.routerLink\" [routerLink]=\"item.routerLink\" [queryParams]=\"item.queryParams\"\n                            class=\"ui-menuitem-link ui-corner-all\" [attr.target]=\"item.target\" [ngClass]=\"{'ui-state-disabled':item.disabled}\" (click)=\"itemClick($event, item)\">\n                            <span [ngClass]=\"'ui-menuitem-icon fa fa-fw'\" [class]=\"item.icon\" *ngIf=\"item.icon\"></span>\n                            <span class=\"ui-menuitem-text\">{{item.label}}</span>\n                        </a>\n                    </li>\n                </ul>\n            </div>\n        </div>\n    ",
                animations: [
                    animations_1.trigger('overlayState', [
                        animations_1.state('hidden', animations_1.style({
                            opacity: 0
                        })),
                        animations_1.state('visible', animations_1.style({
                            opacity: 1
                        })),
                        animations_1.transition('visible => hidden', animations_1.animate('400ms ease-in')),
                        animations_1.transition('hidden => visible', animations_1.animate('400ms ease-out'))
                    ])
                ],
                providers: [domhandler_1.DomHandler]
            }]
    }], function () { return [{ type: i0.ElementRef }, { type: i1.DomHandler }, { type: i0.Renderer2 }, { type: i2.Router }, { type: i0.ChangeDetectorRef }]; }, { model: [{
            type: core_1.Input
        }], icon: [{
            type: core_1.Input
        }], iconPos: [{
            type: core_1.Input
        }], label: [{
            type: core_1.Input
        }], onClick: [{
            type: core_1.Output
        }], onDropdownClick: [{
            type: core_1.Output
        }], style: [{
            type: core_1.Input
        }], styleClass: [{
            type: core_1.Input
        }], menuStyle: [{
            type: core_1.Input
        }], menuStyleClass: [{
            type: core_1.Input
        }], disabled: [{
            type: core_1.Input
        }], tabindex: [{
            type: core_1.Input
        }], appendTo: [{
            type: core_1.Input
        }], buttonViewChild: [{
            type: core_1.ViewChild,
            args: ['defaultbtn']
        }], overlayViewChild: [{
            type: core_1.ViewChild,
            args: ['overlay']
        }] }); })();
var SplitButtonModule = /** @class */ (function () {
    function SplitButtonModule() {
    }
    SplitButtonModule.ɵmod = i0.ɵɵdefineNgModule({ type: SplitButtonModule });
    SplitButtonModule.ɵinj = i0.ɵɵdefineInjector({ factory: function SplitButtonModule_Factory(t) { return new (t || SplitButtonModule)(); }, imports: [[common_1.CommonModule, button_1.ButtonModule, router_2.RouterModule],
            button_1.ButtonModule, router_2.RouterModule] });
    return SplitButtonModule;
}());
exports.SplitButtonModule = SplitButtonModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(SplitButtonModule, { declarations: [SplitButton], imports: [common_1.CommonModule, button_1.ButtonModule, router_2.RouterModule], exports: [SplitButton,
        button_1.ButtonModule, router_2.RouterModule] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(SplitButtonModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule, button_1.ButtonModule, router_2.RouterModule],
                exports: [SplitButton, button_1.ButtonModule, router_2.RouterModule],
                declarations: [SplitButton]
            }]
    }], null, null); })();
//# sourceMappingURL=splitbutton.js.map