import { ElementRef, AfterViewInit, OnDestroy, Renderer2 } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import { MenuItem } from '../common/menuitem';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "@angular/router";
export declare class TieredMenuSub {
    domHandler: DomHandler;
    item: MenuItem;
    root: boolean;
    constructor(domHandler: DomHandler);
    activeItem: HTMLLIElement;
    onItemMouseEnter(event: Event, item: HTMLLIElement, menuitem: MenuItem): void;
    onItemMouseLeave(event: Event): void;
    itemClick(event: Event, item: MenuItem): boolean;
    listClick(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDef<TieredMenuSub, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<TieredMenuSub, "p-tieredMenuSub", never, { "item": "item"; "root": "root"; }, {}, never, never>;
}
export declare class TieredMenu implements AfterViewInit, OnDestroy {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    model: MenuItem[];
    popup: boolean;
    style: any;
    styleClass: string;
    appendTo: any;
    container: any;
    documentClickListener: any;
    preventDocumentDefault: any;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2);
    ngAfterViewInit(): void;
    toggle(event: Event): void;
    show(event: Event): void;
    hide(): void;
    unbindDocumentClickListener(): void;
    bindDocumentClickListener(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<TieredMenu, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<TieredMenu, "p-tieredMenu", never, { "model": "model"; "popup": "popup"; "style": "style"; "styleClass": "styleClass"; "appendTo": "appendTo"; }, {}, never, never>;
}
export declare class TieredMenuModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<TieredMenuModule, [typeof TieredMenu, typeof TieredMenuSub], [typeof i1.CommonModule, typeof i2.RouterModule], [typeof TieredMenu, typeof i2.RouterModule]>;
    static ɵinj: i0.ɵɵInjectorDef<TieredMenuModule>;
}
