import { EventEmitter, AfterViewInit, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare const TOGGLEBUTTON_VALUE_ACCESSOR: any;
export declare class ToggleButton implements ControlValueAccessor, AfterViewInit {
    onLabel: string;
    offLabel: string;
    onIcon: string;
    offIcon: string;
    disabled: boolean;
    style: any;
    styleClass: string;
    inputId: string;
    tabindex: number;
    onChange: EventEmitter<any>;
    checkboxViewChild: ElementRef;
    checkbox: HTMLInputElement;
    checked: boolean;
    focus: boolean;
    onModelChange: Function;
    onModelTouched: Function;
    ngAfterViewInit(): void;
    getIconClass(): string;
    toggle(event: Event): void;
    onFocus(): void;
    onBlur(): void;
    writeValue(value: any): void;
    registerOnChange(fn: Function): void;
    registerOnTouched(fn: Function): void;
    setDisabledState(val: boolean): void;
    get hasOnLabel(): boolean;
    get hasOffLabel(): boolean;
    static ɵfac: i0.ɵɵFactoryDef<ToggleButton, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<ToggleButton, "p-toggleButton", never, { "onLabel": "onLabel"; "offLabel": "offLabel"; "onIcon": "onIcon"; "offIcon": "offIcon"; "disabled": "disabled"; "style": "style"; "styleClass": "styleClass"; "inputId": "inputId"; "tabindex": "tabindex"; }, { "onChange": "onChange"; }, never, never>;
}
export declare class ToggleButtonModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<ToggleButtonModule, [typeof ToggleButton], [typeof i1.CommonModule], [typeof ToggleButton]>;
    static ɵinj: i0.ɵɵInjectorDef<ToggleButtonModule>;
}
