import { AfterViewInit, OnDestroy, ElementRef } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class BlockUI implements AfterViewInit, OnDestroy {
    el: ElementRef;
    domHandler: DomHandler;
    target: any;
    autoZIndex: boolean;
    baseZIndex: number;
    mask: ElementRef;
    _blocked: boolean;
    constructor(el: ElementRef, domHandler: DomHandler);
    get blocked(): boolean;
    set blocked(val: boolean);
    ngAfterViewInit(): void;
    block(): void;
    unblock(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<BlockUI, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<BlockUI, "p-blockUI", never, { "target": "target"; "autoZIndex": "autoZIndex"; "baseZIndex": "baseZIndex"; "blocked": "blocked"; }, {}, never, ["*"]>;
}
export declare class BlockUIModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<BlockUIModule, [typeof BlockUI], [typeof i1.CommonModule], [typeof BlockUI]>;
    static ɵinj: i0.ɵɵInjectorDef<BlockUIModule>;
}
