import { AfterViewInit, EventEmitter, NgZone, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class Captcha implements AfterViewInit {
    el: ElementRef;
    _zone: NgZone;
    siteKey: string;
    theme: string;
    type: string;
    size: string;
    tabindex: number;
    language: string;
    initCallback: string;
    onResponse: EventEmitter<any>;
    onExpire: EventEmitter<any>;
    private _instance;
    constructor(el: ElementRef, _zone: NgZone);
    ngAfterViewInit(): void;
    init(): void;
    reset(): void;
    getResponse(): String;
    recaptchaCallback(response: string): void;
    recaptchaExpiredCallback(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<Captcha, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<Captcha, "p-captcha", never, { "siteKey": "siteKey"; "theme": "theme"; "type": "type"; "size": "size"; "tabindex": "tabindex"; "language": "language"; "initCallback": "initCallback"; }, { "onResponse": "onResponse"; "onExpire": "onExpire"; }, never, never>;
}
export declare class CaptchaModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<CaptchaModule, [typeof Captcha], [typeof i1.CommonModule], [typeof Captcha]>;
    static ɵinj: i0.ɵɵInjectorDef<CaptchaModule>;
}
