"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var shared_1 = require("../common/shared");
var inputtext_1 = require("../inputtext/inputtext");
var domhandler_1 = require("../dom/domhandler");
var forms_1 = require("@angular/forms");
var i0 = require("@angular/core");
var i1 = require("../dom/domhandler");
var i2 = require("@angular/common");
var i3 = require("../common/shared");
function Chips_li_2_span_2_Template(rf, ctx) { if (rf & 1) {
    var _r9 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "span", 11);
    i0.ɵɵlistener("click", function Chips_li_2_span_2_Template_span_click_0_listener($event) { i0.ɵɵrestoreView(_r9); var i_r3 = i0.ɵɵnextContext().index; var ctx_r8 = i0.ɵɵnextContext(); return ctx_r8.removeItem($event, i_r3); });
    i0.ɵɵelementEnd();
} }
function Chips_li_2_span_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 12);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var item_r2 = i0.ɵɵnextContext().$implicit;
    var ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r6.field ? ctx_r6.resolveFieldData(item_r2, ctx_r6.field) : item_r2);
} }
function Chips_li_2_4_ng_template_0_Template(rf, ctx) { }
function Chips_li_2_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, Chips_li_2_4_ng_template_0_Template, 0, 0, "ng-template", 13);
} if (rf & 2) {
    var item_r2 = i0.ɵɵnextContext().$implicit;
    var ctx_r7 = i0.ɵɵnextContext();
    i0.ɵɵproperty("pTemplateWrapper", ctx_r7.itemTemplate)("item", item_r2);
} }
function Chips_li_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 6, 7);
    i0.ɵɵtemplate(2, Chips_li_2_span_2_Template, 1, 0, "span", 8);
    i0.ɵɵtemplate(3, Chips_li_2_span_3_Template, 2, 1, "span", 9);
    i0.ɵɵtemplate(4, Chips_li_2_4_Template, 1, 2, undefined, 10);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", !ctx_r0.disabled);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", !ctx_r0.itemTemplate);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r0.itemTemplate);
} }
var _c0 = function (a1, a2) { return { "ui-inputtext ui-state-default ui-corner-all": true, "ui-state-focus": a1, "ui-state-disabled": a2 }; };
exports.CHIPS_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return Chips; }),
    multi: true
};
var Chips = /** @class */ (function () {
    function Chips(el, domHandler) {
        this.el = el;
        this.domHandler = domHandler;
        this.onAdd = new core_1.EventEmitter();
        this.onRemove = new core_1.EventEmitter();
        this.allowDuplicate = true;
        this.onFocus = new core_1.EventEmitter();
        this.onBlur = new core_1.EventEmitter();
        this.onModelChange = function () { };
        this.onModelTouched = function () { };
    }
    Chips.prototype.ngAfterContentInit = function () {
        var _this = this;
        this.templates.forEach(function (item) {
            switch (item.getType()) {
                case 'item':
                    _this.itemTemplate = item.template;
                    break;
                default:
                    _this.itemTemplate = item.template;
                    break;
            }
        });
    };
    Chips.prototype.writeValue = function (value) {
        this.value = value;
    };
    Chips.prototype.registerOnChange = function (fn) {
        this.onModelChange = fn;
    };
    Chips.prototype.registerOnTouched = function (fn) {
        this.onModelTouched = fn;
    };
    Chips.prototype.setDisabledState = function (val) {
        this.disabled = val;
    };
    Chips.prototype.resolveFieldData = function (data, field) {
        if (data && field) {
            if (field.indexOf('.') == -1) {
                return data[field];
            }
            else {
                var fields = field.split('.');
                var value = data;
                for (var i = 0, len = fields.length; i < len; ++i) {
                    value = value[fields[i]];
                }
                return value;
            }
        }
        else {
            return null;
        }
    };
    Chips.prototype.onInputFocus = function () {
        this.focus = true;
        this.onFocus.emit();
    };
    Chips.prototype.onInputBlur = function (event, inputEL) {
        this.focus = false;
        if (this.addOnBlur && inputEL.value) {
            this.addItem(event, inputEL.value);
            inputEL.value = '';
        }
        this.onModelTouched();
        this.onBlur.emit();
    };
    Chips.prototype.removeItem = function (event, index) {
        if (this.disabled) {
            return;
        }
        var removedItem = this.value[index];
        this.value = this.value.filter(function (val, i) { return i != index; });
        this.onModelChange(this.value);
        this.onRemove.emit({
            originalEvent: event,
            value: removedItem
        });
    };
    Chips.prototype.addItem = function (event, item) {
        this.value = this.value || [];
        if (item && item.trim().length && (!this.max || this.max > item.length)) {
            if (this.allowDuplicate || this.value.indexOf(item) === -1) {
                this.value = __spreadArrays(this.value, [item]);
                this.onModelChange(this.value);
                this.onAdd.emit({
                    originalEvent: event,
                    value: item
                });
            }
        }
    };
    Chips.prototype.onKeydown = function (event, inputEL) {
        switch (event.which) {
            //backspace
            case 8:
                if (inputEL.value.length === 0 && this.value && this.value.length > 0) {
                    this.value = __spreadArrays(this.value);
                    var removedItem = this.value.pop();
                    this.onModelChange(this.value);
                    this.onRemove.emit({
                        originalEvent: event,
                        value: removedItem
                    });
                }
                break;
            //enter
            case 13:
                this.addItem(event, inputEL.value);
                inputEL.value = '';
                event.preventDefault();
                break;
            case 9:
                if (this.addOnTab && inputEL.value !== '') {
                    this.addItem(event, inputEL.value);
                    inputEL.value = '';
                    event.preventDefault();
                }
                break;
            default:
                if (this.max && this.value && this.max === this.value.length) {
                    event.preventDefault();
                }
                break;
        }
    };
    Object.defineProperty(Chips.prototype, "maxedOut", {
        get: function () {
            return this.max && this.value && this.max === this.value.length;
        },
        enumerable: true,
        configurable: true
    });
    Chips.ɵfac = function Chips_Factory(t) { return new (t || Chips)(i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i1.DomHandler)); };
    Chips.ɵcmp = i0.ɵɵdefineComponent({ type: Chips, selectors: [["p-chips"]], contentQueries: function Chips_ContentQueries(rf, ctx, dirIndex) { if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, shared_1.PrimeTemplate, false);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.templates = _t);
        } }, inputs: { style: "style", styleClass: "styleClass", disabled: "disabled", field: "field", placeholder: "placeholder", max: "max", tabindex: "tabindex", inputId: "inputId", allowDuplicate: "allowDuplicate", inputStyle: "inputStyle", inputStyleClass: "inputStyleClass", addOnTab: "addOnTab", addOnBlur: "addOnBlur" }, outputs: { onAdd: "onAdd", onRemove: "onRemove", onFocus: "onFocus", onBlur: "onBlur" }, features: [i0.ɵɵProvidersFeature([domhandler_1.DomHandler, exports.CHIPS_VALUE_ACCESSOR])], decls: 6, vars: 17, consts: [[3, "ngClass", "ngStyle"], [3, "ngClass", "click"], ["class", "ui-chips-token ui-state-highlight ui-corner-all", 4, "ngFor", "ngForOf"], [1, "ui-chips-input-token"], ["type", "text", 3, "disabled", "ngStyle", "keydown", "focus", "blur"], ["inputtext", ""], [1, "ui-chips-token", "ui-state-highlight", "ui-corner-all"], ["token", ""], ["class", "ui-chips-token-icon fa fa-fw fa-close", 3, "click", 4, "ngIf"], ["class", "ui-chips-token-label", 4, "ngIf"], [4, "ngIf"], [1, "ui-chips-token-icon", "fa", "fa-fw", "fa-close", 3, "click"], [1, "ui-chips-token-label"], [3, "pTemplateWrapper", "item"]], template: function Chips_Template(rf, ctx) { if (rf & 1) {
            var _r14 = i0.ɵɵgetCurrentView();
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵelementStart(1, "ul", 1);
            i0.ɵɵlistener("click", function Chips_Template_ul_click_1_listener() { i0.ɵɵrestoreView(_r14); var _r1 = i0.ɵɵreference(5); return _r1.focus(); });
            i0.ɵɵtemplate(2, Chips_li_2_Template, 5, 3, "li", 2);
            i0.ɵɵelementStart(3, "li", 3);
            i0.ɵɵelementStart(4, "input", 4, 5);
            i0.ɵɵlistener("keydown", function Chips_Template_input_keydown_4_listener($event) { i0.ɵɵrestoreView(_r14); var _r1 = i0.ɵɵreference(5); return ctx.onKeydown($event, _r1); })("focus", function Chips_Template_input_focus_4_listener() { return ctx.onInputFocus(); })("blur", function Chips_Template_input_blur_4_listener($event) { i0.ɵɵrestoreView(_r14); var _r1 = i0.ɵɵreference(5); return ctx.onInputBlur($event, _r1); });
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassMap(ctx.styleClass);
            i0.ɵɵproperty("ngClass", "ui-chips ui-widget")("ngStyle", ctx.style);
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(14, _c0, ctx.focus, ctx.disabled));
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngForOf", ctx.value);
            i0.ɵɵadvance(2);
            i0.ɵɵclassMap(ctx.inputStyleClass);
            i0.ɵɵproperty("disabled", ctx.maxedOut || ctx.disabled)("disabled", ctx.disabled)("ngStyle", ctx.inputStyle);
            i0.ɵɵattribute("id", ctx.inputId)("placeholder", ctx.placeholder)("tabindex", ctx.tabindex);
        } }, directives: [i2.NgClass, i2.NgStyle, i2.NgForOf, i2.NgIf, i3.TemplateWrapper], encapsulation: 2 });
    return Chips;
}());
exports.Chips = Chips;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(Chips, [{
        type: core_1.Component,
        args: [{
                selector: 'p-chips',
                template: "\n        <div [ngClass]=\"'ui-chips ui-widget'\" [ngStyle]=\"style\" [class]=\"styleClass\">\n            <ul [ngClass]=\"{'ui-inputtext ui-state-default ui-corner-all':true,'ui-state-focus':focus,'ui-state-disabled':disabled}\" (click)=\"inputtext.focus()\">\n                <li #token *ngFor=\"let item of value; let i = index;\" class=\"ui-chips-token ui-state-highlight ui-corner-all\">\n                    <span *ngIf=\"!disabled\" class=\"ui-chips-token-icon fa fa-fw fa-close\" (click)=\"removeItem($event,i)\"></span>\n                    <span *ngIf=\"!itemTemplate\" class=\"ui-chips-token-label\">{{field ? resolveFieldData(item,field) : item}}</span>\n                    <ng-template *ngIf=\"itemTemplate\" [pTemplateWrapper]=\"itemTemplate\" [item]=\"item\"></ng-template>\n                </li>\n                <li class=\"ui-chips-input-token\">\n                    <input #inputtext type=\"text\" [attr.id]=\"inputId\" [attr.placeholder]=\"placeholder\" [attr.tabindex]=\"tabindex\" (keydown)=\"onKeydown($event,inputtext)\" \n                        (focus)=\"onInputFocus()\" (blur)=\"onInputBlur($event,inputtext)\" [disabled]=\"maxedOut||disabled\" [disabled]=\"disabled\" [ngStyle]=\"inputStyle\" [class]=\"inputStyleClass\">\n                </li>\n            </ul>\n        </div>\n    ",
                providers: [domhandler_1.DomHandler, exports.CHIPS_VALUE_ACCESSOR]
            }]
    }], function () { return [{ type: i0.ElementRef }, { type: i1.DomHandler }]; }, { style: [{
            type: core_1.Input
        }], styleClass: [{
            type: core_1.Input
        }], disabled: [{
            type: core_1.Input
        }], onAdd: [{
            type: core_1.Output
        }], onRemove: [{
            type: core_1.Output
        }], field: [{
            type: core_1.Input
        }], placeholder: [{
            type: core_1.Input
        }], max: [{
            type: core_1.Input
        }], tabindex: [{
            type: core_1.Input
        }], inputId: [{
            type: core_1.Input
        }], allowDuplicate: [{
            type: core_1.Input
        }], inputStyle: [{
            type: core_1.Input
        }], inputStyleClass: [{
            type: core_1.Input
        }], addOnTab: [{
            type: core_1.Input
        }], addOnBlur: [{
            type: core_1.Input
        }], onFocus: [{
            type: core_1.Output
        }], onBlur: [{
            type: core_1.Output
        }], templates: [{
            type: core_1.ContentChildren,
            args: [shared_1.PrimeTemplate]
        }] }); })();
var ChipsModule = /** @class */ (function () {
    function ChipsModule() {
    }
    ChipsModule.ɵmod = i0.ɵɵdefineNgModule({ type: ChipsModule });
    ChipsModule.ɵinj = i0.ɵɵdefineInjector({ factory: function ChipsModule_Factory(t) { return new (t || ChipsModule)(); }, imports: [[common_1.CommonModule, inputtext_1.InputTextModule, shared_1.SharedModule],
            inputtext_1.InputTextModule, shared_1.SharedModule] });
    return ChipsModule;
}());
exports.ChipsModule = ChipsModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(ChipsModule, { declarations: [Chips], imports: [common_1.CommonModule, inputtext_1.InputTextModule, shared_1.SharedModule], exports: [Chips,
        inputtext_1.InputTextModule, shared_1.SharedModule] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(ChipsModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule, inputtext_1.InputTextModule, shared_1.SharedModule],
                exports: [Chips, inputtext_1.InputTextModule, shared_1.SharedModule],
                declarations: [Chips]
            }]
    }], null, null); })();
//# sourceMappingURL=chips.js.map