"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var rxjs_1 = require("rxjs");
var i0 = require("@angular/core");
var ConfirmationService = /** @class */ (function () {
    function ConfirmationService() {
        this.requireConfirmationSource = new rxjs_1.Subject();
        this.acceptConfirmationSource = new rxjs_1.Subject();
        this.requireConfirmation$ = this.requireConfirmationSource.asObservable();
        this.accept = this.acceptConfirmationSource.asObservable();
    }
    ConfirmationService.prototype.confirm = function (confirmation) {
        this.requireConfirmationSource.next(confirmation);
        return this;
    };
    ConfirmationService.prototype.onAccept = function () {
        this.acceptConfirmationSource.next();
    };
    ConfirmationService.ɵfac = function ConfirmationService_Factory(t) { return new (t || ConfirmationService)(); };
    ConfirmationService.ɵprov = i0.ɵɵdefineInjectable({ token: ConfirmationService, factory: ConfirmationService.ɵfac });
    return ConfirmationService;
}());
exports.ConfirmationService = ConfirmationService;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(ConfirmationService, [{
        type: core_1.Injectable
    }], null, null); })();
//# sourceMappingURL=confirmationservice.js.map