import { ElementRef, AfterViewInit, AfterContentInit, DoCheck, EventEmitter, TemplateRef, QueryList, IterableDiffers } from '@angular/core';
import { BlockableUI } from '../common/blockableui';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "../common/shared";
import * as i3 from "../paginator/paginator";
export declare class DataList implements AfterViewInit, AfterContentInit, DoCheck, BlockableUI {
    el: ElementRef;
    differs: IterableDiffers;
    paginator: boolean;
    rows: number;
    totalRecords: number;
    pageLinks: number;
    rowsPerPageOptions: number[];
    lazy: boolean;
    onLazyLoad: EventEmitter<any>;
    style: any;
    styleClass: string;
    paginatorPosition: string;
    emptyMessage: string;
    alwaysShowPaginator: boolean;
    trackBy: Function;
    immutable: boolean;
    scrollable: boolean;
    scrollHeight: string;
    onPage: EventEmitter<any>;
    header: any;
    footer: any;
    templates: QueryList<any>;
    _value: any[];
    itemTemplate: TemplateRef<any>;
    dataToRender: any[];
    first: number;
    page: number;
    differ: any;
    constructor(el: ElementRef, differs: IterableDiffers);
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    get value(): any[];
    set value(val: any[]);
    handleDataChange(): void;
    ngDoCheck(): void;
    updatePaginator(): void;
    paginate(event: any): void;
    updateDataToRender(datasource: any): void;
    isEmpty(): boolean;
    createLazyLoadMetadata(): any;
    getBlockableElement(): HTMLElement;
    static ɵfac: i0.ɵɵFactoryDef<DataList, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<DataList, "p-dataList", never, { "paginator": "paginator"; "rows": "rows"; "totalRecords": "totalRecords"; "pageLinks": "pageLinks"; "rowsPerPageOptions": "rowsPerPageOptions"; "lazy": "lazy"; "style": "style"; "styleClass": "styleClass"; "paginatorPosition": "paginatorPosition"; "emptyMessage": "emptyMessage"; "alwaysShowPaginator": "alwaysShowPaginator"; "trackBy": "trackBy"; "immutable": "immutable"; "scrollable": "scrollable"; "scrollHeight": "scrollHeight"; "value": "value"; }, { "onLazyLoad": "onLazyLoad"; "onPage": "onPage"; }, ["header", "footer", "templates"], ["p-header", "p-footer"]>;
}
export declare class DataListModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<DataListModule, [typeof DataList], [typeof i1.CommonModule, typeof i2.SharedModule, typeof i3.PaginatorModule], [typeof DataList, typeof i2.SharedModule]>;
    static ɵinj: i0.ɵɵInjectorDef<DataListModule>;
}
