import { ElementRef, AfterViewInit, OnDestroy, Renderer2, EventEmitter, QueryList, TemplateRef } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "../common/shared";
export declare class DataScroller implements AfterViewInit, OnDestroy {
    el: ElementRef;
    renderer: Renderer2;
    domHandler: DomHandler;
    rows: number;
    lazy: boolean;
    onLazyLoad: EventEmitter<any>;
    style: any;
    styleClass: string;
    buffer: number;
    inline: boolean;
    scrollHeight: any;
    loader: any;
    contentViewChild: ElementRef;
    header: any;
    footer: any;
    templates: QueryList<any>;
    _value: any[];
    itemTemplate: TemplateRef<any>;
    dataToRender: any[];
    first: number;
    scrollFunction: any;
    contentElement: HTMLDivElement;
    constructor(el: ElementRef, renderer: Renderer2, domHandler: DomHandler);
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    get value(): any[];
    set value(val: any[]);
    handleDataChange(): void;
    load(): void;
    reset(): void;
    isEmpty(): boolean;
    createLazyLoadMetadata(): any;
    bindScrollListener(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<DataScroller, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<DataScroller, "p-dataScroller", never, { "rows": "rows"; "lazy": "lazy"; "style": "style"; "styleClass": "styleClass"; "buffer": "buffer"; "inline": "inline"; "scrollHeight": "scrollHeight"; "loader": "loader"; "value": "value"; }, { "onLazyLoad": "onLazyLoad"; }, ["header", "footer", "templates"], ["p-header", "p-footer"]>;
}
export declare class DataScrollerModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<DataScrollerModule, [typeof DataScroller], [typeof i1.CommonModule, typeof i2.SharedModule], [typeof DataScroller, typeof i2.SharedModule]>;
    static ɵinj: i0.ɵɵInjectorDef<DataScrollerModule>;
}
