"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var shared_1 = require("../common/shared");
var domhandler_1 = require("../dom/domhandler");
var i0 = require("@angular/core");
var i1 = require("../dom/domhandler");
var i2 = require("@angular/common");
var i3 = require("../common/shared");
var _c0 = ["content"];
function DataScroller_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 7);
    i0.ɵɵprojection(1);
    i0.ɵɵelementEnd();
} }
function DataScroller_li_5_ng_template_1_Template(rf, ctx) { }
function DataScroller_li_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li");
    i0.ɵɵtemplate(1, DataScroller_li_5_ng_template_1_Template, 0, 0, "ng-template", 8);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var item_r4 = ctx.$implicit;
    var ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("pTemplateWrapper", ctx_r2.itemTemplate)("item", item_r4);
} }
function DataScroller_div_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 9);
    i0.ɵɵprojection(1, 1);
    i0.ɵɵelementEnd();
} }
var _c1 = [[["p-header"]], [["p-footer"]]];
var _c2 = function (a1) { return { "ui-datascroller ui-widget": true, "ui-datascroller-inline": a1 }; };
var _c3 = function (a0) { return { "max-height": a0 }; };
var _c4 = ["p-header", "p-footer"];
var DataScroller = /** @class */ (function () {
    function DataScroller(el, renderer, domHandler) {
        this.el = el;
        this.renderer = renderer;
        this.domHandler = domHandler;
        this.onLazyLoad = new core_1.EventEmitter();
        this.buffer = 0.9;
        this.dataToRender = [];
        this.first = 0;
    }
    DataScroller.prototype.ngAfterViewInit = function () {
        var _this = this;
        if (this.lazy) {
            this.load();
        }
        if (this.loader) {
            this.scrollFunction = this.renderer.listen(this.loader, 'click', function () {
                _this.load();
            });
        }
        else {
            this.bindScrollListener();
        }
    };
    DataScroller.prototype.ngAfterContentInit = function () {
        var _this = this;
        this.templates.forEach(function (item) {
            switch (item.getType()) {
                case 'item':
                    _this.itemTemplate = item.template;
                    break;
                default:
                    _this.itemTemplate = item.template;
                    break;
            }
        });
    };
    Object.defineProperty(DataScroller.prototype, "value", {
        get: function () {
            return this._value;
        },
        set: function (val) {
            this._value = val;
            this.handleDataChange();
        },
        enumerable: true,
        configurable: true
    });
    DataScroller.prototype.handleDataChange = function () {
        if (this.lazy)
            this.dataToRender = this.value;
        else
            this.load();
    };
    DataScroller.prototype.load = function () {
        if (this.lazy) {
            this.onLazyLoad.emit({
                first: this.first,
                rows: this.rows
            });
            this.first = this.first + this.rows;
        }
        else {
            if (this.value) {
                for (var i = this.first; i < (this.first + this.rows); i++) {
                    if (i >= this.value.length) {
                        break;
                    }
                    this.dataToRender.push(this.value[i]);
                }
                this.first = this.first + this.rows;
            }
        }
    };
    DataScroller.prototype.reset = function () {
        this.first = 0;
        this.dataToRender = [];
        this.load();
    };
    DataScroller.prototype.isEmpty = function () {
        return !this.dataToRender || (this.dataToRender.length == 0);
    };
    DataScroller.prototype.createLazyLoadMetadata = function () {
        return {
            first: this.first,
            rows: this.rows
        };
    };
    DataScroller.prototype.bindScrollListener = function () {
        var _this = this;
        if (this.inline) {
            this.contentElement = this.contentViewChild.nativeElement;
            this.scrollFunction = this.renderer.listen(this.contentElement, 'scroll', function () {
                var scrollTop = _this.contentElement.scrollTop;
                var scrollHeight = _this.contentElement.scrollHeight;
                var viewportHeight = _this.contentElement.clientHeight;
                if ((scrollTop >= ((scrollHeight * _this.buffer) - (viewportHeight)))) {
                    _this.load();
                }
            });
        }
        else {
            this.scrollFunction = this.renderer.listen('window', 'scroll', function () {
                var docBody = document.body;
                var docElement = document.documentElement;
                var scrollTop = (window.pageYOffset || document.documentElement.scrollTop);
                var winHeight = docElement.clientHeight;
                var docHeight = Math.max(docBody.scrollHeight, docBody.offsetHeight, winHeight, docElement.scrollHeight, docElement.offsetHeight);
                if (scrollTop >= ((docHeight * _this.buffer) - winHeight)) {
                    _this.load();
                }
            });
        }
    };
    DataScroller.prototype.ngOnDestroy = function () {
        //unbind
        if (this.scrollFunction) {
            this.scrollFunction();
            this.contentElement = null;
        }
    };
    DataScroller.ɵfac = function DataScroller_Factory(t) { return new (t || DataScroller)(i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i0.Renderer2), i0.ɵɵdirectiveInject(i1.DomHandler)); };
    DataScroller.ɵcmp = i0.ɵɵdefineComponent({ type: DataScroller, selectors: [["p-dataScroller"]], contentQueries: function DataScroller_ContentQueries(rf, ctx, dirIndex) { if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, shared_1.Header, true);
            i0.ɵɵcontentQuery(dirIndex, shared_1.Footer, true);
            i0.ɵɵcontentQuery(dirIndex, shared_1.PrimeTemplate, false);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.header = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.footer = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.templates = _t);
        } }, viewQuery: function DataScroller_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, true);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.contentViewChild = _t.first);
        } }, inputs: { rows: "rows", lazy: "lazy", style: "style", styleClass: "styleClass", buffer: "buffer", inline: "inline", scrollHeight: "scrollHeight", loader: "loader", value: "value" }, outputs: { onLazyLoad: "onLazyLoad" }, features: [i0.ɵɵProvidersFeature([domhandler_1.DomHandler])], ngContentSelectors: _c4, decls: 7, vars: 12, consts: [[3, "ngClass", "ngStyle"], ["class", "ui-datascroller-header ui-widget-header ui-corner-top", 4, "ngIf"], [1, "ui-datascroller-content", "ui-widget-content", 3, "ngStyle"], ["content", ""], [1, "ui-datascroller-list"], [4, "ngFor", "ngForOf"], ["class", "ui-datascroller-footer ui-widget-header ui-corner-bottom", 4, "ngIf"], [1, "ui-datascroller-header", "ui-widget-header", "ui-corner-top"], [3, "pTemplateWrapper", "item"], [1, "ui-datascroller-footer", "ui-widget-header", "ui-corner-bottom"]], template: function DataScroller_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef(_c1);
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, DataScroller_div_1_Template, 2, 0, "div", 1);
            i0.ɵɵelementStart(2, "div", 2, 3);
            i0.ɵɵelementStart(4, "ul", 4);
            i0.ɵɵtemplate(5, DataScroller_li_5_Template, 2, 2, "li", 5);
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(6, DataScroller_div_6_Template, 2, 0, "div", 6);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassMap(ctx.styleClass);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(8, _c2, ctx.inline))("ngStyle", ctx.style);
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngIf", ctx.header);
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngStyle", i0.ɵɵpureFunction1(10, _c3, ctx.scrollHeight));
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngForOf", ctx.dataToRender);
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngIf", ctx.footer);
        } }, directives: [i2.NgClass, i2.NgStyle, i2.NgIf, i2.NgForOf, i3.TemplateWrapper], encapsulation: 2 });
    return DataScroller;
}());
exports.DataScroller = DataScroller;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(DataScroller, [{
        type: core_1.Component,
        args: [{
                selector: 'p-dataScroller',
                template: "\n    <div [ngClass]=\"{'ui-datascroller ui-widget': true, 'ui-datascroller-inline': inline}\" [ngStyle]=\"style\" [class]=\"styleClass\">\n        <div class=\"ui-datascroller-header ui-widget-header ui-corner-top\" *ngIf=\"header\">\n            <ng-content select=\"p-header\"></ng-content>\n        </div>\n        <div #content class=\"ui-datascroller-content ui-widget-content\" [ngStyle]=\"{'max-height': scrollHeight}\">\n            <ul class=\"ui-datascroller-list\">\n                <li *ngFor=\"let item of dataToRender\">\n                    <ng-template [pTemplateWrapper]=\"itemTemplate\" [item]=\"item\"></ng-template>\n                </li>\n            </ul>\n        </div>\n        <div class=\"ui-datascroller-footer ui-widget-header ui-corner-bottom\" *ngIf=\"footer\">\n            <ng-content select=\"p-footer\"></ng-content>\n        </div>\n    </div>\n    ",
                providers: [domhandler_1.DomHandler]
            }]
    }], function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }, { type: i1.DomHandler }]; }, { rows: [{
            type: core_1.Input
        }], lazy: [{
            type: core_1.Input
        }], onLazyLoad: [{
            type: core_1.Output
        }], style: [{
            type: core_1.Input
        }], styleClass: [{
            type: core_1.Input
        }], buffer: [{
            type: core_1.Input
        }], inline: [{
            type: core_1.Input
        }], scrollHeight: [{
            type: core_1.Input
        }], loader: [{
            type: core_1.Input
        }], contentViewChild: [{
            type: core_1.ViewChild,
            args: ['content']
        }], header: [{
            type: core_1.ContentChild,
            args: [shared_1.Header]
        }], footer: [{
            type: core_1.ContentChild,
            args: [shared_1.Footer]
        }], templates: [{
            type: core_1.ContentChildren,
            args: [shared_1.PrimeTemplate]
        }], value: [{
            type: core_1.Input
        }] }); })();
var DataScrollerModule = /** @class */ (function () {
    function DataScrollerModule() {
    }
    DataScrollerModule.ɵmod = i0.ɵɵdefineNgModule({ type: DataScrollerModule });
    DataScrollerModule.ɵinj = i0.ɵɵdefineInjector({ factory: function DataScrollerModule_Factory(t) { return new (t || DataScrollerModule)(); }, imports: [[common_1.CommonModule, shared_1.SharedModule],
            shared_1.SharedModule] });
    return DataScrollerModule;
}());
exports.DataScrollerModule = DataScrollerModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DataScrollerModule, { declarations: [DataScroller], imports: [common_1.CommonModule, shared_1.SharedModule], exports: [DataScroller,
        shared_1.SharedModule] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(DataScrollerModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule, shared_1.SharedModule],
                exports: [DataScroller, shared_1.SharedModule],
                declarations: [DataScroller]
            }]
    }], null, null); })();
//# sourceMappingURL=datascroller.js.map