"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var animations_1 = require("@angular/animations");
var common_1 = require("@angular/common");
var shared_1 = require("../common/shared");
var domhandler_1 = require("../dom/domhandler");
var objectutils_1 = require("../utils/objectutils");
var forms_1 = require("@angular/forms");
var i0 = require("@angular/core");
var i1 = require("../dom/domhandler");
var i2 = require("../utils/objectutils");
var i3 = require("@angular/common");
var i4 = require("../common/shared");
var _c0 = ["container"];
var _c1 = ["panel"];
var _c2 = ["itemswrapper"];
var _c3 = ["filter"];
var _c4 = ["in"];
var _c5 = ["editableInput"];
function Dropdown_div_2_option_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "option");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r10 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r10.placeholder);
} }
function Dropdown_div_2_option_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "option", 20);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var option_r12 = ctx.$implicit;
    var ctx_r11 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("value", option_r12.value)("selected", ctx_r11.selectedOption == option_r12);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(option_r12.label);
} }
function Dropdown_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 3);
    i0.ɵɵelementStart(1, "select", 17);
    i0.ɵɵtemplate(2, Dropdown_div_2_option_2_Template, 2, 1, "option", 18);
    i0.ɵɵtemplate(3, Dropdown_div_2_option_3_Template, 2, 3, "option", 19);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("required", ctx_r1.required);
    i0.ɵɵattribute("name", ctx_r1.name)("aria-label", ctx_r1.selectedOption ? ctx_r1.selectedOption.label : " ");
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r1.placeholder);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngForOf", ctx_r1.options);
} }
var _c6 = function (a1) { return { "ui-dropdown-label ui-inputtext ui-corner-all": true, "ui-dropdown-label-empty": a1 }; };
function Dropdown_label_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "label", 21);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("title", ctx_r3.label != undefined ? ctx_r3.label : "")("ngClass", i0.ɵɵpureFunction1(3, _c6, ctx_r3.label == null || ctx_r3.label.length === 0));
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r3.label || "empty");
} }
var _c7 = function (a1) { return { "ui-dropdown-label ui-inputtext ui-corner-all ui-placeholder": true, "ui-dropdown-label-empty": a1 }; };
function Dropdown_label_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "label", 22);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(2, _c7, ctx_r4.placeholder == null || ctx_r4.placeholder.length === 0));
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r4.placeholder || "empty");
} }
function Dropdown_input_8_Template(rf, ctx) { if (rf & 1) {
    var _r15 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "input", 23, 24);
    i0.ɵɵlistener("click", function Dropdown_input_8_Template_input_click_0_listener($event) { i0.ɵɵrestoreView(_r15); var ctx_r14 = i0.ɵɵnextContext(); return ctx_r14.onEditableInputClick($event); })("input", function Dropdown_input_8_Template_input_input_0_listener($event) { i0.ɵɵrestoreView(_r15); var ctx_r16 = i0.ɵɵnextContext(); return ctx_r16.onEditableInputChange($event); })("focus", function Dropdown_input_8_Template_input_focus_0_listener($event) { i0.ɵɵrestoreView(_r15); var ctx_r17 = i0.ɵɵnextContext(); return ctx_r17.onEditableInputFocus($event); })("blur", function Dropdown_input_8_Template_input_blur_0_listener($event) { i0.ɵɵrestoreView(_r15); var ctx_r18 = i0.ɵɵnextContext(); return ctx_r18.onInputBlur($event); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵproperty("disabled", ctx_r5.disabled);
    i0.ɵɵattribute("aria-label", ctx_r5.selectedOption ? ctx_r5.selectedOption.label : " ")("placeholder", ctx_r5.placeholder);
} }
function Dropdown_div_13_Template(rf, ctx) { if (rf & 1) {
    var _r21 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 25);
    i0.ɵɵlistener("input", function Dropdown_div_13_Template_div_input_0_listener($event) { i0.ɵɵrestoreView(_r21); var ctx_r20 = i0.ɵɵnextContext(); return ctx_r20.onFilter($event); })("click", function Dropdown_div_13_Template_div_click_0_listener($event) { i0.ɵɵrestoreView(_r21); return $event.stopPropagation(); });
    i0.ɵɵelementStart(1, "input", 26, 27);
    i0.ɵɵlistener("keydown.enter", function Dropdown_div_13_Template_input_keydown_enter_1_listener($event) { i0.ɵɵrestoreView(_r21); return $event.preventDefault(); });
    i0.ɵɵelementEnd();
    i0.ɵɵelement(3, "span", 28);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r7 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵattribute("placeholder", ctx_r7.filterPlaceholder);
} }
function Dropdown_ul_16_li_1_span_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var option_r25 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(option_r25.label || "empty");
} }
function Dropdown_ul_16_li_1_2_ng_template_0_Template(rf, ctx) { }
function Dropdown_ul_16_li_1_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, Dropdown_ul_16_li_1_2_ng_template_0_Template, 0, 0, "ng-template", 32);
} if (rf & 2) {
    var option_r25 = i0.ɵɵnextContext().$implicit;
    var ctx_r28 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("pTemplateWrapper", ctx_r28.itemTemplate)("item", option_r25);
} }
var _c8 = function (a1, a2) { return { "ui-dropdown-item ui-corner-all": true, "ui-state-highlight": a1, "ui-dropdown-item-empty": a2 }; };
function Dropdown_ul_16_li_1_Template(rf, ctx) { if (rf & 1) {
    var _r33 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 31);
    i0.ɵɵlistener("click", function Dropdown_ul_16_li_1_Template_li_click_0_listener($event) { i0.ɵɵrestoreView(_r33); var option_r25 = ctx.$implicit; var ctx_r32 = i0.ɵɵnextContext(2); return ctx_r32.onItemClick($event, option_r25); });
    i0.ɵɵtemplate(1, Dropdown_ul_16_li_1_span_1_Template, 2, 1, "span", 18);
    i0.ɵɵtemplate(2, Dropdown_ul_16_li_1_2_Template, 1, 2, undefined, 18);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var option_r25 = ctx.$implicit;
    var ctx_r24 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(4, _c8, ctx_r24.selectedOption == option_r25, !option_r25.label || option_r25.label.length === 0))("title", option_r25.label != undefined ? option_r25.label : "");
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", !ctx_r24.itemTemplate);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r24.itemTemplate);
} }
function Dropdown_ul_16_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul", 29);
    i0.ɵɵtemplate(1, Dropdown_ul_16_li_1_Template, 3, 7, "li", 30);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r9 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngForOf", ctx_r9.optionsToDisplay);
} }
var _c9 = function (a1, a2, a3) { return { "ui-dropdown ui-widget ui-state-default ui-corner-all ui-helper-clearfix": true, "ui-state-disabled": a1, "ui-dropdown-open": a2, "ui-state-focus": a3 }; };
exports.DROPDOWN_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return Dropdown; }),
    multi: true
};
var Dropdown = /** @class */ (function () {
    function Dropdown(el, domHandler, renderer, cd, objectUtils, zone) {
        this.el = el;
        this.domHandler = domHandler;
        this.renderer = renderer;
        this.cd = cd;
        this.objectUtils = objectUtils;
        this.zone = zone;
        this.scrollHeight = '200px';
        this.autoWidth = true;
        this.filterBy = 'label';
        this.lazy = true;
        this.resetFilterOnHide = true;
        this.dropdownIcon = 'fa fa-fw fa-caret-down';
        this.onChange = new core_1.EventEmitter();
        this.onFocus = new core_1.EventEmitter();
        this.onBlur = new core_1.EventEmitter();
        this.onModelChange = function () { };
        this.onModelTouched = function () { };
        this.panelVisible = false;
        this.typedString = '';
        this.selectedIndexForTypedString = -1;
        this.searchRepeatCount = 0;
    }
    Dropdown.prototype.ngAfterContentInit = function () {
        var _this_1 = this;
        this.templates.forEach(function (item) {
            switch (item.getType()) {
                case 'item':
                    _this_1.itemTemplate = item.template;
                    break;
                default:
                    _this_1.itemTemplate = item.template;
                    break;
            }
        });
    };
    Dropdown.prototype.ngOnInit = function () {
        this.optionsToDisplay = this.options;
        this.updateSelectedOption(null);
    };
    Object.defineProperty(Dropdown.prototype, "options", {
        get: function () {
            return this._options;
        },
        set: function (val) {
            var opts = this.optionLabel ? this.objectUtils.generateSelectItems(val, this.optionLabel) : val;
            this._options = opts;
            this.optionsToDisplay = this._options;
            this.updateSelectedOption(this.value);
            this.optionsChanged = true;
            if (this.filterValue && this.filterValue.length) {
                this.activateFilter();
            }
        },
        enumerable: true,
        configurable: true
    });
    Dropdown.prototype.ngAfterViewInit = function () {
        this.container = this.containerViewChild.nativeElement;
        this.panel = this.panelViewChild.nativeElement;
        this.itemsWrapper = this.itemsWrapperViewChild.nativeElement;
        if (this.editable) {
            this.updateEditableLabel();
        }
        this.updateDimensions();
        this.initialized = true;
        if (this.appendTo) {
            if (this.appendTo === 'body')
                document.body.appendChild(this.panel);
            else
                this.domHandler.appendChild(this.panel, this.appendTo);
        }
    };
    Object.defineProperty(Dropdown.prototype, "label", {
        get: function () {
            return (this.selectedOption ? this.selectedOption.label : null);
        },
        enumerable: true,
        configurable: true
    });
    Dropdown.prototype.updateEditableLabel = function () {
        if (this.editableInputViewChild && this.editableInputViewChild.nativeElement) {
            this.editableInputViewChild.nativeElement.value = (this.selectedOption ? this.selectedOption.label : this.value || '');
        }
    };
    Dropdown.prototype.onItemClick = function (event, option) {
        this.itemClick = true;
        this.selectItem(event, option);
        this.focusViewChild.nativeElement.focus();
        this.hide();
    };
    Dropdown.prototype.selectItem = function (event, option) {
        if (this.selectedOption != option) {
            var previousValue = this.value;
            this.selectedOption = option;
            this.value = option.value;
            this.onModelChange(this.value);
            this.updateEditableLabel();
            this.onChange.emit({
                originalEvent: event,
                value: this.value,
                previousValue: previousValue
            });
        }
    };
    Dropdown.prototype.ngAfterViewChecked = function () {
        var _this_1 = this;
        if (this.shown) {
            this.onShow();
            this.shown = false;
        }
        if (this.optionsChanged && this.panelVisible) {
            this.optionsChanged = false;
            this.zone.runOutsideAngular(function () {
                setTimeout(function () {
                    _this_1.updateDimensions();
                    _this_1.alignPanel();
                }, 1);
            });
        }
        if (this.selectedOptionUpdated && this.itemsWrapper) {
            var selectedItem = this.domHandler.findSingle(this.panel, 'li.ui-state-highlight');
            if (selectedItem) {
                this.domHandler.scrollInView(this.itemsWrapper, this.domHandler.findSingle(this.panel, 'li.ui-state-highlight'));
            }
            this.selectedOptionUpdated = false;
        }
    };
    Dropdown.prototype.writeValue = function (value) {
        if (this.filter) {
            this.resetFilter();
        }
        this.value = value;
        this.updateSelectedOption(value);
        this.updateEditableLabel();
        this.cd.markForCheck();
    };
    Dropdown.prototype.resetFilter = function () {
        if (this.filterViewChild && this.filterViewChild.nativeElement) {
            this.filterViewChild.nativeElement.value = '';
        }
        this.optionsToDisplay = this.options;
    };
    Dropdown.prototype.updateSelectedOption = function (val) {
        this.selectedOption = this.findOption(val, this.optionsToDisplay);
        if (!this.placeholder && !this.selectedOption && this.optionsToDisplay && this.optionsToDisplay.length && !this.editable) {
            this.selectedOption = this.optionsToDisplay[0];
        }
        this.selectedOptionUpdated = true;
    };
    Dropdown.prototype.registerOnChange = function (fn) {
        this.onModelChange = fn;
    };
    Dropdown.prototype.registerOnTouched = function (fn) {
        this.onModelTouched = fn;
    };
    Dropdown.prototype.setDisabledState = function (val) {
        this.disabled = val;
    };
    Dropdown.prototype.updateDimensions = function () {
        if (this.autoWidth) {
            var select = this.domHandler.findSingle(this.el.nativeElement, 'select');
            if (!this.style || (!this.style['width'] && !this.style['min-width'])) {
                this.el.nativeElement.children[0].style.width = select.offsetWidth + 30 + 'px';
            }
        }
    };
    Dropdown.prototype.onMouseclick = function (event) {
        var _this_1 = this;
        if (this.disabled || this.readonly) {
            return;
        }
        this.selfClick = true;
        if (!this.itemClick) {
            this.focusViewChild.nativeElement.focus();
            if (this.panelVisible)
                this.hide();
            else {
                this.show();
                if (this.filterViewChild != undefined) {
                    setTimeout(function () {
                        _this_1.filterViewChild.nativeElement.focus();
                    }, 200);
                }
            }
        }
    };
    Dropdown.prototype.onEditableInputClick = function (event) {
        this.itemClick = true;
        this.bindDocumentClickListener();
    };
    Dropdown.prototype.onEditableInputFocus = function (event) {
        this.focus = true;
        this.hide();
    };
    Dropdown.prototype.onEditableInputChange = function (event) {
        this.value = event.target.value;
        this.updateSelectedOption(this.value);
        this.onModelChange(this.value);
        this.onChange.emit({
            originalEvent: event,
            value: this.value
        });
    };
    Dropdown.prototype.onShow = function () {
        if (this.options && this.options.length) {
            this.alignPanel();
            this.bindDocumentClickListener();
            var selectedListItem = this.domHandler.findSingle(this.itemsWrapper, '.ui-dropdown-item.ui-state-highlight');
            if (selectedListItem) {
                this.domHandler.scrollInView(this.itemsWrapper, selectedListItem);
            }
        }
    };
    Dropdown.prototype.show = function () {
        if (this.appendTo) {
            this.panel.style.minWidth = this.domHandler.getWidth(this.container) + 'px';
        }
        this.panel.style.zIndex = String(++domhandler_1.DomHandler.zindex);
        this.panelVisible = true;
        this.shown = true;
    };
    Dropdown.prototype.hide = function () {
        this.panelVisible = false;
        if (this.filter && this.resetFilterOnHide) {
            this.resetFilter();
        }
    };
    Dropdown.prototype.alignPanel = function () {
        if (this.appendTo)
            this.domHandler.absolutePosition(this.panel, this.container);
        else
            this.domHandler.relativePosition(this.panel, this.container);
    };
    Dropdown.prototype.onInputFocus = function (event) {
        this.focus = true;
        this.onFocus.emit(event);
    };
    Dropdown.prototype.onInputBlur = function (event) {
        this.focus = false;
        this.typedString = '';
        this.selectedIndexForTypedString = -1;
        this.onModelTouched();
        this.onBlur.emit(event);
    };
    Dropdown.prototype.onKeyUp = function (event) {
        var _this = this;
        clearTimeout(this.typingTimer);
        this.typingTimer = setTimeout(function () {
            _this.selectedIndexForTypedString = -1;
            _this.typedString = '';
            _this.searchRepeatCount = 0;
        }, 800);
        event.preventDefault();
    };
    Dropdown.prototype.onKeydown = function (event) {
        clearTimeout(this.typingTimer);
        if (this.readonly) {
            return;
        }
        var selectedItemIndex = this.selectedOption ? this.findOptionIndex(this.selectedOption.value, this.optionsToDisplay) : -1;
        switch (event.which) {
            //down
            case 40:
                if (!this.panelVisible && event.altKey) {
                    this.show();
                }
                else {
                    if (selectedItemIndex !== -1) {
                        var nextItemIndex = selectedItemIndex + 1;
                        if (nextItemIndex != (this.optionsToDisplay.length)) {
                            this.selectItem(event, this.optionsToDisplay[nextItemIndex]);
                            this.selectedOptionUpdated = true;
                        }
                    }
                    else if (this.optionsToDisplay) {
                        this.selectItem(event, this.optionsToDisplay[0]);
                    }
                }
                event.preventDefault();
                break;
            //up
            case 38:
                if (selectedItemIndex > 0) {
                    var prevItemIndex = selectedItemIndex - 1;
                    this.selectItem(event, this.optionsToDisplay[prevItemIndex]);
                    this.selectedOptionUpdated = true;
                }
                event.preventDefault();
                break;
            //space
            case 32:
            case 32:
                if (!this.panelVisible) {
                    this.show();
                    event.preventDefault();
                }
                break;
            //enter
            case 13:
                this.hide();
                event.preventDefault();
                break;
            //escape and tab
            case 27:
            case 9:
                this.hide();
                break;
        }
        //Custom Search for Character, Number, <, >, =, /  
        if ((event.keyCode >= 48 && event.keyCode <= 90) || (event.keyCode == 190 || event.keyCode == 188 || event.keyCode == 187 || event.keyCode == 220)) {
            var searchFoundIndexes = [];
            if (event.key === this.typedString || this.typedString == this.typedString + event.key) {
                this.searchRepeatCount++;
            }
            else {
                this.typedString = this.typedString + event.key;
            }
            this.optionsToDisplay.forEach(function (element, i) {
                if (element.label.substr(0, this.typedString.length).toUpperCase() == this.typedString.toUpperCase()) {
                    searchFoundIndexes.push(i);
                }
            }, this);
            if (this.searchRepeatCount >= searchFoundIndexes.length) {
                this.searchRepeatCount = 0;
            }
            if (searchFoundIndexes.length > 0) {
                this.selectedIndexForTypedString = searchFoundIndexes[this.searchRepeatCount];
                this.selectedOption = null; //this.optionsToDisplay[this.selectedIndexForTypedString];
                this.selectedOptionUpdated = true;
                this.selectItem(event, this.selectedOption);
            }
        }
    };
    Dropdown.prototype.findOptionIndexOnLabel = function (val, opts) {
        var index = -1;
        if (opts) {
            for (var i = 0; i < opts.length; i++) {
                if ((val == null && opts[i].label == null) || this.objectUtils.equals(val, opts[i].label)) {
                    index = i;
                    break;
                }
            }
        }
        return index;
    };
    Dropdown.prototype.findOptionOnLabel = function (val, opts) {
        var index = this.findOptionIndexOnLabel(val, opts);
        return (index != -1) ? opts[index] : null;
    };
    Dropdown.prototype.findOptionIndex = function (val, opts) {
        var index = -1;
        if (opts) {
            for (var i = 0; i < opts.length; i++) {
                if ((val == null && opts[i].value == null) || this.objectUtils.equals(val, opts[i].value, this.dataKey)) {
                    index = i;
                    break;
                }
            }
        }
        return index;
    };
    Dropdown.prototype.findOption = function (val, opts) {
        var index = this.findOptionIndex(val, opts);
        return (index != -1) ? opts[index] : null;
    };
    Dropdown.prototype.onFilter = function (event) {
        var inputValue = event.target.value.trim().toLowerCase();
        if (inputValue && inputValue.length) {
            this.filterValue = inputValue;
            this.activateFilter();
        }
        else {
            this.filterValue = null;
            this.optionsToDisplay = this.options;
        }
        this.optionsChanged = true;
    };
    Dropdown.prototype.activateFilter = function () {
        var searchFields = this.filterBy.split(',');
        if (this.options && this.options.length) {
            this.optionsToDisplay = this.objectUtils.filter(this.options, searchFields, this.filterValue);
            this.optionsChanged = true;
        }
    };
    Dropdown.prototype.applyFocus = function () {
        if (this.editable)
            this.domHandler.findSingle(this.el.nativeElement, '.ui-dropdown-label.ui-inputtext').focus();
        else
            this.domHandler.findSingle(this.el.nativeElement, 'input[readonly]').focus();
    };
    Dropdown.prototype.bindDocumentClickListener = function () {
        var _this_1 = this;
        if (!this.documentClickListener) {
            this.documentClickListener = this.renderer.listen('document', 'click', function () {
                if (!_this_1.selfClick && !_this_1.itemClick) {
                    _this_1.hide();
                    _this_1.unbindDocumentClickListener();
                }
                _this_1.selfClick = false;
                _this_1.itemClick = false;
                _this_1.cd.markForCheck();
            });
        }
    };
    Dropdown.prototype.unbindDocumentClickListener = function () {
        if (this.documentClickListener) {
            this.documentClickListener();
            this.documentClickListener = null;
        }
    };
    Dropdown.prototype.ngOnDestroy = function () {
        this.initialized = false;
        this.unbindDocumentClickListener();
        if (this.appendTo) {
            this.el.nativeElement.appendChild(this.panel);
        }
    };
    Dropdown.ɵfac = function Dropdown_Factory(t) { return new (t || Dropdown)(i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i1.DomHandler), i0.ɵɵdirectiveInject(i0.Renderer2), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i2.ObjectUtils), i0.ɵɵdirectiveInject(i0.NgZone)); };
    Dropdown.ɵcmp = i0.ɵɵdefineComponent({ type: Dropdown, selectors: [["p-dropdown"]], contentQueries: function Dropdown_ContentQueries(rf, ctx, dirIndex) { if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, shared_1.PrimeTemplate, false);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.templates = _t);
        } }, viewQuery: function Dropdown_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, true);
            i0.ɵɵviewQuery(_c1, true);
            i0.ɵɵviewQuery(_c2, true);
            i0.ɵɵviewQuery(_c3, true);
            i0.ɵɵviewQuery(_c4, true);
            i0.ɵɵviewQuery(_c5, true);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.containerViewChild = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.panelViewChild = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.itemsWrapperViewChild = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.filterViewChild = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.focusViewChild = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.editableInputViewChild = _t.first);
        } }, inputs: { scrollHeight: "scrollHeight", filter: "filter", name: "name", style: "style", panelStyle: "panelStyle", styleClass: "styleClass", panelStyleClass: "panelStyleClass", disabled: "disabled", readonly: "readonly", autoWidth: "autoWidth", required: "required", editable: "editable", appendTo: "appendTo", tabindex: "tabindex", placeholder: "placeholder", filterPlaceholder: "filterPlaceholder", inputId: "inputId", dataKey: "dataKey", filterBy: "filterBy", lazy: "lazy", autofocus: "autofocus", resetFilterOnHide: "resetFilterOnHide", dropdownIcon: "dropdownIcon", optionLabel: "optionLabel", options: "options" }, outputs: { onChange: "onChange", onFocus: "onFocus", onBlur: "onBlur" }, features: [i0.ɵɵProvidersFeature([domhandler_1.DomHandler, objectutils_1.ObjectUtils, exports.DROPDOWN_VALUE_ACCESSOR])], decls: 17, vars: 29, consts: [[3, "ngClass", "ngStyle", "click"], ["container", ""], ["class", "ui-helper-hidden-accessible", 4, "ngIf"], [1, "ui-helper-hidden-accessible"], ["type", "text", "readonly", "", "role", "listbox", 3, "disabled", "focus", "blur", "keyup", "keydown"], ["in", ""], [3, "title", "ngClass", 4, "ngIf"], [3, "ngClass", 4, "ngIf"], ["type", "text", "class", "ui-dropdown-label ui-inputtext ui-corner-all", 3, "disabled", "click", "input", "focus", "blur", 4, "ngIf"], [1, "ui-dropdown-trigger", "ui-state-default", "ui-corner-right"], [1, "ui-clickable", 3, "ngClass"], [3, "ngClass", "ngStyle"], ["panel", ""], ["class", "ui-dropdown-filter-container", 3, "input", "click", 4, "ngIf"], [1, "ui-dropdown-items-wrapper"], ["itemswrapper", ""], ["class", "ui-dropdown-items ui-dropdown-list ui-widget-content ui-widget ui-corner-all ui-helper-reset", 4, "ngIf"], ["tabindex", "-1", "aria-hidden", "true", 3, "required"], [4, "ngIf"], [3, "value", "selected", 4, "ngFor", "ngForOf"], [3, "value", "selected"], [3, "title", "ngClass"], [3, "ngClass"], ["type", "text", 1, "ui-dropdown-label", "ui-inputtext", "ui-corner-all", 3, "disabled", "click", "input", "focus", "blur"], ["editableInput", ""], [1, "ui-dropdown-filter-container", 3, "input", "click"], ["placeholder", "Search", "type", "text", "autocomplete", "off", 1, "ui-dropdown-filter", "ui-inputtext", "ui-widget", "ui-state-default", "ui-corner-all", 3, "keydown.enter"], ["filter", ""], [1, "fa", "fa-search"], [1, "ui-dropdown-items", "ui-dropdown-list", "ui-widget-content", "ui-widget", "ui-corner-all", "ui-helper-reset"], [3, "ngClass", "title", "click", 4, "ngFor", "ngForOf"], [3, "ngClass", "title", "click"], [3, "pTemplateWrapper", "item"]], template: function Dropdown_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0, 1);
            i0.ɵɵlistener("click", function Dropdown_Template_div_click_0_listener($event) { return ctx.onMouseclick($event); });
            i0.ɵɵtemplate(2, Dropdown_div_2_Template, 4, 5, "div", 2);
            i0.ɵɵelementStart(3, "div", 3);
            i0.ɵɵelementStart(4, "input", 4, 5);
            i0.ɵɵlistener("focus", function Dropdown_Template_input_focus_4_listener($event) { return ctx.onInputFocus($event); })("blur", function Dropdown_Template_input_blur_4_listener($event) { return ctx.onInputBlur($event); })("keyup", function Dropdown_Template_input_keyup_4_listener($event) { return ctx.onKeyUp($event); })("keydown", function Dropdown_Template_input_keydown_4_listener($event) { return ctx.onKeydown($event); });
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(6, Dropdown_label_6_Template, 2, 5, "label", 6);
            i0.ɵɵtemplate(7, Dropdown_label_7_Template, 2, 4, "label", 7);
            i0.ɵɵtemplate(8, Dropdown_input_8_Template, 2, 3, "input", 8);
            i0.ɵɵelementStart(9, "div", 9);
            i0.ɵɵelement(10, "span", 10);
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(11, "div", 11, 12);
            i0.ɵɵtemplate(13, Dropdown_div_13_Template, 4, 1, "div", 13);
            i0.ɵɵelementStart(14, "div", 14, 15);
            i0.ɵɵtemplate(16, Dropdown_ul_16_Template, 2, 1, "ul", 16);
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassMap(ctx.styleClass);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(25, _c9, ctx.disabled, ctx.panelVisible, ctx.focus))("ngStyle", ctx.style);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.autoWidth);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("disabled", ctx.disabled);
            i0.ɵɵattribute("id", ctx.inputId)("aria-label", ctx.selectedOption ? ctx.selectedOption.label : " ")("tabindex", ctx.tabindex)("autofocus", ctx.autofocus);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", !ctx.editable && ctx.label != null);
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngIf", !ctx.editable && ctx.label == null);
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngIf", ctx.editable);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngClass", ctx.dropdownIcon);
            i0.ɵɵadvance(1);
            i0.ɵɵclassMap(ctx.panelStyleClass);
            i0.ɵɵstyleProp("display", ctx.panelVisible ? "block" : "none");
            i0.ɵɵproperty("ngClass", "ui-dropdown-panel ui-widget-content ui-corner-all ui-shadow")("@panelState", ctx.panelVisible ? "visible" : "hidden")("ngStyle", ctx.panelStyle);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.filter);
            i0.ɵɵadvance(1);
            i0.ɵɵstyleProp("max-height", ctx.scrollHeight || "auto");
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.lazy ? ctx.panelVisible : true);
        } }, directives: [i3.NgClass, i3.NgStyle, i3.NgIf, i3.NgForOf, i4.TemplateWrapper], encapsulation: 2, data: { animation: [
                animations_1.trigger('panelState', [
                    animations_1.state('hidden', animations_1.style({
                        opacity: 0
                    })),
                    animations_1.state('visible', animations_1.style({
                        opacity: 1
                    })),
                    animations_1.transition('visible => hidden', animations_1.animate('400ms ease-in')),
                    animations_1.transition('hidden => visible', animations_1.animate('400ms ease-out'))
                ])
            ] } });
    return Dropdown;
}());
exports.Dropdown = Dropdown;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(Dropdown, [{
        type: core_1.Component,
        args: [{
                selector: 'p-dropdown',
                template: "\n         <div #container [ngClass]=\"{'ui-dropdown ui-widget ui-state-default ui-corner-all ui-helper-clearfix':true,\n            'ui-state-disabled':disabled,'ui-dropdown-open':panelVisible,'ui-state-focus':focus}\"\n            (click)=\"onMouseclick($event)\" [ngStyle]=\"style\" [class]=\"styleClass\">\n            <div class=\"ui-helper-hidden-accessible\" *ngIf=\"autoWidth\">\n                <select [required]=\"required\" [attr.name]=\"name\" [attr.aria-label]=\"selectedOption ? selectedOption.label : ' '\" tabindex=\"-1\" aria-hidden=\"true\">\n                    <option *ngIf=\"placeholder\">{{placeholder}}</option>\n                    <option *ngFor=\"let option of options\" [value]=\"option.value\" [selected]=\"selectedOption == option\">{{option.label}}</option>\n                </select>\n            </div>\n            <div class=\"ui-helper-hidden-accessible\">\n                <input #in [attr.id]=\"inputId\" type=\"text\" [attr.aria-label]=\"selectedOption ? selectedOption.label : ' '\" readonly (focus)=\"onInputFocus($event)\" role=\"listbox\"\n                    (blur)=\"onInputBlur($event)\" (keyup)=\"onKeyUp($event)\" (keydown)=\"onKeydown($event)\" [disabled]=\"disabled\" [attr.tabindex]=\"tabindex\" [attr.autofocus]=\"autofocus\">\n            </div>\n            <label [title]=\"label != undefined ? label: ''\" [ngClass]=\"{'ui-dropdown-label ui-inputtext ui-corner-all':true,'ui-dropdown-label-empty':(label == null || label.length === 0)}\" *ngIf=\"!editable && (label != null)\">{{label||'empty'}}</label>\n            <label [ngClass]=\"{'ui-dropdown-label ui-inputtext ui-corner-all ui-placeholder':true,'ui-dropdown-label-empty': (placeholder == null || placeholder.length === 0)}\" *ngIf=\"!editable && (label == null)\">{{placeholder||'empty'}}</label>\n            <input #editableInput type=\"text\" [attr.aria-label]=\"selectedOption ? selectedOption.label : ' '\" class=\"ui-dropdown-label ui-inputtext ui-corner-all\" *ngIf=\"editable\" [disabled]=\"disabled\" [attr.placeholder]=\"placeholder\"\n                        (click)=\"onEditableInputClick($event)\" (input)=\"onEditableInputChange($event)\" (focus)=\"onEditableInputFocus($event)\" (blur)=\"onInputBlur($event)\">\n            <div class=\"ui-dropdown-trigger ui-state-default ui-corner-right\">\n                <span class=\"ui-clickable\" [ngClass]=\"dropdownIcon\"></span>\n            </div>\n            <div #panel [ngClass]=\"'ui-dropdown-panel ui-widget-content ui-corner-all ui-shadow'\" [@panelState]=\"panelVisible ? 'visible' : 'hidden'\"\n                [style.display]=\"panelVisible ? 'block' : 'none'\" [ngStyle]=\"panelStyle\" [class]=\"panelStyleClass\">\n                <div *ngIf=\"filter\" class=\"ui-dropdown-filter-container\" (input)=\"onFilter($event)\" (click)=\"$event.stopPropagation()\">\n                    <input #filter placeholder=\"Search\" type=\"text\" autocomplete=\"off\" class=\"ui-dropdown-filter ui-inputtext ui-widget ui-state-default ui-corner-all\" [attr.placeholder]=\"filterPlaceholder\"\n                    (keydown.enter)=\"$event.preventDefault()\" >\n                    <span class=\"fa fa-search\"></span>\n                </div>\n                <div #itemswrapper class=\"ui-dropdown-items-wrapper\" [style.max-height]=\"scrollHeight||'auto'\">\n                    <ul class=\"ui-dropdown-items ui-dropdown-list ui-widget-content ui-widget ui-corner-all ui-helper-reset\" *ngIf=\"lazy ? panelVisible : true\">\n                        <li *ngFor=\"let option of optionsToDisplay;let i=index\"\n                            [ngClass]=\"{'ui-dropdown-item ui-corner-all':true, 'ui-state-highlight':(selectedOption == option),\n                            'ui-dropdown-item-empty':!option.label||option.label.length === 0}\"\n                            (click)=\"onItemClick($event, option)\" [title]=\"option.label != undefined ? option.label: ''\">\n                            <span *ngIf=\"!itemTemplate\">{{option.label||'empty'}}</span>\n                            <ng-template [pTemplateWrapper]=\"itemTemplate\" [item]=\"option\" *ngIf=\"itemTemplate\"></ng-template>\n                        </li>\n                    </ul>\n                </div>\n            </div>\n        </div>\n    ",
                animations: [
                    animations_1.trigger('panelState', [
                        animations_1.state('hidden', animations_1.style({
                            opacity: 0
                        })),
                        animations_1.state('visible', animations_1.style({
                            opacity: 1
                        })),
                        animations_1.transition('visible => hidden', animations_1.animate('400ms ease-in')),
                        animations_1.transition('hidden => visible', animations_1.animate('400ms ease-out'))
                    ])
                ],
                providers: [domhandler_1.DomHandler, objectutils_1.ObjectUtils, exports.DROPDOWN_VALUE_ACCESSOR]
            }]
    }], function () { return [{ type: i0.ElementRef }, { type: i1.DomHandler }, { type: i0.Renderer2 }, { type: i0.ChangeDetectorRef }, { type: i2.ObjectUtils }, { type: i0.NgZone }]; }, { scrollHeight: [{
            type: core_1.Input
        }], filter: [{
            type: core_1.Input
        }], name: [{
            type: core_1.Input
        }], style: [{
            type: core_1.Input
        }], panelStyle: [{
            type: core_1.Input
        }], styleClass: [{
            type: core_1.Input
        }], panelStyleClass: [{
            type: core_1.Input
        }], disabled: [{
            type: core_1.Input
        }], readonly: [{
            type: core_1.Input
        }], autoWidth: [{
            type: core_1.Input
        }], required: [{
            type: core_1.Input
        }], editable: [{
            type: core_1.Input
        }], appendTo: [{
            type: core_1.Input
        }], tabindex: [{
            type: core_1.Input
        }], placeholder: [{
            type: core_1.Input
        }], filterPlaceholder: [{
            type: core_1.Input
        }], inputId: [{
            type: core_1.Input
        }], dataKey: [{
            type: core_1.Input
        }], filterBy: [{
            type: core_1.Input
        }], lazy: [{
            type: core_1.Input
        }], autofocus: [{
            type: core_1.Input
        }], resetFilterOnHide: [{
            type: core_1.Input
        }], dropdownIcon: [{
            type: core_1.Input
        }], optionLabel: [{
            type: core_1.Input
        }], onChange: [{
            type: core_1.Output
        }], onFocus: [{
            type: core_1.Output
        }], onBlur: [{
            type: core_1.Output
        }], containerViewChild: [{
            type: core_1.ViewChild,
            args: ['container']
        }], panelViewChild: [{
            type: core_1.ViewChild,
            args: ['panel']
        }], itemsWrapperViewChild: [{
            type: core_1.ViewChild,
            args: ['itemswrapper']
        }], filterViewChild: [{
            type: core_1.ViewChild,
            args: ['filter']
        }], focusViewChild: [{
            type: core_1.ViewChild,
            args: ['in']
        }], editableInputViewChild: [{
            type: core_1.ViewChild,
            args: ['editableInput']
        }], templates: [{
            type: core_1.ContentChildren,
            args: [shared_1.PrimeTemplate]
        }], options: [{
            type: core_1.Input
        }] }); })();
var DropdownModule = /** @class */ (function () {
    function DropdownModule() {
    }
    DropdownModule.ɵmod = i0.ɵɵdefineNgModule({ type: DropdownModule });
    DropdownModule.ɵinj = i0.ɵɵdefineInjector({ factory: function DropdownModule_Factory(t) { return new (t || DropdownModule)(); }, imports: [[common_1.CommonModule, shared_1.SharedModule],
            shared_1.SharedModule] });
    return DropdownModule;
}());
exports.DropdownModule = DropdownModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownModule, { declarations: [Dropdown], imports: [common_1.CommonModule, shared_1.SharedModule], exports: [Dropdown,
        shared_1.SharedModule] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(DropdownModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule, shared_1.SharedModule],
                exports: [Dropdown, shared_1.SharedModule],
                declarations: [Dropdown]
            }]
    }], null, null); })();
//# sourceMappingURL=dropdown.js.map