import { ElementRef, AfterViewChecked, AfterViewInit, OnDestroy, EventEmitter } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class Galleria implements AfterViewChecked, AfterViewInit, OnDestroy {
    el: ElementRef;
    domHandler: DomHandler;
    style: any;
    styleClass: string;
    panelWidth: number;
    panelHeight: number;
    frameWidth: number;
    frameHeight: number;
    activeIndex: number;
    showFilmstrip: boolean;
    autoPlay: boolean;
    transitionInterval: number;
    showCaption: boolean;
    onImageClicked: EventEmitter<any>;
    _images: any[];
    slideshowActive: boolean;
    container: any;
    panelWrapper: any;
    panels: any;
    caption: any;
    stripWrapper: any;
    strip: any;
    frames: any;
    interval: any;
    stripLeft: number;
    imagesChanged: boolean;
    initialized: boolean;
    constructor(el: ElementRef, domHandler: DomHandler);
    ngAfterViewChecked(): void;
    get images(): any[];
    set images(value: any[]);
    ngAfterViewInit(): void;
    render(): void;
    startSlideshow(): void;
    stopSlideshow(): void;
    clickNavRight(): void;
    clickNavLeft(): void;
    frameClick(frame: any): void;
    prev(): void;
    next(): void;
    select(index: any, reposition: any): void;
    clickImage(event: any, image: any, i: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<Galleria, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<Galleria, "p-galleria", never, { "style": "style"; "styleClass": "styleClass"; "panelWidth": "panelWidth"; "panelHeight": "panelHeight"; "frameWidth": "frameWidth"; "frameHeight": "frameHeight"; "activeIndex": "activeIndex"; "showFilmstrip": "showFilmstrip"; "autoPlay": "autoPlay"; "transitionInterval": "transitionInterval"; "showCaption": "showCaption"; "images": "images"; }, { "onImageClicked": "onImageClicked"; }, never, never>;
}
export declare class GalleriaModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<GalleriaModule, [typeof Galleria], [typeof i1.CommonModule], [typeof Galleria]>;
    static ɵinj: i0.ɵɵInjectorDef<GalleriaModule>;
}
