"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var domhandler_1 = require("../dom/domhandler");
var messageservice_1 = require("../common/messageservice");
var i0 = require("@angular/core");
var i1 = require("../dom/domhandler");
var i2 = require("../common/messageservice");
var i3 = require("@angular/common");
var _c0 = ["container"];
var _c1 = function (a0, a1, a2, a3) { return { "ui-growl-message-info": a0, "ui-growl-message-warn": a1, "ui-growl-message-error": a2, "ui-growl-message-success": a3 }; };
var _c2 = function (a0, a1, a2, a3) { return { "fa-info-circle": a0, "fa-exclamation-circle": a1, "fa-close": a2, "fa-check": a3 }; };
function Growl_div_2_Template(rf, ctx) { if (rf & 1) {
    var _r6 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 3, 4);
    i0.ɵɵlistener("click", function Growl_div_2_Template_div_click_0_listener() { i0.ɵɵrestoreView(_r6); var i_r3 = ctx.index; var ctx_r5 = i0.ɵɵnextContext(); return ctx_r5.onMessageClick(i_r3); })("mouseenter", function Growl_div_2_Template_div_mouseenter_0_listener() { i0.ɵɵrestoreView(_r6); var i_r3 = ctx.index; var ctx_r7 = i0.ɵɵnextContext(); return ctx_r7.onMessageHover(i_r3); });
    i0.ɵɵelementStart(2, "div", 5);
    i0.ɵɵelementStart(3, "div", 6);
    i0.ɵɵlistener("click", function Growl_div_2_Template_div_click_3_listener() { i0.ɵɵrestoreView(_r6); var i_r3 = ctx.index; var _r4 = i0.ɵɵreference(1); var ctx_r8 = i0.ɵɵnextContext(); return ctx_r8.remove(i_r3, _r4); });
    i0.ɵɵelementEnd();
    i0.ɵɵelement(4, "span", 7);
    i0.ɵɵelementStart(5, "div", 8);
    i0.ɵɵelementStart(6, "span", 9);
    i0.ɵɵtext(7);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(8, "p", 10);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(9, "div", 11);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var msg_r2 = ctx.$implicit;
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction4(4, _c1, msg_r2.severity == "info", msg_r2.severity == "warn", msg_r2.severity == "error", msg_r2.severity == "success"));
    i0.ɵɵadvance(4);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction4(9, _c2, msg_r2.severity == "info", msg_r2.severity == "warn", msg_r2.severity == "error", msg_r2.severity == "success"));
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate(msg_r2.summary);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("innerHTML", msg_r2.detail, i0.ɵɵsanitizeHtml);
} }
var Growl = /** @class */ (function () {
    function Growl(el, domHandler, differs, messageService) {
        var _this = this;
        this.el = el;
        this.domHandler = domHandler;
        this.differs = differs;
        this.messageService = messageService;
        this.life = 3000;
        this.immutable = true;
        this.autoZIndex = true;
        this.baseZIndex = 0;
        this.onClick = new core_1.EventEmitter();
        this.onHover = new core_1.EventEmitter();
        this.onClose = new core_1.EventEmitter();
        this.valueChange = new core_1.EventEmitter();
        this.differ = differs.find([]).create(null);
        if (messageService) {
            this.subscription = messageService.messageObserver.subscribe(function (messages) {
                if (messages) {
                    if (messages instanceof Array)
                        _this.value = _this.value ? __spreadArrays(_this.value, messages) : __spreadArrays(messages);
                    else
                        _this.value = _this.value ? __spreadArrays(_this.value, [messages]) : [messages];
                }
                else {
                    _this.value = null;
                }
            });
        }
    }
    Growl.prototype.ngAfterViewInit = function () {
        if (!this.sticky) {
            this.initTimeout();
        }
    };
    Object.defineProperty(Growl.prototype, "value", {
        get: function () {
            return this._value;
        },
        set: function (val) {
            this._value = val;
            if (this.containerViewChild && this.containerViewChild.nativeElement && this.immutable) {
                this.handleValueChange();
            }
        },
        enumerable: true,
        configurable: true
    });
    Growl.prototype.ngDoCheck = function () {
        if (!this.immutable && this.containerViewChild && this.containerViewChild.nativeElement) {
            var changes = this.differ.diff(this.value);
            if (changes) {
                this.handleValueChange();
            }
        }
    };
    Growl.prototype.handleValueChange = function () {
        if (this.preventRerender) {
            this.preventRerender = false;
            return;
        }
        if (this.autoZIndex) {
            this.containerViewChild.nativeElement.style.zIndex = String(this.baseZIndex + (++domhandler_1.DomHandler.zindex));
        }
        this.domHandler.fadeIn(this.containerViewChild.nativeElement, 250);
        if (!this.sticky) {
            this.initTimeout();
        }
    };
    Growl.prototype.initTimeout = function () {
        var _this = this;
        if (this.timeout) {
            clearTimeout(this.timeout);
        }
        this.timeout = setTimeout(function () {
            _this.removeAll();
        }, this.life);
    };
    Growl.prototype.remove = function (index, msgel) {
        var _this = this;
        this.closeIconClick = true;
        this.domHandler.fadeOut(msgel, 250);
        setTimeout(function () {
            _this.preventRerender = true;
            _this.onClose.emit({ message: _this.value[index] });
            if (_this.immutable) {
                _this._value = _this.value.filter(function (val, i) { return i != index; });
                _this.valueChange.emit(_this._value);
            }
            else {
                _this._value.splice(index, 1);
            }
        }, 250);
    };
    Growl.prototype.removeAll = function () {
        var _this = this;
        if (this.value && this.value.length) {
            this.domHandler.fadeOut(this.containerViewChild.nativeElement, 250);
            setTimeout(function () {
                _this.value.forEach(function (msg, index) { return _this.onClose.emit({ message: _this.value[index] }); });
                if (_this.immutable) {
                    _this.value = [];
                    _this.valueChange.emit(_this.value);
                }
                else {
                    _this.value.splice(0, _this.value.length);
                }
            }, 250);
        }
    };
    Growl.prototype.onMessageClick = function (i) {
        if (this.closeIconClick)
            this.closeIconClick = false;
        else
            this.onClick.emit({ message: this.value[i] });
    };
    Growl.prototype.onMessageHover = function (i) {
        this.onHover.emit({ message: this.value[i] });
    };
    Growl.prototype.ngOnDestroy = function () {
        if (!this.sticky) {
            clearTimeout(this.timeout);
        }
        if (this.subscription) {
            this.subscription.unsubscribe();
        }
    };
    Growl.ɵfac = function Growl_Factory(t) { return new (t || Growl)(i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i1.DomHandler), i0.ɵɵdirectiveInject(i0.IterableDiffers), i0.ɵɵdirectiveInject(i2.MessageService, 8)); };
    Growl.ɵcmp = i0.ɵɵdefineComponent({ type: Growl, selectors: [["p-growl"]], viewQuery: function Growl_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, true);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.containerViewChild = _t.first);
        } }, inputs: { sticky: "sticky", life: "life", style: "style", styleClass: "styleClass", immutable: "immutable", autoZIndex: "autoZIndex", baseZIndex: "baseZIndex", value: "value" }, outputs: { onClick: "onClick", onHover: "onHover", onClose: "onClose", valueChange: "valueChange" }, features: [i0.ɵɵProvidersFeature([domhandler_1.DomHandler])], decls: 3, vars: 5, consts: [[3, "ngClass", "ngStyle"], ["container", ""], ["class", "ui-growl-item-container ui-state-highlight ui-corner-all ui-shadow", "aria-live", "polite", 3, "ngClass", "click", "mouseenter", 4, "ngFor", "ngForOf"], ["aria-live", "polite", 1, "ui-growl-item-container", "ui-state-highlight", "ui-corner-all", "ui-shadow", 3, "ngClass", "click", "mouseenter"], ["msgel", ""], [1, "ui-growl-item"], [1, "ui-growl-icon-close", "fa", "fa-close", 3, "click"], [1, "ui-growl-image", "fa", "fa-2x", 3, "ngClass"], [1, "ui-growl-message"], [1, "ui-growl-title"], [3, "innerHTML"], [2, "clear", "both"]], template: function Growl_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0, 1);
            i0.ɵɵtemplate(2, Growl_div_2_Template, 10, 14, "div", 2);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassMap(ctx.styleClass);
            i0.ɵɵproperty("ngClass", "ui-growl ui-widget")("ngStyle", ctx.style);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngForOf", ctx.value);
        } }, directives: [i3.NgClass, i3.NgStyle, i3.NgForOf], encapsulation: 2 });
    return Growl;
}());
exports.Growl = Growl;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(Growl, [{
        type: core_1.Component,
        args: [{
                selector: 'p-growl',
                template: "\n        <div #container [ngClass]=\"'ui-growl ui-widget'\" [ngStyle]=\"style\" [class]=\"styleClass\">\n            <div #msgel *ngFor=\"let msg of value;let i = index\" class=\"ui-growl-item-container ui-state-highlight ui-corner-all ui-shadow\" aria-live=\"polite\"\n                [ngClass]=\"{'ui-growl-message-info':msg.severity == 'info','ui-growl-message-warn':msg.severity == 'warn',\n                    'ui-growl-message-error':msg.severity == 'error','ui-growl-message-success':msg.severity == 'success'}\"\n                    (click)=\"onMessageClick(i)\" (mouseenter)=\"onMessageHover(i)\">\n                <div class=\"ui-growl-item\">\n                     <div class=\"ui-growl-icon-close fa fa-close\" (click)=\"remove(i,msgel)\"></div>\n                     <span class=\"ui-growl-image fa fa-2x\"\n                        [ngClass]=\"{'fa-info-circle':msg.severity == 'info','fa-exclamation-circle':msg.severity == 'warn',\n                                'fa-close':msg.severity == 'error','fa-check':msg.severity == 'success'}\"></span>\n                     <div class=\"ui-growl-message\">\n                        <span class=\"ui-growl-title\">{{msg.summary}}</span>\n                        <p [innerHTML]=\"msg.detail\"></p>\n                     </div>\n                     <div style=\"clear: both;\"></div>\n                </div>\n            </div>\n        </div>\n    ",
                providers: [domhandler_1.DomHandler]
            }]
    }], function () { return [{ type: i0.ElementRef }, { type: i1.DomHandler }, { type: i0.IterableDiffers }, { type: i2.MessageService, decorators: [{
                type: core_1.Optional
            }] }]; }, { sticky: [{
            type: core_1.Input
        }], life: [{
            type: core_1.Input
        }], style: [{
            type: core_1.Input
        }], styleClass: [{
            type: core_1.Input
        }], immutable: [{
            type: core_1.Input
        }], autoZIndex: [{
            type: core_1.Input
        }], baseZIndex: [{
            type: core_1.Input
        }], onClick: [{
            type: core_1.Output
        }], onHover: [{
            type: core_1.Output
        }], onClose: [{
            type: core_1.Output
        }], valueChange: [{
            type: core_1.Output
        }], containerViewChild: [{
            type: core_1.ViewChild,
            args: ['container']
        }], value: [{
            type: core_1.Input
        }] }); })();
var GrowlModule = /** @class */ (function () {
    function GrowlModule() {
    }
    GrowlModule.ɵmod = i0.ɵɵdefineNgModule({ type: GrowlModule });
    GrowlModule.ɵinj = i0.ɵɵdefineInjector({ factory: function GrowlModule_Factory(t) { return new (t || GrowlModule)(); }, imports: [[common_1.CommonModule]] });
    return GrowlModule;
}());
exports.GrowlModule = GrowlModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(GrowlModule, { declarations: [Growl], imports: [common_1.CommonModule], exports: [Growl] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(GrowlModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule],
                exports: [Growl],
                declarations: [Growl]
            }]
    }], null, null); })();
//# sourceMappingURL=growl.js.map