import { ElementRef, OnInit, DoCheck, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class InputTextarea implements OnInit, DoCheck {
    el: ElementRef;
    autoResize: boolean;
    rows: number;
    cols: number;
    onResize: EventEmitter<any>;
    rowsDefault: number;
    colsDefault: number;
    filled: boolean;
    constructor(el: ElementRef);
    ngOnInit(): void;
    ngDoCheck(): void;
    onInput(e: any): void;
    updateFilledState(): void;
    onFocus(e: any): void;
    onBlur(e: any): void;
    onKeyup(e: any): void;
    resize(event?: Event): void;
    static ɵfac: i0.ɵɵFactoryDef<InputTextarea, never>;
    static ɵdir: i0.ɵɵDirectiveDefWithMeta<InputTextarea, "[pInputTextarea]", never, { "autoResize": "autoResize"; "rows": "rows"; "cols": "cols"; }, { "onResize": "onResize"; }, never>;
}
export declare class InputTextareaModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<InputTextareaModule, [typeof InputTextarea], [typeof i1.CommonModule], [typeof InputTextarea]>;
    static ɵinj: i0.ɵɵInjectorDef<InputTextareaModule>;
}
