import { ElementRef, AfterViewInit, OnDestroy, Renderer2 } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import { MenuItem } from '../common/menuitem';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "@angular/router";
export declare class Menu implements AfterViewInit, OnDestroy {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    model: MenuItem[];
    popup: boolean;
    style: any;
    styleClass: string;
    appendTo: any;
    containerViewChild: ElementRef;
    container: HTMLDivElement;
    documentClickListener: any;
    preventDocumentDefault: any;
    onResizeTarget: any;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2);
    ngAfterViewInit(): void;
    toggle(event: any): void;
    onResize(event: any): void;
    show(event: any): void;
    hide(): void;
    itemClick(event: any, item: MenuItem): void;
    ngOnDestroy(): void;
    hasSubMenu(): boolean;
    static ɵfac: i0.ɵɵFactoryDef<Menu, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<Menu, "p-menu", never, { "model": "model"; "popup": "popup"; "style": "style"; "styleClass": "styleClass"; "appendTo": "appendTo"; }, {}, never, never>;
}
export declare class MenuItemContent {
    menu: Menu;
    item: MenuItem;
    constructor(menu: Menu);
    static ɵfac: i0.ɵɵFactoryDef<MenuItemContent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<MenuItemContent, "[pMenuItemContent]", never, { "item": "pMenuItemContent"; }, {}, never, never>;
}
export declare class MenuModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<MenuModule, [typeof Menu, typeof MenuItemContent], [typeof i1.CommonModule, typeof i2.RouterModule], [typeof Menu, typeof i2.RouterModule]>;
    static ɵinj: i0.ɵɵInjectorDef<MenuModule>;
}
