import { ElementRef, Renderer2 } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import { MenuItem } from '../common/menuitem';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "@angular/router";
export declare class MenubarSub {
    domHandler: DomHandler;
    item: MenuItem;
    root: boolean;
    constructor(domHandler: DomHandler);
    activeItem: any;
    onItemMouseEnter(event: Event, item: HTMLLIElement, menuitem: MenuItem): void;
    onItemMouseLeave(event: Event): void;
    itemClick(event: any, item: MenuItem): void;
    listClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDef<MenubarSub, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<MenubarSub, "p-menubarSub", never, { "item": "item"; "root": "root"; }, {}, never, ["*"]>;
}
export declare class Menubar {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    model: MenuItem[];
    style: any;
    styleClass: string;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2);
    static ɵfac: i0.ɵɵFactoryDef<Menubar, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<Menubar, "p-menubar", never, { "model": "model"; "style": "style"; "styleClass": "styleClass"; }, {}, never, ["*"]>;
}
export declare class MenubarModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<MenubarModule, [typeof Menubar, typeof MenubarSub], [typeof i1.CommonModule, typeof i2.RouterModule], [typeof Menubar, typeof i2.RouterModule]>;
    static ɵinj: i0.ɵɵInjectorDef<MenubarModule>;
}
