"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var i0 = require("@angular/core");
var i1 = require("@angular/common");
var _c0 = function (a0, a1, a2, a3) { return { "ui-messages-info": a0, "ui-messages-warn": a1, "ui-messages-error": a2, "ui-messages-success": a3 }; };
function UIMessage_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 1);
    i0.ɵɵelement(1, "span", 2);
    i0.ɵɵelementStart(2, "span", 3);
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction4(3, _c0, ctx_r0.severity === "info", ctx_r0.severity === "warn", ctx_r0.severity === "error", ctx_r0.severity === "success"));
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngClass", ctx_r0.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r0.text);
} }
var UIMessage = /** @class */ (function () {
    function UIMessage() {
    }
    Object.defineProperty(UIMessage.prototype, "icon", {
        get: function () {
            var icon = null;
            if (this.severity) {
                switch (this.severity) {
                    case 'success':
                        icon = 'fa fa-check';
                        break;
                    case 'info':
                        icon = 'fa fa-info-circle';
                        break;
                    case 'error':
                        icon = 'fa fa-close';
                        break;
                    case 'warn':
                        icon = 'fa fa-warning';
                        break;
                    case 'success':
                        icon = 'fa fa-check';
                        break;
                    default:
                        icon = 'fa fa-info-circle';
                        break;
                }
            }
            return icon;
        },
        enumerable: true,
        configurable: true
    });
    UIMessage.ɵfac = function UIMessage_Factory(t) { return new (t || UIMessage)(); };
    UIMessage.ɵcmp = i0.ɵɵdefineComponent({ type: UIMessage, selectors: [["p-message"]], inputs: { severity: "severity", text: "text" }, decls: 1, vars: 1, consts: [["aria-live", "polite", "class", "ui-message ui-widget ui-corner-all", 3, "ngClass", 4, "ngIf"], ["aria-live", "polite", 1, "ui-message", "ui-widget", "ui-corner-all", 3, "ngClass"], [1, "ui-message-icon", 3, "ngClass"], [1, "ui-message-text"]], template: function UIMessage_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, UIMessage_div_0_Template, 4, 8, "div", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngIf", ctx.severity);
        } }, directives: [i1.NgIf, i1.NgClass], encapsulation: 2 });
    return UIMessage;
}());
exports.UIMessage = UIMessage;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(UIMessage, [{
        type: core_1.Component,
        args: [{
                selector: 'p-message',
                template: "\n        <div aria-live=\"polite\" class=\"ui-message ui-widget ui-corner-all\" *ngIf=\"severity\"\n        [ngClass]=\"{'ui-messages-info': (severity === 'info'),\n                'ui-messages-warn': (severity === 'warn'),\n                'ui-messages-error': (severity === 'error'),\n                'ui-messages-success': (severity === 'success')}\">\n            <span class=\"ui-message-icon\" [ngClass]=\"icon\"></span>\n            <span class=\"ui-message-text\">{{text}}</span>\n        </div>\n    "
            }]
    }], null, { severity: [{
            type: core_1.Input
        }], text: [{
            type: core_1.Input
        }] }); })();
var MessageModule = /** @class */ (function () {
    function MessageModule() {
    }
    MessageModule.ɵmod = i0.ɵɵdefineNgModule({ type: MessageModule });
    MessageModule.ɵinj = i0.ɵɵdefineInjector({ factory: function MessageModule_Factory(t) { return new (t || MessageModule)(); }, imports: [[common_1.CommonModule]] });
    return MessageModule;
}());
exports.MessageModule = MessageModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(MessageModule, { declarations: [UIMessage], imports: [common_1.CommonModule], exports: [UIMessage] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(MessageModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule],
                exports: [UIMessage],
                declarations: [UIMessage]
            }]
    }], null, null); })();
//# sourceMappingURL=message.js.map