import { OnDestroy, EventEmitter } from '@angular/core';
import { Message } from '../common/message';
import { MessageService } from '../common/messageservice';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class Messages implements OnDestroy {
    messageService: MessageService;
    value: Message[];
    closable: boolean;
    valueChange: EventEmitter<Message[]>;
    subscription: Subscription;
    constructor(messageService: MessageService);
    hasMessages(): boolean;
    getSeverityClass(): string;
    clear(event: any): void;
    get icon(): string;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<Messages, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<Messages, "p-messages", never, { "value": "value"; "closable": "closable"; }, { "valueChange": "valueChange"; }, never, never>;
}
export declare class MessagesModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<MessagesModule, [typeof Messages], [typeof i1.CommonModule], [typeof Messages]>;
    static ɵinj: i0.ɵɵInjectorDef<MessagesModule>;
}
