"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var messageservice_1 = require("../common/messageservice");
var i0 = require("@angular/core");
var i1 = require("../common/messageservice");
var i2 = require("@angular/common");
function Messages_div_0_a_1_Template(rf, ctx) { if (rf & 1) {
    var _r4 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 5);
    i0.ɵɵlistener("click", function Messages_div_0_a_1_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r4); var ctx_r3 = i0.ɵɵnextContext(2); return ctx_r3.clear($event); });
    i0.ɵɵelement(1, "i", 6);
    i0.ɵɵelementEnd();
} }
function Messages_div_0_li_4_span_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "span", 9);
} if (rf & 2) {
    var msg_r5 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("innerHTML", msg_r5.summary, i0.ɵɵsanitizeHtml);
} }
function Messages_div_0_li_4_span_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "span", 10);
} if (rf & 2) {
    var msg_r5 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("innerHTML", msg_r5.detail, i0.ɵɵsanitizeHtml);
} }
function Messages_div_0_li_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li");
    i0.ɵɵtemplate(1, Messages_div_0_li_4_span_1_Template, 1, 1, "span", 7);
    i0.ɵɵtemplate(2, Messages_div_0_li_4_span_2_Template, 1, 1, "span", 8);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var msg_r5 = ctx.$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", msg_r5.summary);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", msg_r5.detail);
} }
var _c0 = function (a0, a1, a2, a3) { return { "ui-messages-info": a0, "ui-messages-warn": a1, "ui-messages-error": a2, "ui-messages-success": a3 }; };
function Messages_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 1);
    i0.ɵɵtemplate(1, Messages_div_0_a_1_Template, 2, 0, "a", 2);
    i0.ɵɵelement(2, "span", 3);
    i0.ɵɵelementStart(3, "ul");
    i0.ɵɵtemplate(4, Messages_div_0_li_4_Template, 3, 2, "li", 4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction4(4, _c0, ctx_r0.value[0].severity === "info", ctx_r0.value[0].severity === "warn", ctx_r0.value[0].severity === "error", ctx_r0.value[0].severity === "success"));
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r0.closable);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngClass", ctx_r0.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", ctx_r0.value);
} }
var Messages = /** @class */ (function () {
    function Messages(messageService) {
        var _this = this;
        this.messageService = messageService;
        this.closable = true;
        this.valueChange = new core_1.EventEmitter();
        if (messageService) {
            this.subscription = messageService.messageObserver.subscribe(function (messages) {
                if (messages) {
                    if (messages instanceof Array)
                        _this.value = _this.value ? __spreadArrays(_this.value, messages) : __spreadArrays(messages);
                    else
                        _this.value = _this.value ? __spreadArrays(_this.value, [messages]) : [messages];
                }
                else {
                    _this.value = null;
                }
            });
        }
    }
    Messages.prototype.hasMessages = function () {
        return this.value && this.value.length > 0;
    };
    Messages.prototype.getSeverityClass = function () {
        return this.value[0].severity;
    };
    Messages.prototype.clear = function (event) {
        this.value = [];
        this.valueChange.emit(this.value);
        event.preventDefault();
    };
    Object.defineProperty(Messages.prototype, "icon", {
        get: function () {
            var icon = null;
            if (this.hasMessages()) {
                var msg = this.value[0];
                switch (msg.severity) {
                    case 'success':
                        icon = 'fa-check';
                        break;
                    case 'info':
                        icon = 'fa-info-circle';
                        break;
                    case 'error':
                        icon = 'fa-close';
                        break;
                    case 'warn':
                        icon = 'fa-warning';
                        break;
                    case 'success':
                        icon = 'fa-check';
                        break;
                    default:
                        icon = 'fa-info-circle';
                        break;
                }
            }
            return icon;
        },
        enumerable: true,
        configurable: true
    });
    Messages.prototype.ngOnDestroy = function () {
        if (this.subscription) {
            this.subscription.unsubscribe();
        }
    };
    Messages.ɵfac = function Messages_Factory(t) { return new (t || Messages)(i0.ɵɵdirectiveInject(i1.MessageService, 8)); };
    Messages.ɵcmp = i0.ɵɵdefineComponent({ type: Messages, selectors: [["p-messages"]], inputs: { value: "value", closable: "closable" }, outputs: { valueChange: "valueChange" }, decls: 1, vars: 1, consts: [["class", "ui-messages ui-widget ui-corner-all", "style", "display:block", 3, "ngClass", 4, "ngIf"], [1, "ui-messages", "ui-widget", "ui-corner-all", 2, "display", "block", 3, "ngClass"], ["href", "#", "class", "ui-messages-close", 3, "click", 4, "ngIf"], [1, "ui-messages-icon", "fa", "fa-fw", "fa-2x", 3, "ngClass"], [4, "ngFor", "ngForOf"], ["href", "#", 1, "ui-messages-close", 3, "click"], [1, "fa", "fa-close"], ["class", "ui-messages-summary", 3, "innerHTML", 4, "ngIf"], ["class", "ui-messages-detail", 3, "innerHTML", 4, "ngIf"], [1, "ui-messages-summary", 3, "innerHTML"], [1, "ui-messages-detail", 3, "innerHTML"]], template: function Messages_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, Messages_div_0_Template, 5, 9, "div", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngIf", ctx.hasMessages());
        } }, directives: [i2.NgIf, i2.NgClass, i2.NgForOf], encapsulation: 2 });
    return Messages;
}());
exports.Messages = Messages;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(Messages, [{
        type: core_1.Component,
        args: [{
                selector: 'p-messages',
                template: "\n        <div *ngIf=\"hasMessages()\" class=\"ui-messages ui-widget ui-corner-all\" style=\"display:block\"\n                    [ngClass]=\"{'ui-messages-info':(value[0].severity === 'info'),\n                    'ui-messages-warn':(value[0].severity === 'warn'),\n                    'ui-messages-error':(value[0].severity === 'error'),\n                    'ui-messages-success':(value[0].severity === 'success')}\">\n            <a href=\"#\" class=\"ui-messages-close\" (click)=\"clear($event)\" *ngIf=\"closable\">\n                <i class=\"fa fa-close\"></i>\n            </a>\n            <span class=\"ui-messages-icon fa fa-fw fa-2x\" [ngClass]=\"icon\"></span>\n            <ul>\n                <li *ngFor=\"let msg of value\">\n                    <span *ngIf=\"msg.summary\" class=\"ui-messages-summary\" [innerHTML]=\"msg.summary\"></span>\n                    <span *ngIf=\"msg.detail\" class=\"ui-messages-detail\" [innerHTML]=\"msg.detail\"></span>\n                </li>\n            </ul>\n        </div>\n    "
            }]
    }], function () { return [{ type: i1.MessageService, decorators: [{
                type: core_1.Optional
            }] }]; }, { value: [{
            type: core_1.Input
        }], closable: [{
            type: core_1.Input
        }], valueChange: [{
            type: core_1.Output
        }] }); })();
var MessagesModule = /** @class */ (function () {
    function MessagesModule() {
    }
    MessagesModule.ɵmod = i0.ɵɵdefineNgModule({ type: MessagesModule });
    MessagesModule.ɵinj = i0.ɵɵdefineInjector({ factory: function MessagesModule_Factory(t) { return new (t || MessagesModule)(); }, imports: [[common_1.CommonModule]] });
    return MessagesModule;
}());
exports.MessagesModule = MessagesModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(MessagesModule, { declarations: [Messages], imports: [common_1.CommonModule], exports: [Messages] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(MessagesModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule],
                exports: [Messages],
                declarations: [Messages]
            }]
    }], null, null); })();
//# sourceMappingURL=messages.js.map