"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var animations_1 = require("@angular/animations");
var common_1 = require("@angular/common");
var domhandler_1 = require("../dom/domhandler");
var shared_1 = require("../common/shared");
var shared_2 = require("../common/shared");
var i0 = require("@angular/core");
var i1 = require("../dom/domhandler");
var i2 = require("@angular/common");
function OrganizationChart_table_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "table", 2);
} if (rf & 2) {
    var ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("node", ctx_r0.root);
} }
var _c0 = ["pOrganizationChartNode", ""];
function OrganizationChartNode_tr_0_div_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r3 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r3.node.label);
} }
function OrganizationChartNode_tr_0_div_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵelement(1, "p-organizationChartNodeTemplateLoader", 8);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("node", ctx_r4.node)("template", ctx_r4.chart.getTemplateForNode(ctx_r4.node));
} }
var _c1 = function (a0, a1) { return { "fa-chevron-down": a0, "fa-chevron-up": a1 }; };
function OrganizationChartNode_tr_0_a_5_Template(rf, ctx) { if (rf & 1) {
    var _r7 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 9);
    i0.ɵɵlistener("click", function OrganizationChartNode_tr_0_a_5_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r7); var ctx_r6 = i0.ɵɵnextContext(2); return ctx_r6.toggleNode($event, ctx_r6.node); });
    i0.ɵɵelement(1, "i", 10);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(1, _c1, ctx_r5.node.expanded, !ctx_r5.node.expanded));
} }
var _c2 = function (a0, a1) { return { "ui-organizationchart-selectable-node": a0, "ui-state-highlight": a1 }; };
function OrganizationChartNode_tr_0_Template(rf, ctx) { if (rf & 1) {
    var _r9 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tr");
    i0.ɵɵelementStart(1, "td");
    i0.ɵɵelementStart(2, "div", 6);
    i0.ɵɵlistener("click", function OrganizationChartNode_tr_0_Template_div_click_2_listener($event) { i0.ɵɵrestoreView(_r9); var ctx_r8 = i0.ɵɵnextContext(); return ctx_r8.onNodeClick($event, ctx_r8.node); });
    i0.ɵɵtemplate(3, OrganizationChartNode_tr_0_div_3_Template, 2, 1, "div", 0);
    i0.ɵɵtemplate(4, OrganizationChartNode_tr_0_div_4_Template, 2, 2, "div", 0);
    i0.ɵɵtemplate(5, OrganizationChartNode_tr_0_a_5_Template, 2, 4, "a", 7);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵattribute("colspan", ctx_r0.colspan);
    i0.ɵɵadvance(1);
    i0.ɵɵclassMapInterpolate1("ui-organizationchart-node-content ui-widget-content ui-corner-all ", ctx_r0.node.styleClass, "");
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(8, _c2, ctx_r0.chart.selectionMode && ctx_r0.node.selectable !== false, ctx_r0.isSelected()));
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", !ctx_r0.chart.getTemplateForNode(ctx_r0.node));
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r0.chart.getTemplateForNode(ctx_r0.node));
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", !ctx_r0.leaf);
} }
var _c3 = function (a0) { return { "ui-organizationchart-line-top": a0 }; };
function OrganizationChartNode_ng_template_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 11);
    i0.ɵɵtext(1, "\u00A0");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(2, "td", 12);
    i0.ɵɵtext(3, "\u00A0");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var first_r11 = ctx.first;
    var last_r12 = ctx.last;
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(2, _c3, !first_r11));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(4, _c3, !last_r12));
} }
function OrganizationChartNode_td_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 13);
    i0.ɵɵelement(1, "table", 14);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var child_r13 = ctx.$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("node", child_r13);
} }
var OrganizationChart = /** @class */ (function () {
    function OrganizationChart(el, domHandler) {
        this.el = el;
        this.domHandler = domHandler;
        this.selectionChange = new core_1.EventEmitter();
        this.onNodeSelect = new core_1.EventEmitter();
        this.onNodeUnselect = new core_1.EventEmitter();
    }
    Object.defineProperty(OrganizationChart.prototype, "root", {
        get: function () {
            return this.value && this.value.length ? this.value[0] : null;
        },
        enumerable: true,
        configurable: true
    });
    OrganizationChart.prototype.ngAfterContentInit = function () {
        var _this = this;
        if (this.templates.length) {
            this.templateMap = {};
        }
        this.templates.forEach(function (item) {
            _this.templateMap[item.getType()] = item.template;
        });
    };
    OrganizationChart.prototype.getTemplateForNode = function (node) {
        if (this.templateMap)
            return node.type ? this.templateMap[node.type] : this.templateMap['default'];
        else
            return null;
    };
    OrganizationChart.prototype.onNodeClick = function (event, node) {
        var eventTarget = event.target;
        if (eventTarget.className && (eventTarget.className.indexOf('ui-node-toggler') !== -1 || eventTarget.className.indexOf('ui-node-toggler-icon') !== -1)) {
            return;
        }
        else if (this.selectionMode) {
            if (node.selectable === false) {
                return;
            }
            var index_1 = this.findIndexInSelection(node);
            var selected = (index_1 >= 0);
            if (this.selectionMode === 'single') {
                if (selected) {
                    this.selection = null;
                    this.onNodeUnselect.emit({ originalEvent: event, node: node });
                }
                else {
                    this.selection = node;
                    this.onNodeSelect.emit({ originalEvent: event, node: node });
                }
            }
            else if (this.selectionMode === 'multiple') {
                if (selected) {
                    this.selection = this.selection.filter(function (val, i) { return i != index_1; });
                    this.onNodeUnselect.emit({ originalEvent: event, node: node });
                }
                else {
                    this.selection = __spreadArrays(this.selection || [], [node]);
                    this.onNodeSelect.emit({ originalEvent: event, node: node });
                }
            }
            this.selectionChange.emit(this.selection);
        }
    };
    OrganizationChart.prototype.findIndexInSelection = function (node) {
        var index = -1;
        if (this.selectionMode && this.selection) {
            if (this.selectionMode === 'single') {
                index = (this.selection == node) ? 0 : -1;
            }
            else if (this.selectionMode === 'multiple') {
                for (var i = 0; i < this.selection.length; i++) {
                    if (this.selection[i] == node) {
                        index = i;
                        break;
                    }
                }
            }
        }
        return index;
    };
    OrganizationChart.prototype.isSelected = function (node) {
        return this.findIndexInSelection(node) != -1;
    };
    OrganizationChart.ɵfac = function OrganizationChart_Factory(t) { return new (t || OrganizationChart)(i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i1.DomHandler)); };
    OrganizationChart.ɵcmp = i0.ɵɵdefineComponent({ type: OrganizationChart, selectors: [["p-organizationChart"]], contentQueries: function OrganizationChart_ContentQueries(rf, ctx, dirIndex) { if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, shared_2.PrimeTemplate, false);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.templates = _t);
        } }, inputs: { value: "value", style: "style", styleClass: "styleClass", selectionMode: "selectionMode", selection: "selection" }, outputs: { selectionChange: "selectionChange", onNodeSelect: "onNodeSelect", onNodeUnselect: "onNodeUnselect" }, features: [i0.ɵɵProvidersFeature([domhandler_1.DomHandler])], decls: 2, vars: 5, consts: [[3, "ngStyle", "ngClass"], ["class", "ui-organizationchart-table", "pOrganizationChartNode", "", 3, "node", 4, "ngIf"], ["pOrganizationChartNode", "", 1, "ui-organizationchart-table", 3, "node"]], template: function OrganizationChart_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, OrganizationChart_table_1_Template, 1, 1, "table", 1);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassMap(ctx.styleClass);
            i0.ɵɵproperty("ngStyle", ctx.style)("ngClass", "ui-organizationchart ui-widget");
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngIf", ctx.root);
        } }, directives: function () { return [i2.NgStyle, i2.NgClass, i2.NgIf, OrganizationChartNode]; }, encapsulation: 2 });
    return OrganizationChart;
}());
exports.OrganizationChart = OrganizationChart;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(OrganizationChart, [{
        type: core_1.Component,
        args: [{
                selector: 'p-organizationChart',
                template: "\n        <div [ngStyle]=\"style\" [class]=\"styleClass\" [ngClass]=\"'ui-organizationchart ui-widget'\">\n            <table class=\"ui-organizationchart-table\" pOrganizationChartNode [node]=\"root\" *ngIf=\"root\"></table>\n        </div>\n    ",
                providers: [domhandler_1.DomHandler]
            }]
    }], function () { return [{ type: i0.ElementRef }, { type: i1.DomHandler }]; }, { value: [{
            type: core_1.Input
        }], style: [{
            type: core_1.Input
        }], styleClass: [{
            type: core_1.Input
        }], selectionMode: [{
            type: core_1.Input
        }], selection: [{
            type: core_1.Input
        }], selectionChange: [{
            type: core_1.Output
        }], onNodeSelect: [{
            type: core_1.Output
        }], onNodeUnselect: [{
            type: core_1.Output
        }], templates: [{
            type: core_1.ContentChildren,
            args: [shared_2.PrimeTemplate]
        }] }); })();
var OrganizationChartNodeTemplateLoader = /** @class */ (function () {
    function OrganizationChartNodeTemplateLoader(viewContainer) {
        this.viewContainer = viewContainer;
    }
    OrganizationChartNodeTemplateLoader.prototype.ngOnInit = function () {
        this.view = this.viewContainer.createEmbeddedView(this.template, {
            '\$implicit': this.node
        });
    };
    OrganizationChartNodeTemplateLoader.prototype.ngOnDestroy = function () {
        this.view.destroy();
    };
    OrganizationChartNodeTemplateLoader.ɵfac = function OrganizationChartNodeTemplateLoader_Factory(t) { return new (t || OrganizationChartNodeTemplateLoader)(i0.ɵɵdirectiveInject(i0.ViewContainerRef)); };
    OrganizationChartNodeTemplateLoader.ɵcmp = i0.ɵɵdefineComponent({ type: OrganizationChartNodeTemplateLoader, selectors: [["p-organizationChartNodeTemplateLoader"]], inputs: { node: "node", template: "template" }, decls: 0, vars: 0, template: function OrganizationChartNodeTemplateLoader_Template(rf, ctx) { }, encapsulation: 2 });
    return OrganizationChartNodeTemplateLoader;
}());
exports.OrganizationChartNodeTemplateLoader = OrganizationChartNodeTemplateLoader;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(OrganizationChartNodeTemplateLoader, [{
        type: core_1.Component,
        args: [{
                selector: 'p-organizationChartNodeTemplateLoader',
                template: ""
            }]
    }], function () { return [{ type: i0.ViewContainerRef }]; }, { node: [{
            type: core_1.Input
        }], template: [{
            type: core_1.Input
        }] }); })();
var OrganizationChartNode = /** @class */ (function () {
    function OrganizationChartNode(chart) {
        this.chart = chart;
    }
    Object.defineProperty(OrganizationChartNode.prototype, "leaf", {
        get: function () {
            return this.node.leaf == false ? false : !(this.node.children && this.node.children.length);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(OrganizationChartNode.prototype, "colspan", {
        get: function () {
            return (this.node.children && this.node.children.length) ? this.node.children.length * 2 : null;
        },
        enumerable: true,
        configurable: true
    });
    OrganizationChartNode.prototype.onNodeClick = function (event, node) {
        this.chart.onNodeClick(event, node);
    };
    OrganizationChartNode.prototype.toggleNode = function (event, node) {
        node.expanded = !node.expanded;
        event.preventDefault();
    };
    OrganizationChartNode.prototype.isSelected = function () {
        return this.chart.isSelected(this.node);
    };
    OrganizationChartNode.ɵfac = function OrganizationChartNode_Factory(t) { return new (t || OrganizationChartNode)(i0.ɵɵdirectiveInject(core_1.forwardRef(function () { return OrganizationChart; }))); };
    OrganizationChartNode.ɵcmp = i0.ɵɵdefineComponent({ type: OrganizationChartNode, selectors: [["", "pOrganizationChartNode", ""]], inputs: { node: "node", root: "root", first: "first", last: "last" }, attrs: _c0, decls: 8, vars: 13, consts: [[4, "ngIf"], [1, "ui-organizationchart-lines"], [1, "ui-organizationchart-line-down"], ["ngFor", "", 3, "ngForOf"], [1, "ui-organizationchart-nodes"], ["colspan", "2", 4, "ngFor", "ngForOf"], [3, "ngClass", "click"], ["href", "#", "class", "ui-node-toggler", 3, "click", 4, "ngIf"], [3, "node", "template"], ["href", "#", 1, "ui-node-toggler", 3, "click"], [1, "fa", "ui-node-toggler-icon", 3, "ngClass"], [1, "ui-organizationchart-line-left", 3, "ngClass"], [1, "ui-organizationchart-line-right", 3, "ngClass"], ["colspan", "2"], ["pOrganizationChartNode", "", 1, "ui-organizationchart-table", 3, "node"]], template: function OrganizationChartNode_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, OrganizationChartNode_tr_0_Template, 6, 11, "tr", 0);
            i0.ɵɵelementStart(1, "tr", 1);
            i0.ɵɵelementStart(2, "td");
            i0.ɵɵelement(3, "div", 2);
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(4, "tr", 1);
            i0.ɵɵtemplate(5, OrganizationChartNode_ng_template_5_Template, 4, 6, "ng-template", 3);
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(6, "tr", 4);
            i0.ɵɵtemplate(7, OrganizationChartNode_td_7_Template, 2, 1, "td", 5);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵproperty("ngIf", ctx.node);
            i0.ɵɵadvance(1);
            i0.ɵɵstyleProp("visibility", !ctx.leaf && ctx.node.expanded ? "inherit" : "hidden");
            i0.ɵɵproperty("@childState", "in");
            i0.ɵɵadvance(1);
            i0.ɵɵattribute("colspan", ctx.colspan);
            i0.ɵɵadvance(2);
            i0.ɵɵstyleProp("visibility", !ctx.leaf && ctx.node.expanded ? "inherit" : "hidden");
            i0.ɵɵproperty("@childState", "in");
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngForOf", ctx.node.children);
            i0.ɵɵadvance(1);
            i0.ɵɵstyleProp("visibility", !ctx.leaf && ctx.node.expanded ? "inherit" : "hidden");
            i0.ɵɵproperty("@childState", "in");
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngForOf", ctx.node.children);
        } }, directives: [i2.NgIf, i2.NgForOf, i2.NgClass, OrganizationChartNodeTemplateLoader,
            OrganizationChartNode], encapsulation: 2, data: { animation: [
                animations_1.trigger('childState', [
                    animations_1.state('in', animations_1.style({ opacity: 1 })),
                    animations_1.transition('void => *', [
                        animations_1.style({ opacity: 0 }),
                        animations_1.animate(150)
                    ]),
                    animations_1.transition('* => void', [
                        animations_1.animate(150, animations_1.style({ opacity: 0 }))
                    ])
                ])
            ] } });
    return OrganizationChartNode;
}());
exports.OrganizationChartNode = OrganizationChartNode;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(OrganizationChartNode, [{
        type: core_1.Component,
        args: [{
                selector: '[pOrganizationChartNode]',
                template: "\n        <tr *ngIf=\"node\">\n            <td [attr.colspan]=\"colspan\">\n                <div class=\"ui-organizationchart-node-content ui-widget-content ui-corner-all {{node.styleClass}}\" \n                    [ngClass]=\"{'ui-organizationchart-selectable-node': chart.selectionMode && node.selectable !== false,'ui-state-highlight':isSelected()}\"\n                    (click)=\"onNodeClick($event,node)\">\n                    <div *ngIf=\"!chart.getTemplateForNode(node)\">{{node.label}}</div>\n                    <div *ngIf=\"chart.getTemplateForNode(node)\">\n                        <p-organizationChartNodeTemplateLoader [node]=\"node\" [template]=\"chart.getTemplateForNode(node)\"></p-organizationChartNodeTemplateLoader>\n                    </div>\n                    <a *ngIf=\"!leaf\" href=\"#\" class=\"ui-node-toggler\" (click)=\"toggleNode($event, node)\">\n                        <i class=\"fa ui-node-toggler-icon\" [ngClass]=\"{'fa-chevron-down': node.expanded, 'fa-chevron-up': !node.expanded}\"></i>\n                    </a>\n                </div>\n            </td>\n        </tr>\n        <tr [style.visibility]=\"!leaf&&node.expanded ? 'inherit' : 'hidden'\" class=\"ui-organizationchart-lines\" [@childState]=\"'in'\">\n            <td [attr.colspan]=\"colspan\">\n                <div class=\"ui-organizationchart-line-down\"></div>\n            </td>\n        </tr>\n        <tr [style.visibility]=\"!leaf&&node.expanded ? 'inherit' : 'hidden'\" class=\"ui-organizationchart-lines\" [@childState]=\"'in'\">\n            <ng-template ngFor let-child [ngForOf]=\"node.children\" let-first=\"first\" let-last=\"last\">\n                <td class=\"ui-organizationchart-line-left\" [ngClass]=\"{'ui-organizationchart-line-top':!first}\">&nbsp;</td>\n                <td class=\"ui-organizationchart-line-right\" [ngClass]=\"{'ui-organizationchart-line-top':!last}\">&nbsp;</td>\n            </ng-template>\n        </tr>\n        <tr [style.visibility]=\"!leaf&&node.expanded ? 'inherit' : 'hidden'\" class=\"ui-organizationchart-nodes\" [@childState]=\"'in'\">\n            <td *ngFor=\"let child of node.children\" colspan=\"2\">\n                <table class=\"ui-organizationchart-table\" pOrganizationChartNode [node]=\"child\"></table>\n            </td>\n        </tr>\n    ",
                animations: [
                    animations_1.trigger('childState', [
                        animations_1.state('in', animations_1.style({ opacity: 1 })),
                        animations_1.transition('void => *', [
                            animations_1.style({ opacity: 0 }),
                            animations_1.animate(150)
                        ]),
                        animations_1.transition('* => void', [
                            animations_1.animate(150, animations_1.style({ opacity: 0 }))
                        ])
                    ])
                ],
            }]
    }], function () { return [{ type: OrganizationChart, decorators: [{
                type: core_1.Inject,
                args: [core_1.forwardRef(function () { return OrganizationChart; })]
            }] }]; }, { node: [{
            type: core_1.Input
        }], root: [{
            type: core_1.Input
        }], first: [{
            type: core_1.Input
        }], last: [{
            type: core_1.Input
        }] }); })();
var OrganizationChartModule = /** @class */ (function () {
    function OrganizationChartModule() {
    }
    OrganizationChartModule.ɵmod = i0.ɵɵdefineNgModule({ type: OrganizationChartModule });
    OrganizationChartModule.ɵinj = i0.ɵɵdefineInjector({ factory: function OrganizationChartModule_Factory(t) { return new (t || OrganizationChartModule)(); }, imports: [[common_1.CommonModule],
            shared_1.SharedModule] });
    return OrganizationChartModule;
}());
exports.OrganizationChartModule = OrganizationChartModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(OrganizationChartModule, { declarations: [OrganizationChart,
        OrganizationChartNode,
        OrganizationChartNodeTemplateLoader], imports: [common_1.CommonModule], exports: [OrganizationChart,
        shared_1.SharedModule] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(OrganizationChartModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule],
                exports: [OrganizationChart, shared_1.SharedModule],
                declarations: [OrganizationChart, OrganizationChartNode, OrganizationChartNodeTemplateLoader]
            }]
    }], null, null); })();
//# sourceMappingURL=organizationchart.js.map