"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var shared_1 = require("../common/shared");
var animations_1 = require("@angular/animations");
var i0 = require("@angular/core");
var i1 = require("@angular/common");
function Panel_div_1_span_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 8);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r2 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r2.header);
} }
function Panel_div_1_a_3_Template(rf, ctx) { if (rf & 1) {
    var _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 9);
    i0.ɵɵlistener("click", function Panel_div_1_a_3_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r5); var ctx_r4 = i0.ɵɵnextContext(2); return ctx_r4.toggle($event); });
    i0.ɵɵelement(1, "span");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r3 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵclassMap(ctx_r3.collapsed ? "fa fa-fw " + ctx_r3.expandIcon : "fa fa-fw " + ctx_r3.collapseIcon);
} }
function Panel_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 5);
    i0.ɵɵtemplate(1, Panel_div_1_span_1_Template, 2, 1, "span", 6);
    i0.ɵɵprojection(2, 1);
    i0.ɵɵtemplate(3, Panel_div_1_a_3_Template, 2, 2, "a", 7);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r0.header);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.toggleable);
} }
function Panel_div_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 10);
    i0.ɵɵprojection(1, 2);
    i0.ɵɵelementEnd();
} }
var _c0 = ["*", [["p-header"]], [["p-footer"]]];
var _c1 = function (a0) { return { "ui-panel-content-wrapper-overflown": a0 }; };
var _c2 = ["*", "p-header", "p-footer"];
var Panel = /** @class */ (function () {
    function Panel(el) {
        this.el = el;
        this.collapsed = false;
        this.expandIcon = 'fa-plus';
        this.collapseIcon = 'fa-minus';
        this.showHeader = true;
        this.collapsedChange = new core_1.EventEmitter();
        this.onBeforeToggle = new core_1.EventEmitter();
        this.onAfterToggle = new core_1.EventEmitter();
    }
    Panel.prototype.toggle = function (event) {
        if (this.animating) {
            return false;
        }
        this.animating = true;
        this.onBeforeToggle.emit({ originalEvent: event, collapsed: this.collapsed });
        if (this.toggleable) {
            if (this.collapsed)
                this.expand(event);
            else
                this.collapse(event);
        }
        event.preventDefault();
    };
    Panel.prototype.expand = function (event) {
        this.collapsed = false;
        this.collapsedChange.emit(this.collapsed);
    };
    Panel.prototype.collapse = function (event) {
        this.collapsed = true;
        this.collapsedChange.emit(this.collapsed);
    };
    Panel.prototype.getBlockableElement = function () {
        return this.el.nativeElement.children[0];
    };
    Panel.prototype.onToggleDone = function (event) {
        this.animating = false;
        this.onAfterToggle.emit({ originalEvent: event, collapsed: this.collapsed });
    };
    Panel.ɵfac = function Panel_Factory(t) { return new (t || Panel)(i0.ɵɵdirectiveInject(i0.ElementRef)); };
    Panel.ɵcmp = i0.ɵɵdefineComponent({ type: Panel, selectors: [["p-panel"]], contentQueries: function Panel_ContentQueries(rf, ctx, dirIndex) { if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, shared_1.Footer, true);
        } if (rf & 2) {
            var _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.footerFacet = _t.first);
        } }, inputs: { toggleable: "toggleable", header: "header", collapsed: "collapsed", style: "style", styleClass: "styleClass", expandIcon: "expandIcon", collapseIcon: "collapseIcon", showHeader: "showHeader" }, outputs: { collapsedChange: "collapsedChange", onBeforeToggle: "onBeforeToggle", onAfterToggle: "onAfterToggle" }, ngContentSelectors: _c2, decls: 6, vars: 10, consts: [[3, "ngClass", "ngStyle"], ["class", "ui-panel-titlebar ui-widget-header ui-helper-clearfix ui-corner-all", 4, "ngIf"], [1, "ui-panel-content-wrapper", 3, "ngClass"], [1, "ui-panel-content", "ui-widget-content"], ["class", "ui-panel-footer ui-widget-content", 4, "ngIf"], [1, "ui-panel-titlebar", "ui-widget-header", "ui-helper-clearfix", "ui-corner-all"], ["class", "ui-panel-title", 4, "ngIf"], ["class", "ui-panel-titlebar-icon ui-panel-titlebar-toggler ui-corner-all ui-state-default", "href", "#", 3, "click", 4, "ngIf"], [1, "ui-panel-title"], ["href", "#", 1, "ui-panel-titlebar-icon", "ui-panel-titlebar-toggler", "ui-corner-all", "ui-state-default", 3, "click"], [1, "ui-panel-footer", "ui-widget-content"]], template: function Panel_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef(_c0);
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, Panel_div_1_Template, 4, 2, "div", 1);
            i0.ɵɵelementStart(2, "div", 2);
            i0.ɵɵlistener("@panelContent.done", function Panel_Template_div_animation_panelContent_done_2_listener($event) { return ctx.onToggleDone($event); });
            i0.ɵɵelementStart(3, "div", 3);
            i0.ɵɵprojection(4);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(5, Panel_div_5_Template, 2, 0, "div", 4);
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassMap(ctx.styleClass);
            i0.ɵɵproperty("ngClass", "ui-panel ui-widget ui-widget-content ui-corner-all")("ngStyle", ctx.style);
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngIf", ctx.showHeader);
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("@panelContent", ctx.collapsed ? "hidden" : "visible")("ngClass", i0.ɵɵpureFunction1(8, _c1, ctx.collapsed || ctx.animating));
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngIf", ctx.footerFacet);
        } }, directives: [i1.NgClass, i1.NgStyle, i1.NgIf], encapsulation: 2, data: { animation: [
                animations_1.trigger('panelContent', [
                    animations_1.state('hidden', animations_1.style({
                        height: '0'
                    })),
                    animations_1.state('visible', animations_1.style({
                        height: '*'
                    })),
                    animations_1.transition('visible <=> hidden', animations_1.animate('400ms cubic-bezier(0.86, 0, 0.07, 1)'))
                ])
            ] } });
    return Panel;
}());
exports.Panel = Panel;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(Panel, [{
        type: core_1.Component,
        args: [{
                selector: 'p-panel',
                template: "\n        <div [ngClass]=\"'ui-panel ui-widget ui-widget-content ui-corner-all'\" [ngStyle]=\"style\" [class]=\"styleClass\">\n            <div class=\"ui-panel-titlebar ui-widget-header ui-helper-clearfix ui-corner-all\" *ngIf=\"showHeader\">\n                <span class=\"ui-panel-title\" *ngIf=\"header\">{{header}}</span>\n                <ng-content select=\"p-header\"></ng-content>\n                <a *ngIf=\"toggleable\" class=\"ui-panel-titlebar-icon ui-panel-titlebar-toggler ui-corner-all ui-state-default\" href=\"#\"\n                    (click)=\"toggle($event)\">\n                    <span [class]=\"collapsed ? 'fa fa-fw ' + expandIcon : 'fa fa-fw ' + collapseIcon\"></span>\n                </a>\n            </div>\n            <div class=\"ui-panel-content-wrapper\" [@panelContent]=\"collapsed ? 'hidden' : 'visible'\" (@panelContent.done)=\"onToggleDone($event)\"\n                [ngClass]=\"{'ui-panel-content-wrapper-overflown': collapsed||animating}\">\n                <div class=\"ui-panel-content ui-widget-content\">\n                    <ng-content></ng-content>\n                </div>\n                \n                <div class=\"ui-panel-footer ui-widget-content\" *ngIf=\"footerFacet\">\n                    <ng-content select=\"p-footer\"></ng-content>\n                </div>\n            </div>\n        </div>\n    ",
                animations: [
                    animations_1.trigger('panelContent', [
                        animations_1.state('hidden', animations_1.style({
                            height: '0'
                        })),
                        animations_1.state('visible', animations_1.style({
                            height: '*'
                        })),
                        animations_1.transition('visible <=> hidden', animations_1.animate('400ms cubic-bezier(0.86, 0, 0.07, 1)'))
                    ])
                ]
            }]
    }], function () { return [{ type: i0.ElementRef }]; }, { toggleable: [{
            type: core_1.Input
        }], header: [{
            type: core_1.Input
        }], collapsed: [{
            type: core_1.Input
        }], style: [{
            type: core_1.Input
        }], styleClass: [{
            type: core_1.Input
        }], expandIcon: [{
            type: core_1.Input
        }], collapseIcon: [{
            type: core_1.Input
        }], showHeader: [{
            type: core_1.Input
        }], collapsedChange: [{
            type: core_1.Output
        }], onBeforeToggle: [{
            type: core_1.Output
        }], onAfterToggle: [{
            type: core_1.Output
        }], footerFacet: [{
            type: core_1.ContentChild,
            args: [shared_1.Footer]
        }] }); })();
var PanelModule = /** @class */ (function () {
    function PanelModule() {
    }
    PanelModule.ɵmod = i0.ɵɵdefineNgModule({ type: PanelModule });
    PanelModule.ɵinj = i0.ɵɵdefineInjector({ factory: function PanelModule_Factory(t) { return new (t || PanelModule)(); }, imports: [[common_1.CommonModule],
            shared_1.SharedModule] });
    return PanelModule;
}());
exports.PanelModule = PanelModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(PanelModule, { declarations: [Panel], imports: [common_1.CommonModule], exports: [Panel,
        shared_1.SharedModule] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(PanelModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule],
                exports: [Panel, shared_1.SharedModule],
                declarations: [Panel]
            }]
    }], null, null); })();
//# sourceMappingURL=panel.js.map