"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var i0 = require("@angular/core");
var i1 = require("@angular/common");
var ProgressSpinner = /** @class */ (function () {
    function ProgressSpinner() {
        this.strokeWidth = "2";
        this.fill = "none";
        this.animationDuration = "2s";
    }
    ProgressSpinner.ɵfac = function ProgressSpinner_Factory(t) { return new (t || ProgressSpinner)(); };
    ProgressSpinner.ɵcmp = i0.ɵɵdefineComponent({ type: ProgressSpinner, selectors: [["p-progressSpinner"]], inputs: { style: "style", styleClass: "styleClass", strokeWidth: "strokeWidth", fill: "fill", animationDuration: "animationDuration" }, decls: 3, vars: 6, consts: [[1, "ui-progress-spinner", 3, "ngStyle", "ngClass"], ["viewBox", "25 25 50 50", 1, "ui-progress-spinner-svg"], ["cx", "50", "cy", "50", "r", "20", "stroke-miterlimit", "10", 1, "ui-progress-spinner-circle"]], template: function ProgressSpinner_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵnamespaceSVG();
            i0.ɵɵelementStart(1, "svg", 1);
            i0.ɵɵelement(2, "circle", 2);
            i0.ɵɵelementEnd();
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵproperty("ngStyle", ctx.style)("ngClass", ctx.styleClass);
            i0.ɵɵadvance(1);
            i0.ɵɵstyleProp("animation-duration", ctx.animationDuration);
            i0.ɵɵadvance(1);
            i0.ɵɵattribute("fill", ctx.fill)("stroke-width", ctx.strokeWidth);
        } }, directives: [i1.NgStyle, i1.NgClass], encapsulation: 2 });
    return ProgressSpinner;
}());
exports.ProgressSpinner = ProgressSpinner;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(ProgressSpinner, [{
        type: core_1.Component,
        args: [{
                selector: 'p-progressSpinner',
                template: "\n        <div class=\"ui-progress-spinner\" [ngStyle]=\"style\" [ngClass]=\"styleClass\">\n            <svg class=\"ui-progress-spinner-svg\" viewBox=\"25 25 50 50\" [style.animation-duration]=\"animationDuration\">\n                <circle class=\"ui-progress-spinner-circle\" cx=\"50\" cy=\"50\" r=\"20\" [attr.fill]=\"fill\" [attr.stroke-width]=\"strokeWidth\" stroke-miterlimit=\"10\"/>\n            </svg>\n        </div>\n    "
            }]
    }], null, { style: [{
            type: core_1.Input
        }], styleClass: [{
            type: core_1.Input
        }], strokeWidth: [{
            type: core_1.Input
        }], fill: [{
            type: core_1.Input
        }], animationDuration: [{
            type: core_1.Input
        }] }); })();
var ProgressSpinnerModule = /** @class */ (function () {
    function ProgressSpinnerModule() {
    }
    ProgressSpinnerModule.ɵmod = i0.ɵɵdefineNgModule({ type: ProgressSpinnerModule });
    ProgressSpinnerModule.ɵinj = i0.ɵɵdefineInjector({ factory: function ProgressSpinnerModule_Factory(t) { return new (t || ProgressSpinnerModule)(); }, imports: [[common_1.CommonModule]] });
    return ProgressSpinnerModule;
}());
exports.ProgressSpinnerModule = ProgressSpinnerModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(ProgressSpinnerModule, { declarations: [ProgressSpinner], imports: [common_1.CommonModule], exports: [ProgressSpinner] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(ProgressSpinnerModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule],
                exports: [ProgressSpinner],
                declarations: [ProgressSpinner]
            }]
    }], null, null); })();
//# sourceMappingURL=progressspinner.js.map