"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var forms_1 = require("@angular/forms");
var i0 = require("@angular/core");
var i1 = require("@angular/common");
function Rating_a_1_Template(rf, ctx) { if (rf & 1) {
    var _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 3);
    i0.ɵɵlistener("click", function Rating_a_1_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r3); var ctx_r2 = i0.ɵɵnextContext(); return ctx_r2.clear($event); });
    i0.ɵɵelement(1, "span", 4);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngClass", ctx_r0.iconCancelClass)("ngStyle", ctx_r0.iconCancelStyle);
} }
function Rating_a_2_Template(rf, ctx) { if (rf & 1) {
    var _r7 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 3);
    i0.ɵɵlistener("click", function Rating_a_2_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r7); var i_r5 = ctx.index; var ctx_r6 = i0.ɵɵnextContext(); return ctx_r6.rate($event, i_r5); });
    i0.ɵɵelement(1, "span", 4);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    var i_r5 = ctx.index;
    var ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngClass", !ctx_r1.value || i_r5 >= ctx_r1.value ? ctx_r1.iconOffClass : ctx_r1.iconOnClass)("ngStyle", !ctx_r1.value || i_r5 >= ctx_r1.value ? ctx_r1.iconOffStyle : ctx_r1.iconOnStyle);
} }
var _c0 = function (a0) { return { "ui-state-disabled": a0 }; };
exports.RATING_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return Rating; }),
    multi: true
};
var Rating = /** @class */ (function () {
    function Rating() {
        this.stars = 5;
        this.cancel = true;
        this.iconOnClass = 'fa-star';
        this.iconOffClass = 'fa-star-o';
        this.iconCancelClass = 'fa-ban';
        this.onRate = new core_1.EventEmitter();
        this.onCancel = new core_1.EventEmitter();
        this.onModelChange = function () { };
        this.onModelTouched = function () { };
    }
    Rating.prototype.ngOnInit = function () {
        this.starsArray = [];
        for (var i = 0; i < this.stars; i++) {
            this.starsArray[i] = i;
        }
    };
    Rating.prototype.rate = function (event, i) {
        if (!this.readonly && !this.disabled) {
            this.value = (i + 1);
            this.onModelChange(this.value);
            this.onModelTouched();
            this.onRate.emit({
                originalEvent: event,
                value: (i + 1)
            });
        }
        event.preventDefault();
    };
    Rating.prototype.clear = function (event) {
        if (!this.readonly && !this.disabled) {
            this.value = null;
            this.onModelChange(this.value);
            this.onModelTouched();
            this.onCancel.emit(event);
        }
        event.preventDefault();
    };
    Rating.prototype.writeValue = function (value) {
        this.value = value;
    };
    Rating.prototype.registerOnChange = function (fn) {
        this.onModelChange = fn;
    };
    Rating.prototype.registerOnTouched = function (fn) {
        this.onModelTouched = fn;
    };
    Rating.prototype.setDisabledState = function (val) {
        this.disabled = val;
    };
    Rating.ɵfac = function Rating_Factory(t) { return new (t || Rating)(); };
    Rating.ɵcmp = i0.ɵɵdefineComponent({ type: Rating, selectors: [["p-rating"]], inputs: { disabled: "disabled", readonly: "readonly", stars: "stars", cancel: "cancel", iconOnClass: "iconOnClass", iconOnStyle: "iconOnStyle", iconOffClass: "iconOffClass", iconOffStyle: "iconOffStyle", iconCancelClass: "iconCancelClass", iconCancelStyle: "iconCancelStyle" }, outputs: { onRate: "onRate", onCancel: "onCancel" }, features: [i0.ɵɵProvidersFeature([exports.RATING_VALUE_ACCESSOR])], decls: 3, vars: 5, consts: [[1, "ui-rating", 3, "ngClass"], ["href", "#", 3, "click", 4, "ngIf"], ["href", "#", 3, "click", 4, "ngFor", "ngForOf"], ["href", "#", 3, "click"], [1, "fa", 3, "ngClass", "ngStyle"]], template: function Rating_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, Rating_a_1_Template, 2, 2, "a", 1);
            i0.ɵɵtemplate(2, Rating_a_2_Template, 2, 2, "a", 2);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(3, _c0, ctx.disabled));
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngIf", ctx.cancel);
            i0.ɵɵadvance(1);
            i0.ɵɵproperty("ngForOf", ctx.starsArray);
        } }, directives: [i1.NgClass, i1.NgIf, i1.NgForOf, i1.NgStyle], encapsulation: 2 });
    return Rating;
}());
exports.Rating = Rating;
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(Rating, [{
        type: core_1.Component,
        args: [{
                selector: 'p-rating',
                template: "\n        <div class=\"ui-rating\" [ngClass]=\"{'ui-state-disabled': disabled}\">\n            <a href=\"#\" *ngIf=\"cancel\" (click)=\"clear($event)\">\n                <span class=\"fa\" [ngClass]=\"iconCancelClass\" [ngStyle]=\"iconCancelStyle\"></span>\n            </a>\n            <a href=\"#\" *ngFor=\"let star of starsArray;let i=index\" (click)=\"rate($event,i)\">\n                <span class=\"fa\" \n                    [ngClass]=\"(!value || i >= value) ? iconOffClass : iconOnClass\"\n                    [ngStyle]=\"(!value || i >= value) ? iconOffStyle : iconOnStyle\"\n                ></span>\n            </a>\n        </div>\n    ",
                providers: [exports.RATING_VALUE_ACCESSOR]
            }]
    }], null, { disabled: [{
            type: core_1.Input
        }], readonly: [{
            type: core_1.Input
        }], stars: [{
            type: core_1.Input
        }], cancel: [{
            type: core_1.Input
        }], iconOnClass: [{
            type: core_1.Input
        }], iconOnStyle: [{
            type: core_1.Input
        }], iconOffClass: [{
            type: core_1.Input
        }], iconOffStyle: [{
            type: core_1.Input
        }], iconCancelClass: [{
            type: core_1.Input
        }], iconCancelStyle: [{
            type: core_1.Input
        }], onRate: [{
            type: core_1.Output
        }], onCancel: [{
            type: core_1.Output
        }] }); })();
var RatingModule = /** @class */ (function () {
    function RatingModule() {
    }
    RatingModule.ɵmod = i0.ɵɵdefineNgModule({ type: RatingModule });
    RatingModule.ɵinj = i0.ɵɵdefineInjector({ factory: function RatingModule_Factory(t) { return new (t || RatingModule)(); }, imports: [[common_1.CommonModule]] });
    return RatingModule;
}());
exports.RatingModule = RatingModule;
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(RatingModule, { declarations: [Rating], imports: [common_1.CommonModule], exports: [Rating] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(RatingModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [common_1.CommonModule],
                exports: [Rating],
                declarations: [Rating]
            }]
    }], null, null); })();
//# sourceMappingURL=rating.js.map