import { AfterViewInit, AfterViewChecked, OnDestroy, EventEmitter, ElementRef, Renderer2 } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class Sidebar implements AfterViewInit, AfterViewChecked, OnDestroy {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    position: string;
    fullScreen: boolean;
    appendTo: string;
    blockScroll: boolean;
    style: any;
    styleClass: string;
    autoZIndex: boolean;
    baseZIndex: number;
    containerViewChild: ElementRef;
    onShow: EventEmitter<any>;
    onHide: EventEmitter<any>;
    visibleChange: EventEmitter<any>;
    initialized: boolean;
    _visible: boolean;
    preventVisibleChangePropagation: boolean;
    mask: HTMLDivElement;
    maskClickListener: Function;
    executePostDisplayActions: boolean;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2);
    ngAfterViewInit(): void;
    get visible(): boolean;
    set visible(val: boolean);
    ngAfterViewChecked(): void;
    show(): void;
    hide(): void;
    close(event: Event): void;
    enableModality(): void;
    disableModality(): void;
    unbindMaskClickListener(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<Sidebar, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<Sidebar, "p-sidebar", never, { "position": "position"; "fullScreen": "fullScreen"; "appendTo": "appendTo"; "blockScroll": "blockScroll"; "style": "style"; "styleClass": "styleClass"; "autoZIndex": "autoZIndex"; "baseZIndex": "baseZIndex"; "visible": "visible"; }, { "onShow": "onShow"; "onHide": "onHide"; "visibleChange": "visibleChange"; }, never, ["*"]>;
}
export declare class SidebarModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<SidebarModule, [typeof Sidebar], [typeof i1.CommonModule], [typeof Sidebar]>;
    static ɵinj: i0.ɵɵInjectorDef<SidebarModule>;
}
